Changes since version 0.95.7:
.............................

- Build on Ubuntu 14.04
  (Johann Haarhoff <johann@haarhoff.org.za>)
- Window Maker 0.95.7 Debian files
- create_appicon_from_dock checks if no_appicon flag is set
- New applications do not create Cached Icon
- Remove unused argument in save_appicon
- Avoid recreate Cached icon moving between docks
- Avoid create again a docked application cache icon
- save the icon filename instead the full path
- Remove cache icon when detached
- usermenu.c Avoid compiler warnings
- Enable usermenu
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmaker: fixed infinite loop in switching within group
  (Satya Mishra <qufgmx@gmail.com>)
- wmaker: Print error dialog when attempting to delete an in-use workspace.
  (Doug Torrance <dtorrance@piedmont.edu>)
- debian: Ignore missing documentation for --runstatedir.
- debian: Use dh_autoreconf.
- debian: Simplify debian/rules.
- debian: Fix typo occured. (Thanks, lintian.)
- debian: wmaker manpage moved from 1x to 1.
  (Andreas Metzler <ametzler@bebt.de>)
- debian: Add wmiv to wmaker package.
- debian: Add version 0.95.6-1.2 entry to changelog.
- debian: Update with final version of 0.95.7-1 packaging.
- wmaker: Maintain sorting of windows by workspace in switch menu.
- debian: Update with version 0.95.7-2 packaging.
- wmaker: Update copyright years in info panel.
- wmaker: Remove prototype for unused get_right_position_on_screen function.
- wmaker: Fix typos (used codespell).
- wmaker: Add option for window snap to top edge to maximize to full screen.
- wmaker: Use window placement settings on other workspaces.
- wmaker: Add keyboard shortcuts for keeping window on top or at bottom.
- wmaker: Display keyboard shortcuts for remaining options in window menu.
- wmaker: Fix whitespace in menu.h; passes checkpatch.pl inspection.
- wmaker: Implement basic menu shading.
  (Doug Torrance <dtorrance@piedmont.edu>)
- Translations: Dutch language files updated
- Translations: Frisian language files updated
  (Alwin <translations@ziggo.nl>)
- wmlib: Add pkg-config file.
- wmlib: Remove install-exec-local target.
- WPrefs: Code formatting in TexturePanel.c; minimizes checkpatch.pl warnings.
- WPrefs: Add support for fpixmap ("fillscale") texture.
- check-doc: Ignore runstatedir in check-cmdline-options-doc.sh
- check-doc: Ignore with-aix-soname in check-cmdline-options-doc.sh
- debian: Remove 56_ignore_runstatedir.diff.
- debian: Update with version 0.95.7-3 packaging.
- debian: Update with version 0.95.7-4 packaging.
- debian: Update with version 0.95.7-5 packaging.
- debian: Update with version 0.95.7-6 packaging.
- wmmenugen: Fix segfault; argv[argc] doesn't exist.
  (Doug Torrance <dtorrance@piedmont.edu>)
- getstyle: fix wcopy_file paths
  (Alexandru Lazar <alazar@startmail.com>)
- wmaker: fix stacking order of dock and fullscreen
- wmaker: allow alt+tabbed windows over fullscreen
  (Bjørn Mork <bjorn@mork.no>)
- WPrefs: Update path for Debian menu
- Use wprefs_bindir output variable to set WPrefs path in menus.
- Remove WindowMaker/mkMakefile script.
- Don't try and add removed file mkMakefile to distribution tarball.
- Look for plmenu in build directory when creating WMRootMenu.
- debian: Update with version 0.95.7-7 packaging.
- configure: Use PKG_PROG_PKG_CONFIG macro to allow cross building.
  (Doug Torrance <dtorrance@piedmont.edu>)
- Trivial cleanup: Removed unused defines.
  (Roman Dobosz <gryf73@gmail.com>)
- Added 'head' parameter to wMaximizeWindow
- Added wGetHeadRelativeToCurrentHead function
- Added option for ability to move half-maximized between heads.
- Added possibility for half-maximized windows to move across the screens.
- Fixed wrong (re)stored dimensions for unmaximized window.
  (gryf <gryf73@gmail.com>)
- Bugfix for moving windows between heads.
- New option for enabling alternative half-maximized window movement.
- Alternative way for traversing half-maximized windows.
- New option for moving mouse pointer along with half-maximized windows.
- Implementation for moving mouse pointer within the maximized window.
- Refactoring handleMaximize() function
- Removed trailing whitespaces from readme files.
- Fixed couple of compilator warning and removed unused macros.
  (Roman Dobosz <gryf73@gmail.com>)
- wmaker: Do not place icons under the dock
  (Cyrus Rahman <crahman@gmail.com>)
- debian: Update with version 0.95.7-8 packaging.
  (Doug Torrance <dtorrance@piedmont.edu>)

Changes since version 0.95.6:
.............................

- wmaker: improve key shortcut labelling
- WINGs: merge hashtable duplicate code
- WINGs: merge bagtree duplicate code
- wmaker: merge reading menu duplicate code
  (David Maciejak <david.maciejak@gmail.com>)
- Catch-up and some improvements of the Dutch .po files
- Make two text strings translatable
  (Alwin <translations@ziggo.nl>)
- wrlib: merge gradient duplicate code
- wmaker: update NEWS for 0.95.6
- WPrefs: set default to 1st color in gradient texture
- wmaker: add next and previous window focus functions
- wmaker: use defined wWindowSingleFocus() function
- wmaker: add new button and wheel mouse actions
- WPrefs: add new mouse actions configuration
  (David Maciejak <david.maciejak@gmail.com>)
- wmaker: Remove dead links from BUGFORM.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wmaker: improve windows listing in switchpanel
- wmaker: add clip mouse wheel action to change workspace
- util: create custom GNUSTEP dir if needed
  (David Maciejak <david.maciejak@gmail.com>)
- wmaker: Add window snapping feature.
- WPrefs.app: Add ability to enable or disable window snapping.
- wmaker: Clear maximized flag of a maximized window when moved.
- wmaker: Add "unmaximize on move" feature.
- WPrefs.app: Add ability to enable or disable "unmaximize on move" feature.
- NEWS: Add note about window snapping.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- fix maximize when dock is set 'on top' and it should be covered
  (Amadeusz Sławiński <amade@asmblr.net>)
- wmaker: Add new options for dragging maximized windows.
- WPrefs.app: Add ability to set behavior when dragging a maximized window.
- NEWS: Add note about dragging maximized windows.
- wmaker: Add more directions for window snapping.
- wmaker: Consistent whitespace in WindowMaker.h.
- Add script to update ChangeLog from git log.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wmaker: fix arbitrary shell command injection
- WINGs: add function to get button caption
- wmaker: fix maximizing window in multiple screens env
  (David Maciejak <david.maciejak@gmail.com>)
- WINGs: Add optional Pango text layout support
  (Khaled Hosny <khaledhosny@eglug.org>)
- wmaker: Restore multi screen functionality by reverting wrong commits
  (BALATON Zoltan <balaton@eik.bme.hu>)
- util: clarify error message in "wmaker.inst" in case of directory creation
  failure
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: fix usage of deprecated attribute for gcc 3.x
- wmaker: remove call to internal X11 header
  (Milan Čermák <mcermak@chello.cz>)
- configure: add detection for 'nanosleep' function with appropriate headers
- util: removed usage of external '__progname' because it is not portable
- wrlib: add support for release 5.1.0 of the libgif
- WPrefs: created macro 'wlengthof_nocheck' for the cases were wlengthof cannot
  be used
- WPrefs: replaced a few constants by the macro 'wlengthof'
- WPrefs: grouped items related to the menu style in a single place
- WPrefs: grouped items related to the window title alignment in a single place
- WPrefs: grouped items related to the help balloon configuration in a single
  place
- WPrefs: grouped items related to the AppIcon bouncing configuration in a
  single place
- WPrefs: grouped items related to the behaviour of moving a maximized window
  in a single place
- WPrefs: grouped items related to the possible window placement algorithms in
  a single place
- WPrefs: use length of array instead of hard-coded constant for sample colours
  (Christophe CURIS <christophe.curis@free.fr>)
- WINGs: Fix decimal/hexadecimal conversion bug in color panel.
- WINGs: Fix unused parameter compiler warnings in examples.
- WINGs: Avoid cast from pointer to integer of different size compiler
  warnings.
- WINGs: Link examples against Xlib.
- debian: Capitalize "Maker" in X session desktop entry.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- WPrefs: moved the titles of Clip Delay frames to an array
- WPrefs: grouped the balloon text for the dock configuration with the rest of
  the struct
- WPrefs: grouped items related to the mouse actions in a single place
- WPrefs: reorganised the Mouse Settings panel for better look
- WPrefs: reorganised the Preference panel for better look
- WPrefs: reorganised the Window Handling Settings panel for better look
- WPrefs: small reorganisation in the Dock Preferences panel
- WPrefs: minor improvements to the Focus Preference panel
- WPrefs: minor reorganisation in the Keyboard Shortcut panel
- WPrefs: minor improvements to the Workspace panel
- WPrefs: changed label from "msec" to the standard "ms" from the SI
- WPrefs: replaced call to external program "chmod" by the equivalent system
  call
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: Support omnipresent setting toggle from keyboard
  (Gaspar Chilingarov <gasparch@gmail.com>)
- Catch-up and some cosmetic changes of the Dutch .po files
  (Alwin <translations@ziggo.nl>)
- WUtil: changed order for null pointer check in array functions (Coverity
  #72806, #72807, #72819)
- WUtil: rewrote wcopy_file for better error handling and to fix Coverity
  #50234
- WUtil: fix default rights for file created when saving PropList
- WINGs: inverted the direction for mouse wheel on WMSliders
- WINGs: removed unnecessary size checks in WMGetBrowserPaths
- WINGs: fix possible null pointer dereference in W_RealizeView (Coverity
  #50060)
- wmaker: replaced dangerous function type conversion by argument conversion
- wmaker: avoid allocating temporary memory in GetShortcutKey (Coverity #50115)
- WMaker: Fixed crash if the RContext creation fail on a Screen (Coverity
  #50066)
- wmaker: removed unnecessary check when painting application icon (Coverity
  #50052)
- wmaker: removed unnecessary assignation (Coverity #50257)
- wmaker: minor fixes for the size of an aperçu
- wmaker: moved the code for the bg helper to a dedicated function
- wmaker: close unneeded file handles when running the bg helper (Coverity
  #50137)
- wmaker: improve error messages when trying to start the helper
- wmaker: removed unnecessary null pointer check (Coverity #50041)
- wmaker: removed unnecessary variable 'done' in panelBtnCallback
- wmaker: remove unnecessary null check (Coverity #50196)
- wmaker: fix incomplete null pointer check in wFrameWindowChangeTitle
  (Coverity #50058)
- wmaker: make parsing on display name less prone to crash in SetupEnvironment
  (Coverity #50096)
- wmaker: remove unnecessary null check in readMenuDirectory (Coverity #50190)
- wmaker: fix memory leak in get_icon_filename (Coverity #50132)
- wmaker: fixes in function 'UnescapeWM_CLASS' (Coverity #50101, #50186,
  #50187)
- wmaker: fix possible buffer overrun in readMenuPipe (Coverity #50211, #50212)
- wmaker: update error message to have only one string to be translated
- wmaker: do not duplicate a string that does not need to be (Coverity #72814)
- wmaker: change message to have only one string to translate and to have more
  information
- wmaker: removed case from switch that is unreachable (Coverity #50043)
- wmaker: fix size of element given to the 'qsort' function (Coverity #50210)
- WPrefs: remove fuzzy translation that are likely to puzzle user
- WPrefs: fix possible buffer overrun (Coverity #50216)
- WPrefs: add check for image validity in 'loadRImage' (Coverity #50221,
  #50081)
- wmaker: do not remove Title Bar for windows that declare themselves as
  Toolbar or Tear-off menu
- WINGs: fix infinite loop when using Pango on string that have to be split
- WINGs: fix WMPathForResourceOfType to check for all the paths it claims to
  check
- WINGs: to not allocate memory for a short lived array (Coverity #50136)
- WINGs: fix possible problems due to sign extension when setting Icon
  (Coverity #50202)
- wmaker: add check for null pointer in wAppIconCreateForDock (Coverity #50053)
- wmaker: change strcpy to the version with size check (Coverity #50217)
- wmaker: fix possible buffer overrun with filename for Icon Chooser (Coverity
  #50218)
- wmaker: replaced temporary allocation by local storage for error message
- wmaker: remove intermediate strcpy in updateWorkspaceMenu (Coverity #50213)
- wmaker: do not store return value that we don't use (Coverity #50252)
- wmaker: fix signedness of variable (Coverity #50082, #50222)
- wmaker: removed variable 'done' to prepare return status in
  'wNETWMProcessClientMessage'
- wmaker: remove unnecessary check in acceptXDND (Coverity #72817)
- WPrefs: fix memory leak when storing the list of colors in Appearence panel
- WPrefs: fix memory leaks on temporary colours to draw icon's title in
  Appearence preview (Coverity #72808, #72810)
- util: return from 'findCopyFile' if the source file could not be found
  (Coverity #50075)
- util: use wfree instead of free for consistency
- wmaker: work around compilers that do not support nested functions
- WPrefs: Use standard C declaration of array instead of GNU syntax
- WPrefs: link against math library because it is used in a few places
- Make sub-directories visible the automake's "dist*" targets
  (Christophe CURIS <christophe.curis@free.fr>)
- WINGs: add functions to set widget background image
- WPrefs: add workspace pager configuration
- wmaker: add workspace pager underlying configuration
- wmaker: add core workspace pager functions
  (David Maciejak <david.maciejak@gmail.com>)
- wmaker: moved the variable 'process_workspacemap_event' to the global
  namespace
- wmaker: remove unnecessary null pointer checks in handle_event of wsmap
- makefile: make silent rule work also for generated files
- wmaker: replaced macro by an inline function, in X Modifier initialisation
- wmaker: replaced macro 'store_modifier' by an inline function, in X Modifier
  initialisation
- checkpatch: fix bug in regular expression
- WPrefs: fix memory leak when storing the list of texture in Appearence panel
  (Coverity #50112)
- WPrefs: fix icon used in the Opaque/Non-opaque Move setting
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: Merge some duplicate code when allocating color
  (David Maciejak <david.maciejak@gmail.com>)
- configure: rewrote the detection for -Wunused-macro
- configure: add macro to check compiler flag '-Wstrict-prototype'
- configure: add a few warning flags for gcc and clang to help catch bugs
- configure: make the gcc check for trampolines stronger
- WINGs: remove the macro DEFAULT_TITLE because it is not used
- WINGs: remove constants used for default width+height for the widget
- WINGs: remove unused constant DEFAULT_BORDER_WIDTH in wcolorwell
- WINGs: remove unused macro NFONT in wbutton
- WINGs: remove dead code from 'loadPixmaps'
- WINGs: remove macro ABS_SHIFT from the wcolorpanel code
- WINGs: remove internal XDND macros that are not used
- WINGs: reuse GNUstep header instead of duplicating stuff in wwindow.c
- remove a few unused constant for size of buffers
- remove unused macros defining corner positions
- replaced all local definitions of PI by a single one
- wmaker: removed unused macro DBLCLICK_TIME
- wmaker: removed unused constant SCROLL_STEPS in the switchpanel code
- wmaker: add code to explicitly ignore Motif-WM flags we don't want to handle
- wmaker: remove constants HORIZONTAL and VERTICAL from moveres.c
- wmaker: remove parameter 'which' from local function 'restoreMenu'
- wmaker: comment out definition of wm-spec constant that we do not use
- WPrefs: remove unused constants ICON_TITLE_*FONT
- util: remove local constants GLOBAL_DEFAULTS_SUBDIR that are not used
  (Christophe CURIS <christophe.curis@free.fr>)
- WINGs: increment version
  (David Maciejak <david.maciejak@gmail.com>)
- configure: require a minimum version for Autoconf to avoid wrong generation
- wmaker: rewrote the update of _NET_WORKAREA property
- configure: rewrote the detection for WebP image library
- configure: add detection for O_NOFOLLOW flag to the open function
  (Christophe CURIS <christophe.curis@free.fr>)
- WPrefs: improve texts in the Window Handling panel
  (Yury Tarasievich <yury.tarasievich@gmail.com>)
- WPrefs: moved the list of icon animations into an array
- WPrefs: created an array to store the database values for the Icon Position
  setting
- WPrefs: grouped the choices for Window Resize Display in a single place
- WPrefs: grouped the choices for Window Move Display in a single place
- WPrefs: add an image to represent the window in the Window Placement frame
- WPrefs: add possibility to configure the size of the aperçu
  (Christophe CURIS <christophe.curis@free.fr>)
- WPrefs: Clarify purpose of "window snapping" feature in expert panel.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- Translations: Dutch .po files updated
- WPrefs: make a text string translatable
- WINGs: trivial fix in text string
- WMaker: trivial fixes in text strings
- WPrefs: trivial fixes in text strings
  (Alwin <translations@ziggo.nl>)
- wmaker: removed global variable "flags.nopolling"
- make: do not compile stuff in the 'test' directory
- Renamed "Aperçu" into "Mini-Preview" in visible places
- Renamed "apercu" to "minipreview" in the source code
- Renamed "Apercu" to "MiniPreview" in the configuration database
- wmaker: remove execute permissions on the source file 'wsmap.c'
- configure: updates as reported by 'autoupdate'
- configure: remove a few commented-out stuff that are deprecated
- configure: added the copyright notice at the begining of the file
- configure: add email address for bug reports in AC_INIT
- configure: cosmetic improvements on comments
- configure: minor updates on quoting for consistency with Autoconf's syntax
- configure: rewrote 3 ARG_ENABLEs to get them to behave properly
- configure: rewrote 2 ARG_WITH for paths to provide better feedback
- updated autoconf macro gl_LD_VERSION_SCRIPT from gnulib to version 4
- wrlib: generate automatically the list of symbols to keep from the API header
  (Christophe CURIS <christophe.curis@free.fr>)
- Add generate-mapfile-from-header.sh to distribution tarball.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- created script to check the list of source files to handle for translation
- WINGs: add missing source files for translation
- wmaker: add missing source files for translation
- WPrefs: fix list of source files for translation
- make: remove unnecessary chmod when creating directories for locales
  installation
- make: add a variable 'DOMAIN' for the name of the pot and mo files
- doc: create the skeleton to have a documentation for Internationalisation
- configure: rewrote the support for languages in localisation
- configure: rewrote detection for 'xgettext'
- configure: add check for the program "msgfmt" when i18n is requested
- doc: explain how to compile with language support
- doc: describe how to choose the language (i18n) at run time
- configure: replaced option '--with-nls' by autoconf's '--localedir'
- configure: rewrote the support for option '--with-menu-textdomain'
- configure: rewrote support for option '--disable-locale'
- doc: moved the FAQ on i18n into the dedicated README.i18n
- configure: enable all languages when performing make distcheck
- configure: add possibility to list available languages with LINGUAS=list
- make: remove installed translations when performing Uninstall
- txt-from-texi: add support for variables
- doc: explain how to help translating the Window Maker project
- make: new target 'update-lang' to update the PO files for a languages against
  latest sources
- make: moved PHONY outside the USE_LCOV conditional
- txt-from-texi: fixed use of awk 'match' function to be portable
- txt-from-texi: remove use of the 'switch' statement for portability
- i18n: fix failing generation of the README.i18n file
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: Add autocomplete/history feature to keyboard shortcut Run dialog.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wrlib: mark the script 'get-wraster-flags' as deprecated
- WUtil: mark the script 'get-wutil-flags' as deprecated
- WINGs: mark the script 'get-wings-flags' as deprecated
- wmaker: created script to check program's options against documentation
- wmaker: improve the documentation for the command-line options
- wmaker: create script to handle conditional and variables replacement in man
  pages
- doc: changed section for man page of "wdread" to 1x for consistency
- doc: add check of the program options against their man pages
- doc: updated man pages for many tools
- doc: the man page for "wmsetbg" is now processed by a script
- texi2txt: fix support embedded item lists to allow nested lists
- texi2txt: add support for enumerated lists
- texi2txt: add support for the @table command
- texi2txt: add support for making cross-references in the document
- doc: convert INSTALL-WMAKER into a texinfo source processed by texi2txt
- doc: update information in the Installation Manual
- doc: removed a few deprecated stuff from the Installation Manual
- check the "configure" option list against the INSTALL-WMAKER documentation
- doc: describe the "new" options to the "configure" script
- check-doc: add an option to ignore some explicit options from the command's
  help
- Code refactoring: replaced macro 'MWM_HINTS' by 'USE_MWM_HINTS' for
  consistency
- configure: Added option to disable Motif WM Hints support
- Code refactoring: replaced macro 'XDND' by 'USE_DOCK_XDND' for consistency
- doc: re-generate the top directory documentation when "make dist" is invoked
- texi2txt: add workaround for a known bug in "mawk"
- wmaker: check return value for XGetWindowAttributes (Coverity #50032)
- Handle NULL pointer as good as possible (Coverity #50099)
- WINGs: fix memory leak in WMSubtractPLDictionaries (Coverity #50128)
- wmaker: fix incorrect size for memory allocation (Coverity #50207)
- wmaker: fix memory leak in the Workspace Map if there is no workspace
  (Coverity #109608)
- wmaker: remove non-necessary allocation (Coverity #109609)
- wmaker: remove useless null pointer check (Coverity #109612)
- WINGs: remove useless function call in WColorPanel (Coverity #109617)
- WUtil: fix improper use of de-allocated variable (Coverity #109618)
- wmaker: converted macro 'SAME' into a static function
- wmaker: fix crash when switching workspace with "Affiche.app"
- wmaker: fix non-portable int argument for printf in error message
  (Christophe CURIS <christophe.curis@free.fr>)
- Translations: Dutch language files updated
- WINGs: trivial fixes in text strings
- WMaker: trivial fixes in text strings
- WPrefs: trivial fixes in text strings
  (Alwin <translations@ziggo.nl>)
- wmaker: add script to check the call-back function used when loading
  configuration
- wmaker: fix incorrect type for variable in the global preference structure
- Code refactoring: replaced macro 'ANIMATIONS' by 'USE_ANIMATIONS' for
  consistency
- configure: Added option to disable animations
- wmaker: fix warnings from compiler when animations are disabled
- wmaker: took as much assignation as possible outside 'if' statements
- wmaker: reorganisation of the control flow of the function 'findDock'
- wmaker: remove one level of pointers for the function SlideWindows
- wmaker: do not use strcmp twice on the same thing, in function appiconBalloon
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: removed dead code related to 'GLOBAL_SUBMENU_FILE'
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmaker: moved the definition of the list of entries for the window menu to an
  array
- wmaker: moved the definition of the entries for the window menu options to an
  array
- wmaker: moved calculation of internal offset in handleDockMove outside the
  loop
- wmaker: moved the list of Window Attributes into an array, for the Window
  Inspector
- wmaker: moved the list of Advanced Options into an array, for the Window
  Inspector
- wmaker: moved the list of Application Attributes into an array, for the
  Window Inspector
- wmaker: fix misuse of 'user_flags' instead of 'client_flags' for window
  attributes
- wmaker: honour MWM Hint to have no border to a window
- WINGs: create a new type of Tri-State Switch Button (to doc)
- wmaker: fix clearing of window attribute that was not saved properly
- doc: describe the GNOME application issue in the FAQ
- Add a configuration option to ignore Decoration Hints from GTK-based
  application
- wmaker-check: rewrote parsing of structure fields for callback checker
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: replace and be replaced (ICCCM protocol)
  (Iain Patterson <wm@iain.cx>)
- wmaker: make the '--replace' de-activable at compile time
- wmaker: support providing ICCCM version, for compliance with the standard
- doc: describe Iain Patterson's new feature for ICCCM compliance
  (Christophe CURIS <christophe.curis@free.fr>)
- Translations: Dutch language files updated
- WMaker: trivial fix in text string
  (Alwin <translations@ziggo.nl>)
- doc: changed section for man pages from 1x to 1
- util: improve the command line argument parsing in wmmenugen
- doc: do not install translated man pages if the language was not enabled in
  LINGUAS
- doc: changed section for translated man pages from 1x to 1
- configure: Add compiler detection on non optimal floating point constant
- Fixed floating point constants defined as double but expected as float
- Added some explicit conversion to double precision
- Use single-precision math functions when available
- wrlib: changed Gamma Correction calculation to use single-precision float
  (Christophe CURIS <christophe.curis@free.fr>)
- WPrefs: creating more space for translations
  (Alwin <translations@ziggo.nl>)
- debian: Import version 0.95.6-1.
- debian: Import version 0.95.6-1.1.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- Import of (partly outdated) Ukrainian translations.
  (Martin Dietze <mdietze@gmail.com>)
- Add folder with fedora .spec file
  (Alexey I. Froloff <raorn@raorn.name>)
- make: Add Ukrainian translation files to EXTRA_DIST.
- wmiv: Add long command line options --help and --version.
- wmiv: Improve help text.
- doc: Add manpage for wmiv.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wmaker: replaced old email address with the official one
- WINGs: Updated news with the API changes that occured between 0.95.6 and
  0.95.7
- WINGs: ran spell checker on the NEWS file
- WINGs: fix non-portable int conversion for printf in font panel size handling
- WRaster: fix unused variable warning when XShm extention is not enabled
  (Christophe CURIS <christophe.curis@free.fr>)
- New translation into Frisian for Window Maker
  (Alwin <translations@ziggo.nl>)
- wrlib: fixed gcc version needed for deprecated attribute support
- Configure: increased the version of Automake requested
  (Christophe CURIS <christophe.curis@free.fr>)
- configure: Fix output of libdir directory in summary
  (Josip Deanovic <djosip+news@linuxpages.net>)
- wmaker: fix detection of legacy Apercu configuration keywords
- WPrefs: fix conversion of old "Apercu" setting to the new keywords
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: Allow window snapping and linked workspaces simultaneously.
- wmaker: Allow configuration of window snapping detect distances.
- WPrefs: Add ability to set integer values in Expert panel
- WPrefs: Add snap edge and corner detect to Expert panel.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- Translations: Dutch updates for WPrefs
- Translations: Frisian updates for WPrefs
  (Alwin <translations@ziggo.nl>)
- configure: fixed incorrect variable name that prevented --disable-xdnd to
  work
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Revert "wmaker: fix clearing of window attribute that was not saved properly"
- Disable pager by default
  (Carlos R. Mafra <crmafra@gmail.com>)
- Allow using keypad Enter to commit move/resize
- Allow using numpad Enter key in dialogs for confirmation
  (Amadeusz Sławiński <amade@asmblr.net>)
- Window Maker 0.95.7
  (Carlos R. Mafra <crmafra@gmail.com>)


Changes since version 0.95.5:
.............................

- ppm.c code style
- gif.c code style
- Removed optimize_for_speed flag
- Removed context argument in jpeg files
- supports_tiff moved to wPreferences
- wApplicationExtractDirPackIcon doesn't use WScreen
- get_icon_filename doesn't use WScreen
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Display app name in ballon help of GNUstep apps
  (Charles Philip Chan <cpchan@bell.net>)
- osdep_bsd.c: Fix a typo causing memory to be overwritten
  (François Tigeot <ftigeot@wolfpond.org>)
- Add some information in the NEWS file
  (Carlos R. Mafra <crmafra@gmail.com>)
- Debian 0.95.5
- Small typo with the word attempts
- WPrefs: Ignore NumLock key when capturing keyboard shortcuts
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmaker: Converted #define to an Enum for the Program State tracking variables
- wmaker: Changed name of parameter in macro WCHECK_STATE
- wmaker: Created a global structure to regroup all global variables
- wmaker: Moved the variable for Locale choice (I18N) to the global variable
  structure
- wmaker: Moved timestamp variable (#1) to the global variable structure
- wmaker: Moved timestamp variable (#2) to the global variable structure
- wmaker: Moved global var with list of cursors to the preferences variable
- wmaker: Removed notion of 'Default' mouse cursor
- wmaker: Moved definition of WM-related XAtoms into the global variables
  structure
- wmaker: Moved definition of GNUStep-related XAtoms into the global variables
  structure
- wmaker: Moved definition of WMaker-specific XAtoms into the global variables
  structure
- wmaker: Moved definition of X Contexts into the global variables structure
- wmaker: Removed variable for X Context that is not used
  (Christophe CURIS <christophe.curis@free.fr>)
- wIconChangeImageFile returns int
- wIconChangeImageFile find image if block swapped
- wIconChangeImageFile get image block swapped
- wIconChangeImageFile removed error variable
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fixed scoping error in wSwitchPanelSelectFirst().
  (Iain Patterson <wm@iain.cx>)
- StartWindozeCycle uses ease variable
- Avoid loop in keybinding check
- wmaker: code style
- Moved 'workspace_name_font' from the Screen to a Workspace object in the
  global namespace
- Variable workspace_count moved to the workspace object in the global
  namespace
- Variable last_workspace moved to workspace object in global namespace
- Variable current_workspace moved to workspace object in global namespace
- Array of workspaces moved to the workspace object in the global namespace
- Variable workspace_menu moved to workspace object in global namespace
- Clip, Dock and Drawers menu moved to appropriate global namespace
- Removed WScreen args not used
- AppIcon list moved out of WScreen
- Removed unused WScreen variable in wIsADrawer
- Variable clip_icon moved to clip object in the global namespace
- wClipIconPaint appicon argument removed
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Remove warning by open coding WM_ITERATE_ARRAY macro
  (Rodolfo García Peñas <kix@kix.es>)
- Varible session_state moved to global namespace
- Removed WScreen argument
- shortcutWindows moved to w_global
- Removed unused variable wapp_list
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Allow undocking appicon when Alt is pressed
- Prevent crash when toggling auto-attract on a drawer with clip disabled
- Correctly initialize the drawer tile when the dock is on the left side
- Fix stacking level bug when creating a drawer in a keep-on-top dock
- Fix removal of drawer with a single appicon
- Remove dead code for a confirmation dialog that we'll probably never want to
  show
  (Daniel Déchelotte <yo.dan@free.fr>)
- Compiler food.
- Removed unused keymove_tick variable
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmaker: Moved variable Screen Count into the global namespace
- wmaker: Moved variable Ignore Wks Change into the workspace object in the
  global namespace
- wmaker: Moved variables for the XShape extension into the global namespace
- wmaker: Moved variables for the Xkb extension into the global namespace
- wmaker: Moved variables for the XRandR extension into the global namespace
- wmaker: Moved variables for Inotify into the global namespace
- wmaker: Removed global variable 'WDelayedActionSet' and associated dead code
- wmaker: Moved variable ValidModMask into the global namespace
- wmaker: Moved global domain definition to the global namespace
- wmaker: Moved definition of global variable 'wKeyBindings' to header
- configure: Added compilation check for dangerous use of 'extern' keyword
  (Christophe CURIS <christophe.curis@free.fr>)
- Removed unused WScreen argument
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Removed unused WScreen argument from dock's clip state functions
- Removed unused WScreen argument from workspace's state functions
- Removed unused WScreen argument in Pixmap function
- Removed unused WScreen argument in dock's drawer state functions
- Removed unused WScreen argument in dock's clip function
- Removed unused WScreen argument in some Default handling functions
- util: Fixed possible off-by-one issue when generating filename
- WPrefs: Grouped config key and user display string in a single struct
- WPrefs: Grouped config key and user display icon in a single struct
- WPrefs: Fixed duplicate 'const' keyword
- wmaker: Fixed compilation of XDND support
- wmaker: Added 'static' attribute to local variables
- Removed parameter to function 'create_tab_icon_workspace' that was not used
- Removed parameters to function 'open_window_menu_core' that were not used
- Removed parameter to function 'updateResistance' that was not used
- Removed parameter to function 'handleDeadProcess' that was not used
- Removed parameters to function 'handle_inotify_events' that were not used
- wmaker: Added reset of file handle variable to avoid multiple file close
- wmaker: Removed non necessary macro for buffer size
- wmaker: Marked arg as unused for compiler in callback code
- wmaker: Marked args as unused at places where conditional code is used
- wmaker: Marked args as unused for compiler in callback code
- wmaker: Marked args as unused for compiler in menu callback code
- wmaker: Marked args as unused for compiler in XExposeEvent callback code
- wmaker: Marked args as unused for compiler in XClickEvent callback code
- wmaker: Marked args as unused for compiler in XCloseEvent callback code
- wmaker: Marked args as unused for compiler in WINGs Notif callback code
- wmaker: Removed explicit callback type conversion
- wmaker: Marked args as unused for compiler in WINGs callback code
- wmaker: Marked args as unused for compiler in X Error handlers
- wmaker: Removed explicit callback type conversion
- wmaker: Marked args as unused for compiler in process death handlers
- wmaker: Marked args as unused for compiler in signal handlers
  (Christophe CURIS <christophe.curis@free.fr>)
- Add "Other maximization options" to window menu.
  (Doug Torrance <torrance@vandals.uidaho.edu>)
- Focus fullscreen windows.
- Update shortcut label for Unmaximize menu entry.
- Update shortcut labels for Other maximization submenu.
- Update other window menu shortcut labels.
  (Iain Patterson <wm@iain.cx>)
- Included compile file in gitignore
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Compiler food.
  (Iain Patterson <wm@iain.cx>)
- WUtil: Marked args as unused for compiler in a callback functions
- WUtil: Marked args as unused for compiler in WUtil's API code
- WUtil: Removed unused argument in internal function
- WINGs: Marked args as unused for compiler in Notification callback code
- WINGs: Marked args as unused for compiler in XDND callback code
- WINGs: Marked args as unused for compiler in widget resize callback code
- WINGs: Marked args as unused for compiler in X Error handlers
- WINGs: Marked args as unused for compiler in event callback code
- WINGs: Marked args as unused for compiler in a few more callback functions
- WINGs: Marked args as unused for compiler in WINGs API code
  (Christophe CURIS <christophe.curis@free.fr>)
- Updated default icons
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- Avoid unnecessary wWindowConfigure().
  (Iain Patterson <wm@iain.cx>)
- util: Marked args as unused for compiler in X Error handlers
- WPrefs: Marked args as unused for compiler in Notification callback code
- WPrefs: Marked args as unused for compiler in X Error handler
- WPrefs: Marked args as unused for compiler in event callback code
- WPrefs: Marked args as unused for compiler in signal handlers
- WPrefs: Marked args as unused for compiler in WINGs callback code
- wmaker: Marked arg as unused for compiler in Timer handler
- Re-enable the compiler check for unused arguments
- wmaker: Removed unused argument to function 'wMenuScroll'
- wmaker: Removed unused args to local functions in wmspec
- util: Removed argument that is not used
- WINGs: Removed unused argument in function 'checkDropAllowed'
- WINGs: Removed unused argument to function 'W_SetXdndAwareProperty'
- WPrefs: Removed unused argument to function 'handleDragOver'
- WPrefs: Removed unused screen argument in functions 'Init*'
- WPrefs: Removed unused function 'DestroyTexturePanel'
- WPrefs: Removed unused Screen argument to the 'Init*' functions
- WPrefs: Disable compilation for code that is 'not_yet_fully_implemented'
- WPrefs: Removed unused argument to function 'OpenExtractPanelFor'
  (Christophe CURIS <christophe.curis@free.fr>)
- Remove default Microsoft fonts.
- Remove newlines in legal panel.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wmaker: Removed unused argument in function 'wDockFinishLaunch'
- wmaker: Removed unused argument in function 'wDockLaunchWithState'
  (Christophe CURIS <christophe.curis@free.fr>)
- Info Panel size with variables
- Window Maker Developers Team Copyright
- Legal Panel size with variables
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Removed newlines from legal text in translations
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- Improved ignore for 'm4' macro directory
- configure: Moved detection of GIF support to a dedicated macro
- wrlib: Use a Conditional for GIF in the makefile instead of #if in source
- wrlib: Add support for v5 of the gif_lib API
- WPrefs: Removed unused argument in function 'WGetEditMenuSubmenu'
- WPrefs: Marked args as unused for compiler in callback code
- wrlib: Moved configure's detection of JPEG support to a dedicated macro
- wrlib: Moved configure's detection of PNG support to a dedicated macro
- wrlib: Moved configure's detection of TIFF support to a dedicated macro
  (Christophe CURIS <christophe.curis@free.fr>)
- Remove WMFullscreenLevel
- Raise fullscreened window
  (Amadeusz Sławiński <amade@asmblr.net>)
- wrlib: Moved configure's detection of XPM support to a dedicated macro
- configure: Moved PPM image format handling to a consistent place
- wrlib: separated the code to save to XPM from the builtin XPM loading
- wrlib: Use a Conditional for XPM in the makefile instead of #if in source
- wrlib: Marked args as unused for compiler
- wrlib: Renamed image format related files for clarity
- WUtil: New macro 'wlengthof' in the public API to get number of elements in
  an array
- WINGs: Use the macro 'wlengthof' to get the number of element in an array
- wmaker: Use the macro 'wlengthof' to get the number of element in an array
- WPrefs: Use the macro 'wlengthof' to get the number of element in an array
- util: Use the macro 'wlengthof' to get the number of element in an array
- configure: Less intrusive CFLAGS change when --enable-debug is chosen
- configure: Do not keep assertion if debug was not enabled
- configure: Added a check to try to enable STD C11 if possible
- configure: Minor changes to option parsing for consistency
- configure: Add check on function prototypes when debug is enabled
- WINGs: Minor improvments in 'closestListItem' function
- WINGs: Do not allocate memory for a fixed-size short-lived buffer
- wmaker: Minor improvements to function 'shade_animate' when empty on purpose
- wmaker: Avoid multiple calls to gettext
- wmaker: Created an array to hold the maximize menu entries
- WPrefs: Changed array of strings 'colorOptions' into a struct for
  explicitness
- WPrefs: Changed array of strings 'textureOptions' into a struct for
  explicitness
- WPrefs: Make the label internationalised for the texture option in dialog
  window
- wmaker: Do not allocate memory for a short lived string in
  'selectSpecification'
  (Christophe CURIS <christophe.curis@free.fr>)
- move maximization size adjustments to maximization function
- make adjustments for dock when calculating area for miniwindows
- take dock into account when not covering icons next to it
- Fix implicit declaration
  (Amadeusz Sławiński <amade@asmblr.net>)
- Fix arrow keys in switchpanel.
  (Iain Patterson <wm@iain.cx>)
- configure: Enable compiler warnings to help add 'format' attribute
- configure: Enable compiler warnings to help add 'noreturn' attribute
- WINGs: Added attribute 'noreturn' to public function 'WMScreenMainLoop'
- util: Removed unused procedure that caused a compilation warning
- util: Added noreturn attribute to appropriate functions
- WPrefs: Added noreturn attribute to appropriate functions
- wrlib: Added noreturn attribute to appropriate functions
- wmaker: Do not call XShape function if the server did not say it supports it
- WINGs: Do not create variables for trivial things
- Remove some unnecessary code related to XShape usage
- configure: Removed deprecated lines for unused X stuff
- configure: Enable compiler warnings for trampoline code generation
- configure: Replaced deprecated construct with recommended new check
- configure: Removed macro that are not used anymore
- configure: Added m4 check to detect possible non-expanded macros
- WINGs: Removed unnecessary type conversion
- WRaster: Removed unused variables from Makefile
- wmaker: Do not create a temporary variable for Xrandr support detection
- WPrefs: Add case check to fix -Wmaybe-uninitialized warning
- Code refactoring: replaced macro 'SHAPE' by 'USE_XSHAPE' for consistency
- configure: made the functions to try lib link+compile more generic
- configure: Created new macro to append only once a flag to a variable
- configure: Created new macro to perform the repetitive part of Library check
- configure: Moved configure's detection of XShape to a dedicated macro
- Code refactoring: replaced macro 'XINERAMA' by 'USE_XINERAMA' for consistency
- configure: Moved configure's detection of Xinerama to a dedicated macro
- Code refactoring: replaced macro 'HAVE_XRANDR' by 'USE_XRANDR' for
  consistency
- configure: Moved configure's detection of XRandR to a dedicated macro
- Code refactoring: replaced macro 'XSHM' by 'USE_XSHM' for consistency
- Configure: Moved configure's detection of XShm to a dedicated macro
- Configure: Added proper check for Xmu library for WRaster
- WINGs: Added a few missing const attributes
- WRaster: Added missing const attribute
- wmaker: Added missing const attribute
- WPrefs: Added a few missing const attributes
- utils: Added a few missing attributes to local variables
- WINGs: Added 'const' attribute to function 'WMCreateHashTable'
  (Christophe CURIS <christophe.curis@free.fr>)
- move dock/icons size adjustments, to fix window placement
  (Amadeusz Sławiński <amade@asmblr.net>)
- Fixed a few improper macro usages
- WPrefs: Moved widgets in Workspace panel so that label is not truncated
  (Christophe CURIS <christophe.curis@free.fr>)
- Removed unused code in makeTitledIcon
- Arguments not used in SetButtonAlphaImage
- GetWindow function, argument not used
- Remove compiler warnings in defaults.c
- Removed unused code in screen.c
- remove wtest compiler warnings.
- WINGS: removed compiler warnings.
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Minimal support for _NET_WM_WINDOW_OPACITY
- Add _NET_WM_WINDOW_TYPEs added in EWMH 1.3
  (Brad Jorsch <anomie@users.sourceforge.net>)
- WINGs/Examples: Removed refs to connect and server examples
- WPrefs: Fixed label display truncated for delays in ms for autocollapsing
  clips
  (David Maciejak <david.maciejak@gmail.com>)
- Fixed compiler warnings in dock.c
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fixed xinerama detection
- WPrefs: Resized frames inside Mouse Settings panel to avoid label truncated
- WPrefs: Removed \n from label as the widget does at better job at splitting
  lines
  (Christophe CURIS <christophe.curis@free.fr>)
- Fix out of source build for i18n pot files
- Updated Hungarian translations
  (BALATON Zoltan <balaton@eik.bme.hu>)
- Set no_focusable for "notification" and "tooltip" windows
  (Brad Jorsch <anomie@users.sourceforge.net>)
- WPrefs: Make Dock preferences pane less busy and fix up some strings
- Updated Hungarian translation
  (BALATON Zoltan <balaton@eik.bme.hu>)
- Updated copyright date
- WPrefs: Fixed compiler warnings
  (David Maciejak <david.maciejak@gmail.com>)
- WPrefs: Completely removed function 'makeTitledIcon' that did nothing
- test: Added a few comments to explain things
- doc: Minor updates to the main README file
- doc: Added info on git send-email in the 'perfect-patch' recommendation
- doc: Ran spell-checker on most text files present in the top directory
  (Christophe CURIS <christophe.curis@free.fr>)
- New translation into Dutch for Window Maker
  (Alwin <translations@ziggo.nl>)
- RandR misc.
  (David Maciejak <david.maciejak@gmail.com>)
- wmgenmenu: Write paths according to options set at configure time
  (Carlos R. Mafra <crmafra@gmail.com>)
- split autoPlaceWindow to smaller functions
- autoPlaceWindow: rewrite iteration to more comprehensible form
- autoPlaceWindow: rename mysterious parameter tryCount to ignore_sunken
- autoPlaceWindow: try placing window at center first
  (Yuri Karaban <dev@dev97.com>)
- WINGs: Add support for syslog messaging
  (David Maciejak <david.maciejak@gmail.com>)
- WUtil: Fixed incorrect header being included
- WUtil: Added missing const attribute to function arguments
  (Christophe CURIS <christophe.curis@free.fr>)
- WINGs: Add functions to release application memory
- Add call to WMReleaseApplication on application exit
- util: Make code a bit more secure
- wrlib: Improved NETPBM support, file format detection
- wrlib: Improvements to Netpbm memory usage on errors
  (David Maciejak <david.maciejak@gmail.com>)
- wrlib: Improved NETPBM support
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: Improved file format detection
  (David Maciejak <david.maciejak@gmail.com>)
- wrlib: Improved file format detection
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: Fixed and improved NETPBM examples
- wrlib: Added support for webp image
  (David Maciejak <david.maciejak@gmail.com>)
- wmaker: Scale image to make them fit in the preview panel
- WINGs: Changed algorithm to resize a pixmap while keeping aspect ratio
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: added support for imagemagick third-party lib
  (David Maciejak <david.maciejak@gmail.com>)
- Added pkg-config file for WUtil.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wrlib: revert addition of an internal ImgFormat for ImageMagick
- wmaker: update translations following string changes from previous commit
- wmaker: Updated Dutch translation against changes in Info Panel
- wmaker: Updated Armenian translation against changes in Info Panel
  (Christophe CURIS <christophe.curis@free.fr>)
- Added missing files to distribution tarball.
- Debian: Added wrlib.pc to libwraster3-dev package.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wrlib: fixed prototype for 'RShutdown' in the public API header
- wrlib: renamed compilation flags variables with a name less prone to clash
- wrlib: fixed compilation to use the flags detected by configure for
  MagickWand
- wrlib: light changes to the code for ImageMagick
- wrlib: grouped the detection of ImageMagick in the CHECK_MAGICK macro
- wrlib: changed the function used to detecting MagickWand
- wrlib: moved 'RShutdown' from 'load.c' to 'misc.c' for consistency
- wrlib: do not initialize/release ImageMagick unnecessarily
- wrlib: add detection for ImageMagick using pkg-config
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: minor improvements to labels in the info panel
- wrlib: Implemented functions to allow clean-up of Contexts
- wrlib: Added clean-up of image cache in 'RShutdown'
- wrlib: Added clean-up of library internals in 'RShutdown'
  (David Maciejak <david.maciejak@gmail.com>)
- WINGs: Fix crash on exit while trying to save user config changes
- WUtil: Aligned msgid for error message translations against latest code
- WINGs: removed unused variable in syslog messaging code
- WINGs: safer cleanup in the 'WMReleaseApplication' function
- WINGs: Removed checks for code that can't fail
- WMaker: rationalised the use of flags for window icons in the switchpanel
- WPrefs: Make Opaque Move/Resize less cramped in the Window Handling panel
- WPrefs: Updated translation source strings against source code
- Add attribute 'noreturn' to a few functions pointed by clang
  (Christophe CURIS <christophe.curis@free.fr>)
- Add keyboard shortcut to run application.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- wrlib: add a function to draw rectangles
  (David Maciejak <david.maciejak@gmail.com>)
- Restore wprogressindicator.c declarations to WINGs/WINGs.h
- WPrefs: WINGs font configuration
- WINGs: Option for decimal or hexadecimal RGB colors
- WPrefs: Set workspace background
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- util/wmiv: an image viewer using wrlib
- clean wDockFindFreeSlot function
  (David Maciejak <david.maciejak@gmail.com>)
- wrlib: Potential leak of memory pointed to by 'tmpp'
- wmlib: Potential leak of memory pointed to by 'entry'
  (Amadeusz Sławiński <amade@asmblr.net>)
- wmlib: remove wrong free highlighted by commit 65dc99d805
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: potentially incorrect sizeof in malloc
- wrlib: wrong type in sizeof
- wrlib: wrong type in sizeof
- WINGs: Called function pointer is null (null dereference)
- WINGs: Value stored to 'scroll' is never read
- WINGs: Value stored to 'pos'|'_w'|'done' is never read
- WINGs: actually assign variable
  (Amadeusz Sławiński <amade@asmblr.net>)
- WPrefs: fix segfault when image not found
- add util/wmiv to .gitignore
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- WPrefs: Value stored to 'timage' is never read
  (Amadeusz Sławiński <amade@asmblr.net>)
- WPrefs: remove unfinished background tab from appearances panel code
- WPrefs: new enum in Appearances.c for tab identifiers to increase readability
- doc: Update getstyle and setstyle manpages.
- WPrefs: Add ability to edit FrameBorderColor/FrameSelectedBorderColor.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- WINGs: changed use of 'if' on panel->rgbState into a switch
- WMaker: moved XGrab/XUngrabPointer into the conditional code
- News: created section dedicated to the changes related to 0.95.3
- News: added description of a change that may be interesting to users
- News: added section to describe the changes that have occured in 0.95.4
- News: marked the current changes as part of 0.95.5 and describe the drawers
  feature
- News: described the new features for future 0.95.6 release
- News: ran spell-checker on the file
  (Christophe CURIS <christophe.curis@free.fr>)
- src/appicon.c: updated paint_app_icon
  (David Maciejak <david.maciejak@gmail.com>)
- WMaker: rewrote generation of title for the Icon Chooser to avoid problems
  (Christophe CURIS <christophe.curis@free.fr>)
- src/misc.c: updated GetShortcutString
- src/usermenu.c: updated wUserMenuRefreshInstances
- src/winmenu.c: updated prepare_menu_position
  (David Maciejak <david.maciejak@gmail.com>)
- WUtil: fix posible crash in 'wgethomedir' (Coverity #50070)
- WUtil: make sure wmalloc/wrealloc won't fail because of abort handler
- WUtil: remove unnecessary check in wstrappend (Coverity #50138)
- WUtil: fixed possible problem in wcopy_file (Coverity #50141)
- WUtil: remove unnecessary check in WMGetStandardUserDefaults (Coverity
  #50191)
- WUtil: fix type used in sizeof in function wtokensplit (Coverity #50208 +
  #50209)
- WUtil: make use of secure_getenv if the function is available
- WUtil: fix undefined behaviour with $VARS in wexpandpath (Coverity #50244)
- WUtil: change 'wassertr(v)' to still perform check even if NDEBUG is set
- WUtil: remove duplicated information from 'wassertr(v)' message
  (Christophe CURIS <christophe.curis@free.fr>)
- Coding style: Change 'foo * bar' to 'foo *bar' in function arguments
  (Carlos R. Mafra <crmafra@gmail.com>)
- WINGs: Value stored to 'columnX' is never read
- wrlib: Value stored to 'i'|'tmpc' is never read
- wrlib: Value stored to 'bptr' is never read
- util: Value stored to 'ret' is never read
- wmaker: Value stored to 'w1' is never read
- wrlib: Value stored to 'nptr' is never read
- WINGs: Value stored to 'aw' is never read
- util: Value stored to 'count' is never read
- WINGs: Value stored to 'fh'|'fy' is never read
- WINGs: Value stored to 'sz' is never read
  (Amadeusz Sławiński <amade@asmblr.net>)
- WINGs: remove unreachable code in paintMenuEntry (Coverity #50042)
- WINGs: do not crash on NULL title in WMSetWindowTitle (Coverity #50046)
- WINGs: fix check for NULL pointer in WMText selection (Coverity #50067)
- WINGs: fix memory leak in WColorPanel (Coverity #50102, #50103, #50104 and
  #50133)
- WINGs: fix memory leak in WMGetBrowserPaths (Coverity #50111)
- WINGs: fix memory leak in WMCreateTextForDocumentType (Coverity #50118)
- WINGs: fix memory leak in getStreamObjects (Coverity #50119)
- WINGs: fix memory leak in requestHandler (Coverity #50135)
- WINGs: fix memory leak in requestHandler (Coverity #50136)
- WINGs: fix possible NULL pointer dereference in WMFreeColorPanel (Coverity
  #50189)
- WINGs: fix incorrect usage of direction variable in
  updateStartForCurrentTextBlock (Coverity #50192)
- WINGs: fix check for NULL pointer in WMFilePanel (Coverity #50195)
- WINGs: fix possible NULL pointer dereference (Coverity #50197)
- WINGs: fix probable crash in drag'n'drop (Coverity #50264)
- WINGs: removed unnecessary gotos in handleTextKeyPress
  (Christophe CURIS <christophe.curis@free.fr>)
- WPrefs: updates to FrameBorderColor/FrameSelectedBorderColor options
- WINGs: Click on colored portion of color well also opens color panel.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- Add checkpatch.pl, stolen from the linux kernel
  (Carlos R. Mafra <crmafra@gmail.com>)
- Removed references to obsolete DisplayFont
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- WPrefs: changed renderTexture to always fallback to solid black when image
  can't be loaded
  (Christophe CURIS <christophe.curis@free.fr>)
- Fix segfault in Wprefs when background is set to fpixmap (wmsetbg
  --fillscale)
- Allow setting separate border color for focused windows
- Allow setting "FrameFocusedBorderColor" from WPrefs
- reformat output so it fits on terminals with 80 columns
- Add missing options to wmsetbg manpage
  (Amadeusz Sławiński <amade@asmblr.net>)
- WMaker: remove unnecessary check in Balloon show function (Coverity #50065)
- WMaker: fix memory leak in windows menu (Coverity #50109)
- WMaker: fix memory leak in window inspector (Coverity #50116)
- WMaker: fix memory leak in the docked apps icon chooser (Coverity #50117.1)
- WMaker: fix memory leak in the windows icon chooser (Coverity #50117.2)
- WMaker: fix memory leak in wDockTrackWindowLaunch (Coverity #50120 and
  #50121)
- WMaker: fix memory leak in the root menu parser (Coverity #50122)
- WMaker: fix memory leak in root menu parser (Coverity #50123 and #50124)
- WMaker: fix memory leak in workspace switching (Coverity #50126)
- WMaker: fix memory leak in the switchpanel backgroung image (Coverity #50131)
- WMaker: fix memory leak in screen initialisation (Coverity #50134)
- WMaker: removed unnecessary case handling in appicon setting
- WMaker: fix memory leak in app icon changing (Coverity #50139)
- WMaker: fix memory leak in the crash handling dialog (Coverity #50163)
- WMaker: fix memory leak when respawning after crash (Coverity #50165)
- WMaker: fix memory leak in windows saved state handling (Coverity #50171)
- WMaker: fix dangerous code in file scanning for wAdvancedInputDialog
  (Coverity #50172)
- WMaker: fix possible memory leak in the icon chooser dialog (Coverity #50173)
- WMaker: fix memory leak in the window inspector when saving settings
  (Coverity #50174)
- WMaker: fix memory leak in the window inspector when saving settings
  (Coverity #50175)
- WMaker: removed check that is always true in wDefaultsInitDomain (Coverity
  #50243)
- WMaker: change conceptually imperfect code in drawerDestroy (Coverity #50265)
- WMaker: removed use of dangerous RETRY macro in GetCommandForPid for Linux
  (Coverity #50267)
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib: add image flip functions
- util/wmiv: correct errors and warnings
- wrlib: RRotateImage function not fully implemented
  (David Maciejak <david.maciejak@gmail.com>)
- wmaker: raise shaded window when alt tabbing
- wmaker: alt-tab to shaded windows when "SwitchPanelImages = None" is set
  (Amadeusz Sławiński <amade@asmblr.net>)
- wrlib: fixed transformation functions
  (David Maciejak <david.maciejak@gmail.com>)
- wmgenmenu: Do not force command line options upon everybody
  (Carlos R. Mafra <crmafra@gmail.com>)
- WINGs: fix duplicate if/else branch in W_LookupString
  (David Maciejak <david.maciejak@gmail.com>)
- WPrefs: make fall-back value look like a fall-back value in Texture Panel
  (Coverity #50031)
- WPrefs: fix NULL pointer dereference in the Pixmap/Icon path panel (Coverity
  #50073 + #50150)
- WPrefs: fix possible crash when saving mouse modifier (Coverity #50098)
- WPrefs: fix memory leak in buildPLFromMenu (Coverity #50105)
- WPrefs: fix memory leak in loadRImage (Coverity #50107)
- WPrefs: fix memory leak when editing the label of a menu (Coverity #50130)
- WPrefs: fix memory leak when saving settings (Coverity #50140 + #50157 +
  #50159)
- WPrefs: fix memory leak when editing a delay for the dock (Coverity #50156)
- WPrefs: fix memory leak when saving window handling settings (Coverity
  #50158)
- WPrefs: fix NULL pointer handling when getting the Modifiers (Coverity
  #50200)
- WPrefs: add warning when renderTexture encounters some unknow settings
  (Christophe CURIS <christophe.curis@free.fr>)
- util/wmiv: add image auto orientation detection
  (David Maciejak <david.maciejak@gmail.com>)
- WPrefs: set IconTitleColor, IconTitleBack, ClipTitleColor, and
  CClipTitleColor
- Add checkpatch.pl to distribution tarball.
  (Doug Torrance <dtorrance@monmouthcollege.edu>)
- WPrefs: add expert option to disable switch panel
- WMaker: src/misc.c remove obsolete code
- wrlib: load.c clean coding style
- WINGs: add function to set the color of the frame title
- wmaker: darken labels from docked application settings
  (David Maciejak <david.maciejak@gmail.com>)
- wrlib: fix possible incorrect shifting operations (Coverity #50203)
- wrlib: fix possible incorrect shifting operations (Coverity #50204, #50205,
  #50206)
- wrlib: removed macro RETRY that does not does what is expected (Coverity
  #50160)
- wrlib: added a limit to the image cache size (Coverity #50223)
- wrlib: initialise value for variable to avoid possible crash (Coverity
  #50245)
- wrlib: remove unnecessary variable assignation (Coverity #50258)
- wrlib: return NULL if XImage could not be taken, for consistency
- wrlib: new headers to contain definition of internal stuff
- wrlib: add explicit type definition in API to allow compiler Type Checks
  (1/3)
- wrlib: add explicit type definition in API to allow compiler Type Checks
  (2/3)
- wrlib: add explicit type definition in API to allow compiler Type Checks
  (3/3)
  (Christophe CURIS <christophe.curis@free.fr>)
- Consistent terms for switch panel cycling.
  (Iain Patterson <wm@iain.cx>)
- wmaker: redo logo
  (David Maciejak <david.maciejak@gmail.com>)
- util: simplify the code for 'find_terminal_emulator' (Coverity #50076)
- util: removed unnecessary RReleaseImage in wmsetbg (Coverity #50077)
- util: fix misleading indentation in assemblePLMenuFunc (Coverity #50094)
- util: fix leak in setstyle (Coverity #50151+#50152)
- util: remove unnecesary allocation in addWMMenuEntryCallback (Coverity
  #50161)
- util: fix leak in getstyle's makeThemePack (Coverity #50164)
- util: fix image leak in wmsebg's parseTexture (Coverity #50166)
- util: fixed memleak in wmsetbg's updateDomain (Coverity #50167)
- util: fix leaks in wmsetbg's changeTextureForWorkspace (Coverity #50169)
- util: add proper check for null pointer in wmsetbg (Coverity #50198)
- util: fix possible buffer overrun in the function that create L2 menus
  (Coverity #50219)
- util: replaced sprintf with snprintf to avoid buffer overflow (Coverity
  #50220)
- util: add check for size validity (Coverity #50224)
- util: rewrote path building in makeThemePack
- Removed definitions of dangerous macro RETRY that does not work as expected
- util: cosmetic updates to the list of terminals for wmmenugen
  (Christophe CURIS <christophe.curis@free.fr>)
- Catch-up with new strings, and overall improvements of the Dutch language
  files
  (Alwin <translations@ziggo.nl>)
- wrlib: move fixed angle rotation code to dedicated functions
- wrlib: code refactoring in RFlipImage functions
- wrlib: do not create an alpha channel if the original image did not have it
  in RFlipImage
- wrlib: merged both R*FlipImage function into one for the public API
- WINGs: optimisations to 'WMReadPropListFromPipe'
- wmaker: fixed flag to avoid reloading config multiple times
- wmaker: removed variable whose value never changed
- wmaker: remove checks on variables that have already been checked
- wmaker: simplify the code for the Xkb event handler
- WPrefs: replaced NULL terminated lists by 'wlengthof' usages
- WPrefs: grouped items related to the color selection in a single place
- WPrefs: grouped items related to the texture selection in a single place
- util: update wmiv after the RFlipImage API change in wrlib
- util: clarify a bit of the code for parsing commands in wmgenmenu
- util: add explicit types for calback functions definitions
- doc: add a few more suggestions for people willing to contribute
  (Christophe CURIS <christophe.curis@free.fr>)
- wmaker: improve the behaviour of window resizing by user
  (Ioan Moldovan <ioanm@outlook.com>)
- wrlib: re-introduce the optimize_for_speed flag for binary compatibility
- Increment versions of libraries for next release due to public API Changes
  (Christophe CURIS <christophe.curis@free.fr>)
- wrlib/tests: fix testgrad memory leak
- WINGs/Tests: make them compile again
- wmaker: dock.c possible null pointer dereference
- wmaker: superfluous.c possible null pointer dereference
- wmaker: main.c fix realloc mistake
- WINGs: correct possible null pointer dereference
- wrlib: fix RCreateImageFromDrawable error log msg
- wmaker: fix xdnd accepted type
- wmaker: Improve drag-nd-drop support
- wmaker: Add drag-nd-drop support in info panel
- wmaker: Add drag-nd-drop support
- wmaker: fix moveres.c compilation warning
- wmaker: switch back icon name to the window name when needed
- wmaker: unset default app logo size
- wmaker: update drag-nd-drop label related
- wmaker: src/dialog cosmetic code change
- wmaker: add miniwindow apercu
  (David Maciejak <david.maciejak@gmail.com>)
- apercu: Make preview size a configuration option
  (Carlos R. Mafra <crmafra@gmail.com>)
- wmaker: change default app icon
- WPrefs: fix key capture
- wmaker: update docked application balloon text
- wmaker: fix src/dock.c code typo
- wmaker: src/action.c merge duplicate code
- WINGs: merge duplicate code from wtext
- wmaker: fix deiconify window on double-click
- wmaker: fix control shortcut label in window menu
- wmaker: update src/action.c coding style
- wrlib: add merged code for xpm support in 2 distinct functions
- wrlib: remove duplicate code from xpm support
- wmaker: add support for more mouse buttons
- WPrefs: add new mouse buttons configuration support
- wmaker: make disable mouse actions a live set
- wmaker: implement EWMH _NET_WORKAREA
  (David Maciejak <david.maciejak@gmail.com>)
- Window Maker 0.95.6
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.95.4:
.............................

- Fix underlinking
  (Kamil Rytarowski <krytarowski@gmail.com>)
- Set mod+wheel to OFF by default
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix incorrect FSF address
- Include LGPL with correct FSF address
  (Andreas Bierfert <andreas.bierfert@lowlatency.de>)
- README capitalization fix
  (SJS <wmaker@stremler.net>)
- Removed XRANDR externs
- New shutdown.h file
- WINGs: Functions to read the Mouse Wheel conf
- Don't access to private WINGs info
- WINGs: New function W_setconf_doubleClickDelay
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Window placement: Enforce center position
  (Carlos R. Mafra <crmafra@gmail.com>)
- Update docked icon after kill dockapp
- New function set_icon_image_from_database
- Simplify the application appicon creation
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- autoconf: add remaining parameter for AC_SEARCH_LIBS
  (Wade Berrier <wberrier@gmail.com>)
- Sanitize 'Ignore client supplied icon' logic
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmgenmenu: Add XBMC entry
  (Carlos R. Mafra <crmafra@gmail.com>)
- WPrefs: Fix single click activation button in Icon preferences
  (BALATON Zoltan <balaton@eik.bme.hu>)
- WINGS: New function WMReadPropListFromPipe
- Add OPEN_PLMENU option to parse command generated proplist style menus
- Teach WPrefs about OPEN_PLMENU
  (Andreas Bierfert <andreas.bierfert@lowlatency.de>)
- Removed dead code in wSessionRestoreState
- Cosmetic code changes in workspace
- Removed unused dock types
- Window attributes moved to wCoreCreateTopLevel
- Removed extra XClearWindow call
- Workspace clip creation in two steps
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Added wGetColorForColormap().
- Use wGetColorForColormap() when allocating border pixel.
- Make window border colours configurable.
- Make window border size configurable.
- Document FrameBorder* preferences.
- Change Select menu entry text for selected windows.
  (Iain Patterson <wm@iain.cx>)
- Removed old window clip balloon code
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Added GetShortcutKey().
- Eliminate Workspaces menu magic numbers.
- Show shortcuts for workspace switching menu entries.
- Added shortcut to switch to last used workspace.
- Allow WPrefs to configure the last used workspace key.
- Shortcuts for moving windows between workspaces.
- Allow WPrefs to configure workspace switching keys.
- Document new workspace shortcuts.
  (Iain Patterson <wm@iain.cx>)
- Removed dup function wScreenSearchForRootWindow
- code clean at startup.c
- wGetRectForHead moved to where used
- New file placement.h
- New function set_icon_image_from_image
- wIconChangeImageFile use set_icon_image_from_image
- wIconUpdate removed image argument
- Dockapps don't have title
- drawIconTitle renamed
- New function update_icon_title
- wIconChangeTitle rewrited
- Move out wIconUpdate from set_icon_image_from_database
- Remove wIconUpdate in keepIconsCallback
- Remove wIconUpdate in moveIconBetweenDocks
- Remove wIconUpdate in wDockDetach
- Remove wIconUpdate in wDockAttachIcon
- Remove wIconUpdate in tileObserver
- wIconPaint: avoid crashing if icon is NULL
- wIconChangeTitle rewritten
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- configure: Add detection of library kvm that is used under OpenBSD
  (Christophe CURIS <christophe.curis@free.fr>)
- Deleted useless test
- Avoid clip flickering when docking an appicon
- BF for "some obscured windows briefly appears when switching workspaces"
- Fix leading spaces in comment (trivial)
- WPrefs: consolidate the 2 createImages static functions into a global one
- Consolidated all code checking whether a tile is fully on screen in one
  static function
- Make the clip's auto-delays configurable
- WPrefs: new Docks pannel, to change auto-expand/collapse/etc delays
- Increase MAX_WINDOWLIST_WIDTH from 160 to 400 (in pixels)
- Bring back some "About" information when double-clicking the dock
- Move code that removes icons from a dock to new removeIcons function
- Merging appicon.c:appIconMouseDown and dock.c:handleIconMove into
  appicon.c:wHandleAppIconMove
- Added wDefaultPurgeInfo to remove what we stored about a given instance-class
  couple.
- Added a SlideWindows function to handle horizontally-aligned array of windows
- Add drawers to wmaker!
- WPrefs: adds possibility to disable drawers from Docks panel
- Real-time dock left-right swapping
- Allow appicons above the dock
- Wrap appicons when dock is moved up and down
- Add option to merge the workspace-switching functionality into the dock
  (Daniel Déchelotte <yo.dan@free.fr>)
- Merge branch 'wmdrawer' into next
- Fix compilation from merge conflict
- WPrefs: Avoid crash when config file does not contain wmdrawer settings
  (Carlos R. Mafra <crmafra@gmail.com>)
- WPrefs: fix missing drawer image in Makefile.am
  (Renan Traba <rvt10@inf.ufpr.br>)
- Compiler food.
  (Iain Patterson <wm@iain.cx>)
- New file misc.h
- icon_update_pixmap default moved to bottom
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fix StartWindozeCycle() shift key behaviour.
- Set StrictWindozeCycle by default.
- Added sameWindowClass().
- Correct check for modifier in class-specific cycle.
- Support for same-class cycling in open switchpanel.
  (Iain Patterson <wm@iain.cx>)
- Move the list of keyboard shortcut texts into the array of their config
  keyword
- Moved declaration of format-specific image Load functions to dedicated header
- Moved the function to Save image also into the internal header
- Converted #define into an Enum for image format number
- Added 'const' attribute to the file name parameter to load/save
- Added 'const' attribute on non-modified arguments for drawing functions
- Added 'const' attribute on non-modified arguments for color handling
  functions
- Added the last missing 'const' attributes to function parameters
- Increased library's revision to reflect API updates
- Added missing headers to the list of source files of the project
- WRaster: Bugfix, added missing 'const' to RLoad* functions
- WUtil: Added 'const' attribute on non-modified arguments to functions
- WUtil: Added 'const' attribute to parameters for file related API
- WUtil: Added 'const' attribute to the filename on WM(Read|Write)PropList*
- WUtil: Added 'const' attribute to all remaining functions where applicable
- WUtil: Added comment about values returned by API functions
- WUtil: Avoid unnecessary strdup + free
- WUtil: Fixed wrong type recast
- WUtil: Fixed risky code for de-escaping of strings
- WUtil: Changed declaration of 'wusergnusteppath' to return a CONST string
- Fixed const correctness in functions using 'wusergnusteppath'
- WUtil: Rewrote 'wusergnusteppath' to be more efficient
- WUtil: Increased version number for the library
  (Christophe CURIS <christophe.curis@free.fr>)
- Documentation on the new switchpanel behaviour.
  (Iain Patterson <wm@iain.cx>)
- WPrefs: Added the proper 'const' attribute to the dictionnary functions
- WPrefs: Added const attribute to statically stored strings
- Fixed memory leak due to non-freed temporary PropList
- Added a few 'const' to filename parameters for History functions
- Changed method to limit the number of History entries loaded
- Fixed memory leak due to non-freed property list structure
- WINGs: Added 'const' attribute to functions in wapplication, wappresource,
  wcolor, wfont, wpixmap
- WINGs: Added 'const' attribute to functions in wbutton, wframe, wlabel,
  wlist, wwindow
- WINGs: Added 'const' attribute to functions in wbrowser, wcolorpanel,
  wfilepanel and wfontpanel
- WINGs: Added 'const' attribute to functions in wballoon, wmenuitem, wmisc,
  wtextfield
- WINGs: Added 'const' attribute to functions in wpanel, wpopupbutton, wtabview
- WINGs: Added 'const' attribute to functions in dragdestination, wtext
- WINGs: Added 'const' attribute to 'WMCreatePropListFromDescription'
- WINGs: Added 'static' attribute to local functions in wcolorpanel
- wrlib: Added 'const' attribute to local function in 'context'
- WPrefs.app: Added const attribute to local string
- WINGs: Fixed incorrect allocation size, missing room for '\0'
- WINGs: Fixed incorrect return type for internal function
- WINGs: Updated NEWS file about the API changes in the libraries
  (Christophe CURIS <christophe.curis@free.fr>)
- InfoPanel: Added info about XRandR in the info dialog
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- InfoPanel: Minor fixes for what must be translated and what does not need to
- InfoPanel: Use a more user-friendly separator to display supported image
  formats
- InfoPanel: Added display of memory fragmentation information
- Readme: Removed reference to the tutorial
- Readme: Removed reference to 'contrib' directory
- util: removed deprecated file 'directjpeg.c'
- Configure: Changed OS dependant check to use Autoconf's macro
- Changed WM_OSDEP to use Conditional instead of Substitution
- WPrefs: Added a few comments in header file
- Added proper legal notice at beginning of header files
- Added missing include guards in a few headers
- Removed temporary allocation to build a path that is actually a constant
- Configure: Fixed usage of CPPFLAGS instead of CFLAGS for some options
- Changed formula for getting the number of elements in a static array
- Unified usage of the 'inline' attribute for functions
- WPrefs: Move declaration of function into the common header
- Fixed improper variables definition in header file
- WRaster: Changed equality/inequality comparison on floating point number
- WINGs: Changed the minimum internal knob size of WScroller
- WINGs: Changed equality comparison on floating point number
- wmaker: Removed equality comparison on floating point number
- Configure: Added some -Wxxx checks when debug mode is enabled
- util: Created header to define functions that may be used in more that one
  place
- util: Added 'const' attribute to function parameters
- WPrefs: Moved content of 'double.h' into 'WPrefs.h'
- WPrefs: Added 'const' attribute to function parameters
- wmaker: Removed deprecated function definition from header
- wmaker: Reorganised the header 'funcs.h'
- src/main.c: Moved local prototype for global function to header 'funcs.h'
- Added explicit 'void' to function that takes no argument
- WINGs: Added explicit parameter list to function prototypes (Simple cases)
- WINGs: Added explicit parameter list to function prototypes (Complex case)
- WINGs: Removed cast to change function prototype
- WINGs: Reorganised the private header
- WINGs: Place prototype of functions in WINGsP.h instead of local definition
- WINGs: Moved declaration of extern variable to the global header
- WINGs: Added include for header defining the funcion provided by the file
- WINGs: Added a few missing 'static' attributes to functions
- wmaker: Cleaned dangerous function prototype usage
- util: Added a few missing 'static' attributes for functions
- WPrefs: Cleaned dangerous function prototype usage
  (Christophe CURIS <christophe.curis@free.fr>)
- fix condition to restore window position when unmaximized
- simplified logic of handleMaximize function
  (Renan Traba <rvt10@inf.ufpr.br>)
- simplified logic of wMaximizeWindow function
- added new maximize positions, top and bottom
  (Renan Traba <hellupline@gmail.com>)
- WPrefs: added option to configure new top and bottom viewports
- added new windows positions
- WPrefs: added option to configure new viewports
- explicit restore to MAX_MAXIMUS instead of empty flag at handleMaximize
- enforce requested window position whem maximizing
  (Renan Traba <rvt10@inf.ufpr.br>)
- Prevent crash when switchpanel is not initialised.
- Dim switchpanel icons when same-class cycling.
- Undim switchpanel icons when selecting windows directly.
  (Iain Patterson <wm@iain.cx>)
- New header file startup.h
- New header file cycling.h
- New header file event.h
- getWVisualID prototype moved to main.h
- New header file monitor.h
- New header file winmenu.h
- New header file switchmenu.h
- funcs.h removed
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fix workspace renaming with Ctrl+left click
  (Carlos R. Mafra <crmafra@gmail.com>)
- Avoid unnecessary switchpanel icon redraws.
- Compiler food.
- Preference to open the switchpanel without selecting a window.
- Handle Return in switchpanel.
- funcs.h regression
- Maximization regression
  (Iain Patterson <wm@iain.cx>)
- Configure: Use automake's conditional to handle icon installation
- WUtil: Avoid memory leak and misbehaviour on internal function
  'getuserhomedir'
- Configure: Added check for compiler attribute 'noreturn'
- wmaker: Added attribute 'noreturn' to appropriate functions
- Added explicit prototype for callback function and fixed code accordingly
- Fixed structure declaration syntax
- Fixed incorrect format specifier
- WPrefs: Fix crash when switching to mouse settings panel
- WPrefs: Fixed empty list of Mouse Grab Modifier problem
- WPrefs: Added XKeycodeToKeysym work-around to all other usage places
- Hide some compiler warning that are known and accepted
- wmaker: Added 'const' attribute to function 'ShrinkString'
- wmaker: Added 'const' attribute to local function 'getMaxStringWidth'
- wmaker: Added 'const' attribute to local function 'drawMultiLineString'
- wmaker: Added 'const' attribute to function 'GetShortcutString'
- wmaker: Added 'const' attribute to function 'wDefaultsInitDomain'
- wmaker: Added 'const' attribute to most local functions
- wmaker: Added 'const' attribute to most global functions
- wmaker: Added 'const' attribute to function 'wWindowUpdateName'
- wmaker: Added 'const' attribute to remaining functions
- wmaker: Added 'const' attribute to local variables
- Configure: Moved check for Math lib to a dedicated M4 macro
- Configure: Added explicit check for math library header
- wmaker: Changed math on floating point by integer operation
- WRaster: Changed formula for reconverting angle to the (0-360) bounds
  (Christophe CURIS <christophe.curis@free.fr>)
- Fix segfault when SwitchPanelImages = None and user press Alt+tab.
  (Gabriel VLASIU <gabriel@vlasiu.net>)
- Don't crash when SwitchPanelImages is None.
  (Iain Patterson <wm@iain.cx>)
- Estonian translation of Window Maker 0.95.4
  (Ivar Smolin <okul@linux.ee>)
- wmaker: Replaced local 'extern' definition by proper header include
- wmaker: Replaced local 'extern' definition of wPreferences by proper header
  usage
- wmaker: Moved function prototype to the appropriate header
- wmaker: Replaced local declaration of system function by proper header call
- wmaker: Moved function prototype to the appropriate header
- wmaker: Changed global constant declaration to use appropriate type
  (Christophe CURIS <christophe.curis@free.fr>)
- Proper fix for array == NULL in WMPopFromArray() function.
  (Gabriel VLASIU <gabriel@vlasiu.net>)
- Korean Localization update, etc.
  (Lee, Seong-Gu <sgleehd@gmail.com>)
- wmaker: reset "ignore workspace change" flag in all cases
  (Thomas Otto <totto@zbh.uni-hamburg.de>)
- Window Maker 0.95.5
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.95.3:
.............................

- Makefile: Add missing subdir
  (John H. Robinson, IV <jaqque@sbih.org>)
- debian: New version 0.95.3
- Added wmlib/libWMaker.la to .gitignore
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Bugs with readMenu*().
  (Iain Patterson <wm@iain.cx>)
- Fixed possible off-by-one loops
  (Christophe CURIS <christophe.curis@free.nospam.fr>)
- Initialize app_icon to null
- New function save_app_icon
- New function app_icon_create_from_docks
- Move makeAppIconFor() and removeAppIconFor()
- Split makeAppIconFor()
- Remove code duplication by calling paint_app_icon()
- Check one time if no_appicon is set
- Coding style cleanup in application.c
- Remove code duplication by calling removeAppIconFor()
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Random coding style cleanup in winspector.c
  (Carlos R. Mafra <crmafra@gmail.com>)
- New function create_logo_image
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Add fill screen scale to wmsetbg
- Fix "implicit declaration of function"
  (Amadeusz Sławiński <amade@asmblr.net>)
- WScreen argument removed in get_generic_value()
- Function wDefaultFillAttributes() rewritten
- New functions in icon.c
- Function get_name_for_icon splitted
- Remove code duplication by calling readGlobalDomain()
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Add "Center" window placement strategy
  (Yuri Karaban <mlists@dev97.com>)
- New function get_name_for_instance_class
- Remove code duplication by calling get_name_for_instance_class()
- Icon functions moved to appicon.c
- wAppIconSave is now void
- wAppIconSave splitted
- app_icon_create_from_docks moved to appicon.c
- Create WAppIcon always
- extractIcon removed.
- save_app_icon WWindow argument removed
- Do static icon functions
- GetProgramNameForWindow removed
- Change a small comment in icon.c
- Icon painting moved to makeAppIconFor()
- New debian version 0.95.3-2
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmmenugen: properly skip NoDispaly entries
  (Alexey I. Froloff <raorn@raorn.name>)
- app_icon_create_from_docks renamed to create_appicon_from_dock
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- WMPopFromArray(): avoid underflow
  (Alexey I. Froloff <raorn@raorn.name>)
- Make create_appicon_from_dock() do only what its name implies
- Unify save_appicon() and wAppIconSave()
- Skip no_appicon apps in the application icon list
  (Carlos R. Mafra <crmafra@gmail.com>)
- Correct window shading logic.
  (Iain Patterson <wm@iain.cx>)
- Cleanup superfluous.c a bit
- icon.c code cleanup
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Address unprototyped call in dock.c
  (Carlos R. Mafra <crmafra@gmail.com>)
- Remove code duplication in winmenu.c
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Address 'may be used uninitialized' warnings
  (Carlos R. Mafra <crmafra@gmail.com>)
- rootmenu header file updated
- XKeycodeToKeysym deprecated function
- Moving header functions to main.h
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmaker.inst: Remove test for LITE and KDE message
  (Carlos R. Mafra <crmafra@gmail.com>)
- Add helper functions for appicon list management
- New move_window function
- New colormap header file and remove unused functions
- Remove unused variables from WSessionData struct
- Remove unused wWindowCanReceiveFocus()
- Remove unused variable wm_name_changed
- Remove never-set variable net_state_from_client
- Variables user_changed_* can be removed
- window.h: Remove unused variables from WWindow struct
- Remove unused stuff from session.h
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- More (un)maximize tweaks.
- Support _NET_FRAME_EXTENTS.
  (Iain Patterson <wm@iain.cx>)
- Remove unused argument from init_wdefaults()
- Remove unused argument from wDefaultGetIconFile()
- Remove unused argument from wDefaultFillAttributes()
- wDefaultGetImage splitted
- Remove dup code from getWindowMakerIconImage()
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Remove dependency to CPP: Moving parser functions to a dedicated file
- Remove dependency to CPP: create structure to keep info of file being parsed
- Remove dependency to CPP: merged 'getLine' and 'separateline' into a single
  function call
- Remove dependency to CPP: add function to report problems while parsing
- Remove dependency to CPP: new parser that handles comments
- Remove dependency to CPP: support for #include directive
- Remove dependency to CPP: support for #define macros
- Remove dependency to CPP: added pre-defined macros
- Remove dependency to CPP: add support for conditional directives
- Remove dependency to CPP: removed stuff related to CPP calls
  (Christophe CURIS <christophe.curis@free.fr>)
- WPrefs: XKeycodeToKeysym deprecated function
- switchpanel.c code clean
- New function create_default_icon
- switchpanel default icon removed
- Better icon scale
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Added some comments and spaces in Git's ignore file
- Small cleanup in Git's ignore file
- Fixed wrong re-generation of 'config-paths.h' file
  (Christophe CURIS <christophe.curis@free.fr>)
- Removed WScreen argument in wIconValidateIconSize
- Removed scaleDownIfNeeded function (dup code)
- get_wwindow_image_from_x11 icon resize
- Format string bug in WMenuParserError
- noDefault changed to default_icon
- Remove dup code in wAppIconCreateForDock
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fixed warning in Debian's wrapper script for wmaker
- Menu parser: fix possible infinite loop when loading menu file
- Menu parser: added boundary checks in the path-gen for #include file search
- Menu parser: remove d-quotes around title of entry
  (Christophe CURIS <christophe.curis@free.fr>)
- menuparser.c code clean
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Allow windows to specify their own depth.
- _NET_FRAME_EXTENTS fixes.
- Draw window borders with correct colormap.
- Fixed invalid argument to popen in readMenuPipe().
  (Iain Patterson <wm@iain.cx>)
- Debian 0.95.3-20120909-1 version
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Remove _NET_FRAME_EXTENTS on shutdown.
  (Iain Patterson <wm@iain.cx>)
- Code style cleanup in framewin.c
- Coding style cleanup in dock.c
- Removed block in restore_icon_state
- Icon: Replace code by call to helper function in wIconCreateWithIconFile
- wIconCreate: get the icon file name first
- Remove call to wIconUpdate() from wAppIconCreate()
- wAppIconCreateForDockm, changed variable WAppIcon name
- wIcon* functions renamed
- Icon: Make icon_create_for_* be more similar
- New helper function remove_wwindowstate()
- wmcore code clean
- wcore set vmask in one step
- Icon creation in only one function
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fixed crash when changing icon to non-existent file
- Fixed possible null pointer dereference
- Fixed incorrect attributes for XCreateWindow's attributes
  (Christophe CURIS <christophe.curis@free.fr>)
- Revert "Fixed incorrect attributes for XCreateWindow's attributes"
  (Carlos R. Mafra <crmafra@gmail.com>)
- Make debug statement print function name
- wNETWMShowingDesktop is now static
- wNETWMCheckInitialClientState is now void
- Code not needed at wWindowSetupInitialAttributes
- wNETWMCheckClientHints should be void
- wNETWMCheckClientHintChange should be void
- wmspec code clean - style
- get_pixmap_icon_from_user_icon extra argument removed
- get_pixmap_icon_from_wm_hints removed extra arguments
- New icon_update_pixmap helper function
- declare get_pixmap_icon_from_* as static functions
- New helper function get_default_image
- Better default icon management
- Function makeIcon removed
- New helper function get_pixmap_icon_from_default_icon
- Changed get_default_icon_rimage function name
- remove_wwindowstate name changed
- Debian configuration file error
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Partially support _NET_WM_STRUT_PARTIAL.
- AppIcon helper functions.
- Brief documentation on wAppIconFor() and wWindowFor().
- Allow struts from all windows.
  (Iain Patterson <wm@iain.cx>)
- Removed dup code at get_default_image
- wIconChangeImageFile don't update without file
- wIconChangeImageFile removed dup code
- wIconChangeImageFile change image only if found
- CachedPixmaps added as pixmap folder
- getSize returns XGetGeometry exit
- get_pixmap_icon_from_wm_hints uses getSize
- get_pixmap_icon_from_wm_hints rewritten
- New helper function unset_icon_image()
- Split get_pixmap_icon_from_default_icon() into two
- Split get_pixmap_icon_from_user_icon() into two
- Split get_pixmap_icon_from_wm_hints() into two
- New functions get_*_icon_from_x11
- Make get_wwindow_image_from_x11() take Window as argument
- get_pixmap_icon_from_icon_win rewritten
- Solved bug if icon doesn't exists
- Split get_pixmap_icon_from_icon_win()
- wIconUpdate create rimage and then pixmap
- New function update_icon_pixmap
- wIconSetHighlited: Do not create the icon again
- appearanceObserver doesn't create icon again
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Maximized windows appear misplaced
  (Iain Patterson <wm@iain.cx>)
- wDockAttachIcon icon_editing is common in if else
- get_default_icon_filename rewritten
- wDefaultGetImage renamed to get_icon_image
- get_default_image_path unused argument
- wDockAttachIcon paint argument
- wAppIconPaint paint argument
- force_paint removed
- Update icon images before calling wIconUpdate
- wAppIconPaint argument removed
- Window comments cleanup
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fixed out of source dir build
  (BALATON Zoltan <balaton@eik.bme.hu>)
- Remove last QUIET hack from Makefiles
- WPrefs: Remove pointless 'this is annoying' warning
  (Carlos R. Mafra <crmafra@gmail.com>)
- WPrefs: Update translations
- WPrefs: Move around some options between pages
  (BALATON Zoltan <balaton@eik.bme.hu>)
- appicon: Avoid double 'Hide' entry
  (Carlos R. Mafra <crmafra@gmail.com>)
- Added reset of pointer after memory free to avoid double-free crash
  (Christophe CURIS <christophe.curis@free.fr>)
- Remove dup set icon file to NULL
- get_wwindow_image_from_wmhints scale image
- wIconValidateIconSize checks the width and height
- get_default_image resize image
- wIconUpdate removed scr variable
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Changed handling of quoted strings in the menu parser for consistency
- Fixed wrong count to release temporary memory
  (Christophe CURIS <christophe.curis@free.fr>)
- WPrefs: More moving around of options and tweaks to layout
  (BALATON Zoltan <balaton@eik.bme.hu>)
- Added option to 'configure' to control debug information for compilation
  (Christophe CURIS <christophe.curis@free.fr>)
- Prevent windows from drifting on restart.
- Fixed regression when placing windows.
- Prevent border drifting.
  (Iain Patterson <wm@iain.cx>)
- Made highlighting the AppIcon of the active app configurable at run time
- WPrefs: Fixed handling of options which default to true
  (BALATON Zoltan <balaton@eik.bme.hu>)
- wIconUpdate image preselected
- update_icon_pixmap don't paint dock icon
- wIconUpdate wwin checks
- wIconChangeImageFile set the file image
- get_rimage_icon_from_wm_hints returns image
- applySettings icon set updated
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Moved parameters of WPrefs's expert check-buttons to a single place
  (Christophe CURIS <christophe.curis@free.fr>)
- create_stdcmap is never used
- window.c clean code 1
- stacking.h removed white lines
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Makefile: Add forgotten .h files
  (John H. Robinson, IV <jaqque@sbih.org>)
- Fix Maximize/Unmaximize in window menu
  (Amadeusz Sławiński <amade@asmblr.net>)
- Added option to ignore minimized windows during cycling.
  (Martin Frydl <mfrydl@gmail.com>)
- Avoid crash on icon move without command
- winspector.c: Full clean patch
- winspector: Don't use text input if NULL
- winspector: Save iconpath if icon will be used
- Avoid icon change to default on winspector save
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Revert "Prevent border drifting."
- Revert "Fixed regression when placing windows."
- Revert "Prevent windows from drifting on restart."
- Revert "Maximized windows appear misplaced"
- WINGs: Enable cursor blinking in text fields
  (Carlos R. Mafra <crmafra@gmail.com>)
- Debian changes for final 0.95.4
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fix build with automake-1.13 and modernize .am files.
  (Kamil Rytarowski <krytarowski@gmail.com>)
- Window Maker 0.95.4
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.95.2:
.............................

- debian: New debian version 0.95.2
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Don't shrink icons in switchpanel.
  (Iain Patterson <wm@iain.cx>)
- 'Make install' now installs all man pages:
- Cleanup German plmenu entries
- Stop using old /usr/X11R6 directory
  (Kamil Rytarowski <n54@gmx.com>)
- debian: Added the debian revision to changelog
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- WINGs: Do not call exit()
  (Carlos R. Mafra <crmafra@gmail.com>)
- utils: Include the SHEXEC in the wm-oldmenu2new script
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Change behaviour of the GNUstep dockapp
  (Kamil Rytarowski <n54@gmx.com>)
- Remove wShowGNUstepPanel() etc
- Small update on wmgenmenu list of apps
  (Carlos R. Mafra <crmafra@gmail.com>)
- wmgenmenu: Add Portuguese translation
  (Leandro Vital <leandro.vital@yahoo.com.br>)
- Enable toggling of AppIcons bouncing
  (Giuseppe Gatta <tails92@gmail.com>)
- debian: Remove /etc/X11/WindowMaker folder
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Remove commented out code
  (Carlos R. Mafra <crmafra@gmail.com>)
- WindowMaker: Spanish translation updated
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Add wmlib folder back
- wmgenmenu: Fix name for FSViewer
  (Carlos R. Mafra <crmafra@gmail.com>)
- Options for limiting window/menu title height
  (Alexey I. Froloff <raorn@altlinux.org>)
- Coding style cleanups
- debian: Small updates in menus etc
- Fix technical drawing+opaque resize
- Coding style cleanup in wmspec.c
- Little simplification in makeIcon()
- WindowMaker: New get_wwindow_image_from_x11 function
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Japanese translation updated
  (Takeo Hashimoto <HashimotoTakeo@mac.com>)
- WindowMaker: New function get_pixmap_icon_from_icon_win
- WindowMaker: New function get_pixmap_icon_from_wm_hints
- WindowMaker: New function get_pixmap_icon_from_user_icon
- WindowMaker: icon.c goto removed
- WindowMaker: icon.c comments added
- Coding-style cleanup
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmgenmenu: Add more apps to our nice menu
  (Christoph Soehngen <Blackstar86@gmx.net>)
- canReceiveFocus() should check no_focusable first
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Allow relaunch with shortcut key.
- Also allow relaunching from the window menu.
- Also allow relaunching from appicon.
- Also relaunch from appicon with Ctrl + DblClick.
- Compiler food.
- Describe relaunching in the NEWS file.
  (Iain Patterson <wm@iain.cx>)
- Remove unused functions
- Turn wApplication{Activate,Deactivate} into real functions
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Style consistency.
- Compiler diet.
- Use noreturn attribute in Exit() declaration.
  (Iain Patterson <wm@iain.cx>)
- WindowMaker: appicon.h clean code
- WindowMaker: Clean curly brackets
- WindowMaker: New function wGetWorkspaceNumber
- WindowMaker: Check iconPath variable only if needed
- WindowMaker: New function wIconCreateCore()
- wIconStore(): do not save the icon if it exists
- WindowMaker: Header files clean code
- WindowMaker: New get_texture_image function
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Fixed wrong structure declaration
  (Christophe CURIS <christophe.curis@free.nospam.fr>)
- Fix wrong wfree() use
- Revert "Inotify: Reload keyboard shortcut definitions when configuration
  changes"
  (Carlos R. Mafra <crmafra@gmail.com>)
- Avoid GNUism in Makefiles for *BSD support
- Include assert.h to avoid linker issues if -DDEBUG was not supplied.
- Adjust OpenBSD-specific code to match OpenBSD-current
  (Tobias Stoeckmann <tobias@openbsd.org>)
- Scare people away from --enable-xrandr
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fixed some typos.
- Use proper (w)free functions for (w)malloced data.
- Fixed memory leak in wHideAll.
- Avoid memory leak on error path in constructMenu.
  (Tobias Stoeckmann <tobias@openbsd.org>)
- More intuitive maximization handling.
  (Iain Patterson <wm@iain.cx>)
- No need to call memset after wmalloc
- Get rid of NEW definition.
- Removed unused "buffer" variables.
- Easier error path in wDockTrackWindowLaunch.
- wstrdup cannot fail, therefore no need to check for NULL.
- Easier code path in appIconMouseDown
- Remove curly brackets
- Avoid buffer overrun in parseMenuCommand.
  (Tobias Stoeckmann <tobias@openbsd.org>)
- Fixed memory leak in wWorkspaceRename.
  (Tobias Stoeckmann <tobias@picolo.pizza.local>)
- Don't fail with assert() in string functions if both strings are NULL.
- Major overhaul of rootmenu's file handling.
  (Tobias Stoeckmann <tobias@openbsd.org>)
- Fixed typos
  (Tobias Stoeckmann <tobias@picolo.pizza.local>)
- Window Maker 0.95.3
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.95.1:
.............................

- debian: New debian version 0.95.1-1
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- WINGs: Rename copy_file() to wcopy_file()
- Remove forgotten src/text.h
  (Carlos R. Mafra <crmafra@gmail.com>)
- debian: Symbols update for libWutil2
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Revert "getstyle: Remove dead code"
- Fix getstyle, again
  (Carlos R. Mafra <crmafra@gmail.com>)
- debian: Don't include files created under debian/ from previous builds in the
  tarball.
  (Martin Dietze <mdietze@gmail.com>)
- Made ARROWLESS_KBD a preference.
  (Iain Patterson <wm@iain.cx>)
- Remove dead code ifdef'ed by GRADIENT_CLIP_ARROW
- dock: Trivial code style cleanups
- clip: Do not display balloon with workspace name
  (Carlos R. Mafra <crmafra@gmail.com>)
- WindowMaker: Add Balloon to the clip
- menu: remove OpenWorkspaceMenu()
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- wmgenmenu: Update mrxvt options
- dock: Make some functions static
- Window Maker 0.95.2
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.95.0-crm:
.................................

- Update email address
  (Xose Vazquez Perez <xose.vazquez@gmail.com>)
- Debian: New version 0.95.0-1
- WINGs: removed prev_y variable not used
- WindowMaker: icon DefaultAppIcon.tiff removed
- debian: symbols updated to 0.95.0
- util: po files reports warning with fuzzy
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Add WMRootMenu to the clean list
  (Rodolfo kix Garcia <kix@kix.es>)
- configure: New architectures kfreebsd* and Hurd
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- WPrefs: Fetch default menu from system path
  (Rodolfo Garc??a Pe??as (kix) <kix@kix.es>)
- Prevent removal of dock icons due to resolution changes
  (David Couzelis <drcouzelis@gmail.com>)
- Expand the documentation about writing patches
- Steal documentation with tips on email clients
- getstyle: Fix output to stdout
- getstyle: Save theme pack in Themes dir
- wmgenmenu: Fix "Save Theme"
- WINGs: Make fetchFile() more similar to copyFile() from getstyle.c
- WINGs: Add copy_file() to libWUtil
- WINGs: Replace fetchFile() by copy_file() in wcolorpanel.c
- getstyle: Use new copy_file() from libWUtil and delete copyFile()
- getstyle: Get rid of abortar()
- getstyle: Remove dead code
  (Carlos R. Mafra <crmafra@gmail.com>)
- wrlib: Improvement in the alpha channel support.
  (Christophe CURIS <christophe.curis@free.nospam.fr>)
- configure: Also display the library dir in the summary
- Fix non-ascii workspace rename via menu
- wtext killing spree
  (Carlos R. Mafra <crmafra@gmail.com>)
- Remove endian swap for icon image data.
  (GhostlyDeath <ghostlydeath@gmail.com>)
- Get rid of cropline(), use wtrimspace() instead
- WPrefs: Remove trimstr() and use wtrimspace() from WINGs
  (Carlos R. Mafra <crmafra@gmail.com>)
- WINGs: Remove proplist-compat.h
- WPrefs: Remove duplicated function captureShortcut()
- WPrefs: Remove extra include of src/wconfig.h
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Inotify: Use wwarning() instead of fprintf()
- Inotify: Reload keyboard shortcut definitions when configuration changes
- Info panel: Shorten memory line and simplify code a bit
- event.c: Make two functions static
  (Carlos R. Mafra <crmafra@gmail.com>)
- Remove unused variables
- Make ProgName a local variable
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Window Maker 0.95.1
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.94.0-crm:
.................................

- Small fix for wmaker nightly build script
  (Martin Dietze <di@fh-wedel.de>)
- Remove VIRTUAL_DESKTOP code
  (Carlos R. Mafra <crmafra@gmail.com>)
- Small fix for wmaker nightly build script 2
  (Martin Dietze <di@fh-wedel.de>)
- Remove mkpatch script
- Add a few instructions to the WPrefs.app/po/README
  (Carlos R. Mafra <crmafra@gmail.com>)
- Turn anti-aliasing on by default.
  (Alexey I. Froloff <raorn@altlinux.org>)
- Add new style
- Re-create German translation file
- Add new German translated strings
- Regenerate WPrefs German translation file
- Add new WPrefs German strings
  (Carlos R. Mafra <crmafra@gmail.com>)
- Changed runtime dependency libjpeg62-dev to libjpeg-dev
  (Martin Dietze <herbert@spamcop.net>)
- Remove old backward compatibility code
- Remove unused stuff from src/defaults.c
- Remove HEARTBEAT #ifdef's
- wmgenmenu: A Window Maker menu generator
  (Carlos R. Mafra <crmafra@gmail.com>)
- Removed unused version of RScaleImage() in wrlib/scale.c
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- Patch for WINGs buffer overflow
  (Martin Frydl <mfrydl@gmail.com>)
- Add a trailing "/" to dirs in dialog autocomplete
  (Johann Haarhoff <johann@haarhoff.org.za>)
- Remove ancient 'DBase 3' data file
- Remove references to non-gpl artwork license
- Convert README.pt to UTF-8
- Delete reference to non-gpl license in README.pt
- Remove COPYING.OPL
- Remove reference to sound support from README.*
  (Carlos R. Mafra <crmafra@gmail.com>)
- CTRL+Wheel Horizontal Resize + extras
- Make CTRL+Wheel less intrusive
- Add info about Resize, Maximus and LR Maximize to NEWS
  (Johann Haarhoff <johann@haarhoff.org.za>)
- Add more info to the NEWS file etc
  (Carlos R. Mafra <crmafra@gmail.com>)
- Unused wsmap, begone!
  (Tamas TEVESZ <ice@extreme.hu>)
- wmgenmenu: Add 'mc' to file managers list
  (Tamas TEVESZ <ice@wormhole.hu>)
- Remove NEWAPPICON #ifdefs
- Maximus: Simplify the +/- border width madness
- Fix typos, remove commented out code etc
  (Carlos R. Mafra <crmafra@gmail.com>)
- Add a new helper function, WMMkDirHier()
- simplify WMWritePropListToFile()
  (Tamas TEVESZ <ice@extreme.hu>)
- Remove redundant 'if defined' check
- Cleanup includes of wcore.h, defaults.h and pixmap.h
  (Carlos R. Mafra <crmafra@gmail.com>)
- Kill redundant function
  (Tamas TEVESZ <ice@extreme.hu>)
- Constify the argument of wstrdup()
- Constify WMMatchDataProc and fix fallout
  (Carlos R. Mafra <crmafra@gmail.com>)
- Remove unused WINGs/international.c
- Fold many functions into one
- make wtrimspace() use internal api
- Remove unreferenced files
  (Tamas TEVESZ <ice@extreme.hu>)
- Remove DEBUG statements, #if 0 etc
- Maximus: Cleanup the code
  (Carlos R. Mafra <crmafra@gmail.com>)
- Remove unneeded files
- Remove long-dead plugins.
  (Tamas TEVESZ <ice@extreme.hu>)
- Nightly build script with more robust handling of debian patches.
  (Martin Dietze <herbert@spamcop.net>)
- Some rework on getstyle
- Feet protector for getstyle
- Collect low-hanging fruits
- Sensible defaults
- Idle fixes
- Make inotify optional
  (Tamas TEVESZ <ice@extreme.hu>)
- rebase in git pull for nightly build
  (Martin Dietze <herbert@spamcop.net>)
- Trivial format string fixes
- Remove texture plugins
  (Tamas TEVESZ <ice@extreme.hu>)
- Remove python support from WINGs
  (Carlos R. Mafra <crmafra@gmail.com>)
- Introduce OS-dependent stuff
- Add the BSD version of GetCommandForPid()
- GetCommandForPid() for darwin/osx
- Remove some dead weight from configure.ac and debian/rules
- Remove wmlib
- Half-assed fix to make autoconf bend
- Remove network support from WINGs
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix non-I18N build
  (Renato Botelho <rbgarga@gmail.com>)
- Remove looking for libxpg4 on FreeBSD
- Remove old unused Red Hat-specific configure checks
- Remove dead code from wrlib
- Add Cygwin to GCFB() (it is just like linux)
- Switch file ops to stdio
  (Tamas TEVESZ <ice@extreme.hu>)
- Remove GRADIENT_CLIP_ARROWS from wconfig.h.in
- Remove uncompiled code from src/window.c
- Use 'long' instead of 'CARD32' in wClientSetState() and wWindowSaveState()
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix png 1.4+ builds
- An XLFD has exactly 15 fields, not "at least" 15 fields.
- Make asm code readable
- Style stuff up
- Autoconf mods
- Spice up setstyle
- Convert to getopt, continued
- Attach utils versions to WM version
- Tidy comms between external apps and wm a bit
- Kill leftovers
- Poke wmgenmenu
- Poke wmgenmenu, part 2
  (Tamas TEVESZ <ice@extreme.hu>)
- Regenerate wmgenmenu German translation
  (Carlos R. Mafra <crmafra@gmail.com>)
- Poke wmgenmenu some more
  (Tamas TEVESZ <ice@extreme.hu>)
- wmgenmenu: Change the app order in terminals list
  (Carlos R. Mafra <crmafra@gmail.com>)
- Add new cycling option
- Make WPrefs' Expert panel scrollable
- Fix spacing on WPrefs Misc panel
  (Tamas TEVESZ <ice@extreme.hu>)
- Menu positioning bug
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Tidy
  (Tamas TEVESZ <ice@extreme.hu>)
- Use int instead of size_t to silence warning
- Do not skip windows in the switchpanel
- Rename wmaker INSTALL file
- Remove install-sh, missing and mkinstalldirs from the repo
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix out-of-tree builds
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix trivial warnings
- Fix internationalized format string warnings
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Fix PO files breaking build
  (Tamas TEVESZ <ice@extreme.hu>)
- XShapeEvent strict aliasing violation
- Fix uninitialized vars
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Plug leak
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix enable-modelock warnings
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Fix Debian builds
- Fix CRLF files
- Kill contribs
  (Tamas TEVESZ <ice@extreme.hu>)
- Rename INSTALL.pt
- Fix "make dist"
- Ignore build files
- Remove apparently-unused files
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Fix 'make install' from silent compilation
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix loading saved states on 64-bit systems
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Add nice labels to wmgenmenu
  (Tamas TEVESZ <ice@extreme.hu>)
- Add more pretty names for wmgenmenu apps
  (Carlos R. Mafra <crmafra@gmail.com>)
- Add i18n labels to wmgenmenu
- Add missing initializers
  (Tamas TEVESZ <ice@extreme.hu>)
- Address some sparse warnings
- Remove unneeded extern's in .c files
- Add include guards
- Remove NEWSTUFF #ifdef's
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix mouse button grab swallowing
- Don't grab Ctrl+Wheel if ResizeIncrement is 0
- Fix wheel resizing with resize increments
  (Brad Jorsch <anomie@users.sourceforge.net>)
- wrlib: Use snprintf() instead of sprintf()
  (Tamas TEVESZ <ice@extreme.hu>)
- link libWINGs against libWUtil
- link libWINGs against libwraster
- link libWINGs against libXft
- link libWINGs against libfontconfig
- link libWINGs against libm if necessary
- floppy mountpoint is /media/floppy
- Fix duplicate entry in manpage.
- line wrap build-depends for enhanced readability.
- Add libxmu-dev to build-depends.
- Add ${misc:Depends} to all package dependencies.
- Move homepage from description text to homepage field.
- Invoke ./configure with correct --build argument.
- Use dh_prep instead of "dh_clean -k"
- Use ${binary:Version} instead of ${Source-Version}
- Remove ./libtool on clean
- remove cruft from debian/rules
- patch management with dpkg-source v3
- do not run complete debian build under fakeroot
- remove dead outdated code from debian/rules
- Use static debian/libwings-dev.files.
- Use static debian/libwraster*.files.
- stop removing debian/files manually
- Drop code for generating debian/conffiles
- Use dh_lintian.
- Invoke dh_installman only once.
- Invoke dh_link only once.
- Generate symlink with dh_link instead of ln -s
- Remove unneeded directory creation
- Drop dead code from debian rules
- Ship libWUtils and libWINGs in dedicated packages
- invoke dh_installdeb after dh_makeshlibs
- Escape minus sign ("-") in manpages.
- Typo fixes
- update debian/changelog.
- Use automake instead of automake1.4.
- Add some bug closers
- SelectWindowsMouseButton -> MouseLeftButtonAction
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Made Debian autobuild work again
  (Martin Dietze <herbert@spamcop.net>)
- Add Russian manpages
  (NIR Ginko <faust@gmx.com>)
- Correct .TH header
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Make wmaker XRandR aware
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix build failure on missing randr
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Add /usr/local/share/WindowMaker dir to wmgenmenu
- Avoid more gcc warnings
- configure: Use AS_HELP_STRING macro to print messages
- configure: Replace obsolete macros
- configure: Remove gcc warning about signed x unsigned
- configure: Remove --disable-verbose-compile hack
- WINGs: Remove private snprintf() implementation
  (Carlos R. Mafra <crmafra@gmail.com>)
- Build Debian packages with RandR support
- Pass tarname argument to AC_INIT
- Set library version in configure.ac
- Import ld-version-script.m4 from gnulib
- Add version script versioning for libwraster
- Move debugging symbols to new wmaker-dbg package
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Raise shaded window frame when unhiding
- Luxi Sans doesn't have cyrillic
- Menu translation support
- Add key binding to minimize all windows
  (Alexey I. Froloff <raorn@altlinux.org>)
- WPrefs: Add MinimizeAllKey shortcut configuration
  (Carlos R. Mafra <crmafra@gmail.com>)
- Open window menu on right-click in window list menu
- New titlebar button style
- Bouncing appicon effect
- Highlite current window's appicon
  (Alexey I. Froloff <raorn@altlinux.org>)
- wconfig: Define BOUNCE_APP and NEWAPPICON
  (Carlos R. Mafra <crmafra@gmail.com>)
- Option to disable clip title
  (Alexey I. Froloff <raorn@altlinux.org>)
- WPrefs: Add ShowClipTitle config option
  (Carlos R. Mafra <crmafra@gmail.com>)
- Improve dockapp recognition
- Automake dependency tracking
- Make bouncing respect DisableAnimations
- Fix bounce direction of docked appicons
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Drop BOUNCE_APP #ifdef's
  (Alexey I. Froloff <raorn@altlinux.org>)
- Periodic bouncing for XUrgencyHint
- Add a preference for XUrgencyHint bouncing
- Option to raise bouncing appicons
  (Brad Jorsch <anomie@users.sourceforge.net>)
- configure: Disable XRandR by default
  (Carlos R. Mafra <crmafra@gmail.com>)
- Prevent a WPrefs segfault
- CommitStackingForWindow prototype
- Remove local strcasecmp implementation
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix compilation with LDFLAGS=-Wl,--no-add-needed
  (Brad Jorsch <anomie@users.sourceforge.net>)
- WPrefs: Replace Netscape and Acrobat Reader menu entries
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix typo in wApplicationExtractDirPackIcon()
  (Tamas TEVESZ <ice@extreme.hu>)
- XRandR temporary amendments
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix --with-gnustepdir
- Documentation cleanups for --with-gnustepdir
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Pretty-print for string2index
- Repair TEST_WITH_GC
- Kill BENCH
- Ungeneralize wrlib DEBUG
- Kill wstrerror
- Reduce noise in WUtil
- Fix some off-by-ones
- Remove obsolete --with-xft from debian/rules
  (Tamas TEVESZ <ice@extreme.hu>)
- configure: Do not warn about unused parameters
- Remove assembly/optimized code
  (Carlos R. Mafra <crmafra@gmail.com>)
- WINGs: Make wmalloc() intialize allocated memory to 0
- WINGs: Return NULL on NULL input in checkFile()
- WINGs: Simplify WMPathForResourceOfType()
- WINGs: Add normalizePath()
- WINGs: Simplify and rationalize createDir() and deleteFile()
- WINGs: Small assorted formatting changes
- WINGs: Add detection and local copy for strlcat()/strlcpy()
- WINGs: Less ad-hoc approach for __wmessage()
- Repair defaults for new titlebar button style
  (Tamas TEVESZ <ice@extreme.hu>)
- Use -lbsd for strlcat/strlcpy, if needed and available
- Clean up library linking
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Add function declaration for wIconSetHighlited
- Build-Depend on automake 1.11 or later.
- Do not mark product names as translatable
- Fix typo enviroment
- Document ABI and API changes
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- More precise information on unknown systems
- Remove wsyserrorwithcode, rename wsyserror to werror
- Preparing to do exactly as FIXME says
- WINGs: Make w*() print message origins
- Fix some double newlines
- WINGs: Plug potential segfault
- WINGs: Do not look static information up every time
- WINGs: Remove wruler and wtext
- Repair wgethomedir(), broken a little while back
  (Tamas TEVESZ <ice@extreme.hu>)
- Rename libwutil1 to libwutil2
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Ignore shared_appicon if an appicon already exists
  (Brad Jorsch <anomie@users.sourceforge.net>)
- WINGs: Dead code removal
- WINGs: Remove wprogressindicator and tree
- WINGs: Reorg headers to mark items' locations in source files
- WPrefs: Remove dead code
- WINGs: Modernize wusleep()
- WINGs: Remove #ifdef OLD_CODE
- WINGs: Bounded string ops
- Silence a few warnings
- Add LCOV support to generate coverage information
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix "make dist"
- Fix path substitutions
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Remove translations of INSTALL-WMAKER, README and FAQ.I18N
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix wusleep
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Make OPEN_MENU be able to include PropList menus
  (Tamas TEVESZ <ice@extreme.hu>)
- Minor fixes to appicon highlighting
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Document ABI/API changes
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Missed a piece in tree.c removal
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix stuck appicon from embedded apps
  (Brad Jorsch <anomie@users.sourceforge.net>)
- WINGs: fts() -> nftw() in wrmdirhier()
  (Adam Hoka <adam.hoka@gmail.com>)
- Cleanup .gitignore
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Add back WINGs/tree.c that was removed in c9d0c7c
- WINGs: tree enhancements
- Add wmmenugen, an extensible PropList-format menu generator
- Update local copy of GPLv2 and FSF address in copyrights
  (Tamas TEVESZ <ice@extreme.hu>)
- wmaker.inst: better locale check
- wmaker.inst: quote shell variables
  (Alexey I. Froloff <raorn@altlinux.org>)
- Fix some warnings
- Fix handling of NET_WM_ICON
- Fix wIconUpdate logic
- Paint app icons when updated
- Only cache pixmaps for docked icons
  (Brad Jorsch <anomie@users.sourceforge.net>)
- wmmenugen: Finish Wmconfig parser, touch up PropList writer
- wmmenugen: Add executable detection, make Wmconfig use it
- wmmenugen: Add file name validator function
- wmmenugen: Finish the XDG parser
  (Tamas TEVESZ <ice@extreme.hu>)
- Reset bouncing app icon position when bounce ends
  (Brad Jorsch <anomie@users.sourceforge.net>)
- WINGs: Add wshellquote()
  (Tamas TEVESZ <ice@extreme.hu>)
- Don't save app settings proplist when nothing changed
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Simplify/fix pkgconfig installation
- pkgconfig - minimize direct linking
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Fix pkgdatadir
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Update documentation of ABI/API changes again.
  (Andreas Metzler <ametzler@downhill.at.eu.org>)
- Display modifiers in window menu
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Remove duplicated #includes
  (Andrea Gelmini <andrea.gelmini@gelma.net>)
- wmgenmenu: Add more apps
- WPrefs: Update po/Makefile.am to reflect file deletion
- WPrefs: Update ballon text for "Window Focus Preferences"
  (Carlos R. Mafra <crmafra@gmail.com>)
- wmgenmenu: Add French and Spanish translations
  (Camille d'Alméras <camilledalmeras@yahoo.com>)
- switchpanel: Add skip_switchpanel advanced option
  (Haroldo Santos <haroldo.santos@gmail.com>)
- Fix compilation in FreeBSD
  (Szabó Ambrus <szambusz@gmail.com>)
- Adapt for libpng changes
- Remove warnings
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix makefiles bug.
- opaque resize
- Bugfix: java menu problem after resize, maximize
  (Ambrus Szabo <donamo@donamo.hu>)
- wmgenmenu: Add more apps
- wmgenmenu: Update German translation
  (Christoph Soehngen <Blackstar86@gmx.net>)
- Fix app behaviour on Xinerama displays
- Amend recent wmgenmenu changes
- Partial fix for focus stealing
- Plug some (possible) memleaks
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix make-gzip
  (Carlos R. Mafra <crmafra@gmail.com>)
- Added mailing list address in the parfect-patch file
  (Christophe CURIS <christophe.curis@free.nospam.fr>)
- util: Fix wmagnify
- Use wmgenmenu to create WMRootMenu during installation
- Remove Netscape icon
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix possible missing NUL at end of string
  (Christophe CURIS <christophe.curis@free.nospam.fr>)
- Remove warning in wmagnify.c (correctly)
- Fix some "'var' may be used uninitialized" warnings
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Increase width of 'Attributes' window
- Make 'no miniaturizable' window property user-configurable
- Increase height of 'Attributes' window
  (Carlos R. Mafra <crmafra@gmail.com>)
- doc: Fix error in Russian wmaker.1x manpage (lintian error)
- debian: lots of updates
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- Revert "WINGs: Remove wruler and wtext"
- WINGs: Add back wprogressindicator.c
  (Carlos R. Mafra <crmafra@gmail.com>)
- Debian full patch migration
- debian: add back wmlib folder
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- debian: Version bump in nightly build script.
  (Martin Dietze <herbert@spamcop.net>)
- debian: problem with spaces and forget autogenerated files
  (Rodolfo García Peñas (kix) <kix@kix.es>)
- WindowMaker 0.95.0-crm
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.93.0-crm:
.................................

- Add GLOBAL_DEFAULTS_SUBDIR and fix a syntax error in wmlib/Makefile.am
- Add two menu files from the Debian package
- Add debianisation code and automatic build script
  (Martin Dietze <herbert@spamcop.net>)
- Do not switch workspace to follow new windows in others
- Fix NULL pointer dereference
  (Martin Dietze <di@fh-wedel.de>)
- Adapted nightly build script to coexist with new 'next' branch.
  (Martin Dietze <herbert@spamcop.net>)
- Add config option to supress focus requests across workspaces
  (Carlos R. Mafra <crmafra@gmail.com>)
- Miscellaneous fixes from OpenSuse
  (Vladimir Nadvornik <nadvornik@suse.cz>)
- Show app name in Kill Application dialog
  (Gilbert Ashley <amigo@ibiblio.org>)
- Nightly Build script can now deal with testing and unstable branches.
  (Martin Dietze <herbert@spamcop.net>)
- Make wmaker 0.11% smaller by avoiding code duplication
- Define TITLEBAR_HEIGHT in default configuration file
  (Carlos R. Mafra <crmafra@gmail.com>)
- Left Half / Right Half Maximize
  (Johann Haarhoff <johann@haarhoff.org.za>)
- k&r->ansi some stuff
  (Tamas TEVESZ <ice@wormhole.hu>)
- Trivial coding style changes
- Increase the readability of wUnshadeWindow() and wShadeWindow() a little bit
- Use half_scr_width instead of computing it each time
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix half_scr_width calculation
  (klaasvakie <johann@haarhoff.org.za>)
- Gobble "spurious" EnterNotify events when moving an appIcon or a dock
  (Daniel Déchelotte <yo.dan@free.fr>)
- Clean up #ifdef mess
  (Tamas TEVESZ <ice@wormhole.hu>)
- Fix for omnipresent AppIcon bug at startup
  (Daniel Déchelotte <yo.dan@free.fr>)
- Maximus: Tiled Maximization
- Clean up maximization and un-maximization logic
  (Carlos R. Mafra <crmafra@gmail.com>)
- Add option to allow starting DockApps with a single click
  (Sebastien Bauer <seb_bauer@bigfoot.com>)
- Add history to some dialog boxes
  (Alexey Voinov <voins@altlinux.ru>)
- Atomic save for session
- Remove alloca(3)
  (Alexey I. Froloff <raorn@altlinux.org>)
- wmrlib: Avoid code duplication
  (Carlos R. Mafra <crmafra@gmail.com>)
- Christmas does not last forever
  (Alexey Voinov <voins@altlinux.ru>)
- Reduce the number of simultaneous inotify events
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix session saving for apps with shared appicons
  (Alexey Voinov <voins@altlinux.ru>)
- Fix compilation failure
  (Andreas Tscharner <andy@vis.ethz.ch>)
- Fix miniwindows auto-arranging bug
  (BERTRAND Joel <joel.bertrand@systella.fr>)
- Delete stale .cvsignore files
- Ansify function declaration
- Make left/right maximization work again
  (Carlos R. Mafra <crmafra@gmail.com>)
- Maximizing a resized window
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- Remove bundled wrlib stuff
  (Tamas TEVESZ <ice@extreme.hu>)
- Remove commented code in xinerama.c
- Maximus: Use unsigned int for width/height variables
- Un-maximize window inside current head
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- x86_64 mmx fixes
  (Alexey Voinov <voins@altlinux.ru>)
- Fix the use of uinptr_t
- Add Maximus key back in WPrefs.app
  (Carlos R. Mafra <crmafra@gmail.com>)
- Constrain switching workspace name to one head.
- Pad workspace name display.
- Support Xinerama in wmsetbg.
- Mac OS X-style window cycling.
  (Iain Patterson <wm@iain.cx>)
- Trivial coding style fix
- Fix the call to XChangeProperty() in 64-bit mode
- Yet another trivial coding style cleanup
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix race condition during workspace changes
  (Alexey I. Froloff <raorn@altlinux.org>)
- Increase the readability of SlideWindow()
- Simplify wMaximizeWindow() a little bit
- Maximus: Consider the full_maximize window attribute
  (Carlos R. Mafra <crmafra@gmail.com>)
- WINGs shared library generation
  (Alexey Voinov <voins@altlinux.ru>)
- Fix --disable-verbose-compile
- Maximus: Avoid a window list order issue
- Maximus: Some cleanups and bug fixes
- swpanel: Fix focus issue when alt-tabbing
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix automatic Debian builds
  (Martin Dietze <di@fh-wedel.de>)
- Ansify function declarations
  (Carlos R. Mafra <crmafra@gmail.com>)
- Window Maker armenian translation
  (Norayr Chilignaryan <chnorik@gmail.com>)
- Fix msgfmt error with Armenian translation.
  (Iain Patterson <wm@iain.cx>)
- Updated documentation
  (John H. Robinson, IV <jhriv@sbih.org>)
- Clean up contrib/ folder
- Remove sound support
- Remove SPEAKER_SOUND dead code
- Remove 'ghost window move' code
- Delete WINDOW_BIRTH_ZOOM and default to WINDOW_BIRTH_ZOOM2
- Remove 'hiding' parameter from animateResize()
- Add function prototypes in action.h and include it in superfluous.c
- Remove MINIATURIZE_ANIMATION_DELAY_{Z,F,T} tests
- Increase granularity of 'shrink/zoom' animation
- HOWTO: The perfect Window Maker patch
  (Carlos R. Mafra <crmafra@gmail.com>)
- Mod+Wheel Window Resize
  (Johann Haarhoff <johann@haarhoff.org.za>)
- A few trivial code style cleanups
- Remove #ifdef NETWM_HINTS constructs
- Remove repeated functions enclosed by #if 0
- WPrefs: trivial coding style fixes
- Remove remaining sound stuff from WPrefs etc
  (Carlos R. Mafra <crmafra@gmail.com>)
- Respect size hints when resizing with wheel.
  (Iain Patterson <wm@iain.cx>)
- Mod+Wheel resize increment now respects size hints
  (Johann Haarhoff <johann@haarhoff.org.za>)
- Remove #ifdef SYS_SIGLIST_DECLARED constructs
- Remove SILLYNESS
- Remove DEMATERIALIZE_ICON code
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix the empty button in titlebar after going fullscreen bug (Debian bug
  #298873)
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- Update German translation
  (Carlos R. Mafra <crmafra@gmail.com>)
- 2 open() statements were not matched with close() statements in function
  fetchFile
- Remove useless NULL test
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- Remove unused function wWindowCheckAttributeSanity()
- Remove unused functions from src/pixmap.c
- Remove unused function wIconSetHighlited()
- Remove unused wHackedUngrabButton()
- Remove unused src/menureader.c file
- Remove unused function getRImages()
- Remove DRAWSTRING_PLUGIN reference from wconfig.h.in
  (Carlos R. Mafra <crmafra@gmail.com>)
- activate XGrabServer again
- fixed wrong env setup when setting background
- changed behavior when focusing new windows with autofocus enabled
  (Ralf Hoffmann <ralf@boomerangsworld.de>)
- Maximus: Take border into account
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- Remove unused function argument from randomPlaceWindow()
- Remove static function declaration from header file
- Remove unused arguments from a few functions
  (Carlos R. Mafra <crmafra@gmail.com>)
- Add menu path to Debian build system
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- fixed problem with default visual ID for multi-screen setups by using
  multiple IDs for each screen
  (Ralf Hoffmann <ralf@boomerangsworld.de>)
- Remove XSMP_ENABLED constructs
- Remove unused function raiseMenus()
- Do not change workspace during deiconify animation
- Do not compile extra stuff under wrlib/tests etc
- Undefine WINDOW_BIRTH_ZOOM
  (Carlos R. Mafra <crmafra@gmail.com>)
- Keyboard shortcut to raise the dock
  (Brad Jorsch <anomie@users.sourceforge.net>)
- Remove a few unneeded includes
- Remove ICON_KABOOM_EXTRA
- Remove [raise,lower]clip shortcut keys
- wmaker-0.94.0-crm
  (Carlos R. Mafra <crmafra@gmail.com>)

Changes since version 0.92.0+:
..............................

- Add .gitignore to git repository
- wmaker: Reduce wakeups to zero
- WINGs/wfont.c: Avoid returning font=NULL in WMCreateFont()
  (Carlos R. Mafra <crmafra@ift.unesp.br>)
- Workaround for Composite problems when default depth is not 24.
  (Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>)
- Fix periodic focus bug
  (Pedro Gimeno <parigalo@formauri.es>)
- Use inotify to check for changes to the defaults database. Workaround for
  (Rodney Padgett <rod_padgett@hotmail.com>)
- Makefile: Beautify compilation messages
- automake: Fix warnings about underquoted calls to AC_DEFUN
- wmaker: Fix compiler warnings about pointer <--> integer conversion
- Fix buffer overflows in shortcut and workspace name handling
- Compilation: Add a few spaces in the output
- Fix gcc warnings
- Trivial cleanup
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix menu positioning bug
  (Samir SAADA <zepard@gmail.com>)
- Sync comment with reality
- avoid integer overflow
  (Tamas TEVESZ <ice@extreme.hu>)
- Fix workspace limit segfault
  (Samir SAADA <zepard@gmail.com>)
- Fix mixing pixels when maximizing borderless windows
  (David Benbennick <dbenbenn@gmail.com>)
- xinerama switchpanel corruption fix
  (Iain Patterson <wm@iain.cx>)
- Check for argc==0 when calling wtokensplit()
  (Tobias Stoeckmann <unknown-email>)
- Remove unused StartLogShell function.
  (John H. Robinson, IV <jaqque@sbih.org>)
- Fix buffer overflow in SendHelperMessage()
  (Tamas TEVESZ <ice@wormhole.hu>)
- Remove prototype of unused function StartLogShell
- Make compilation even less verbose
- Remove unused variables
- WPrefs: Remove unused function updateThemeList()
- Fix improper use of function sentinel
- real_main: Use setenv() instead of putenv()
- real_main: Use setenv() instead of putenv() in remaining places
- inotifyHandleEvents: Reduce buffer size to avoid huge memory consumption
- handleKeyPress: Fix shadowing of global 'index' variable
- WMCreateFont: Add missing wfree()'s
- Fix variable shadowing
- Make loop variable be unsigned int
- Sanitize calling sites of wDefaultsCheckDomains()
- Remove unsigned type from 'mask'
- Clean up case switching in handleKeyPress()
- Make drawIconProc() static
- Change to the linux kernel coding style
- Clean up StartWindozeCycle()
- Clean up coding style in StartWindozeCycle()
- Use helper function in StartWindozeCycle()
- Escape key handling in switchpanel
  (Carlos R. Mafra <crmafra@gmail.com>)
- Fix focus issues with the switch panel and auto-focus
- Fix "smart" placement bug when there are shaded windows in other workspaces
  (Daniel Déchelotte <yo.dan@free.fr>)
- Fix findBestIcon()
- Less strict font requirements
  (Vladimir Nadvornik <nadvornik@suse.cz>)
- Fix use of uninitialized variable
  (Carlos R. Mafra <crmafra@gmail.com>)
- Remove useless tests
  (Daniel Déchelotte <yo.dan@free.fr>)
- Fix multiple errors in findfile.c
  (Tobias Stoeckmann <tobias@openbsd.org>)
- swpanel: Clean up StartWindozeCycle() a bit more
- swpanel: Clean up "case ButtonRelease"
- swpanel: Factor out if (swpanel) test
- swpanel: Fix stacking issue with swpanel escape handling
  (Carlos R. Mafra <crmafra@gmail.com>)
- swpanel: Start with the first window when all are minimized
  (Nicolas Bonifas <nicolas.bonifas@free.fr>)
- WINGs: Fix memory leak in wtokenfree()
  (Tobias Stoeckmann <tobias@openbsd.org>)
- WPrefs: Fix crash due to wtokenfree() memory leak fix
  (Pedro Martelletto <pedro@ambientworks.net>)
- Fix function prototype declaration
- Add spaces to gcc 'case' range extension
- Remove LITE config option
  (Carlos R. Mafra <crmafra@gmail.com>)
- swpanel: Consider also the release of FOCUSPREV
  (Alexey Voinov <voins@altlinux.ru>)
- Fix format strings
  (Tamas TEVESZ <ice@wormhole.hu>)
- Up the version number for the GIT version to 0.93.0-pre
  (Martin Dietze <herbert@spamcop.net>)

Changes since version 0.92.0:
.............................

- added check for --with-gnustepdir option to configure to verify that its
  argument is an absolute path
- updated german translations (Torsten Marek <shlomme@gmx.net>)
- fixed WPrefs.app to find its icons when not installed under GNUstep paths
- fixed gcc-4 compilation issues (Vladimir Nadvornik <nadvornik@suse.cz>)
- fixed amd64 compilation issues (Vladimir Nadvornik <nadvornik@suse.cz>)
- eliminated gcc-4 compilation warnings
- small fix for compilation in a different directory than the source
  (Balaton Zoltan <balaton@eik.bme.hu>)
- fixed some warnings on 64bit platforms (Balaton Zoltan <balaton@eik.bme.hu>)
- fixed issue with invisible modal windows from Qt and Gtk applications
  on 64bit platforms (Max Loparyev <max@city.veganet.ru>)
- fixed issue with icon colors on big endian platforms
  (Max Loparyev <max@city.veganet.ru>)
- release colors to avoid issues with the reference count overflowing a
  small integer and causing unexpected color releases that can crash
  Window Maker (Martin Frydl <martin.frydl@systinet.com>)
- fixed a small memory leak in WINGs/wview.c caused by not releasing the
  background color of a view (Martin Frydl <martin.frydl@systinet.com>)
- updated estonian translation (Ivar Smolin <okul@linux.ee>)
- updated the XDND code in WINGs to work with GDK based applications.
  WINGs based applications should now work with both KDE and GNOME
  applications (Sylvain Reynal <sreynal@nerim.net>)
- better check for the XDND protocol version when interoperating with other
  applications. As it seems xdnd version 3 (which WINGs supports) and newer
  are not backward compatible with xdnd version 1 and 2. This is why WINGs
  applications cannot interoperate with GNUstep applications (which uses
  xdnd version 2). Xdnd version 4 and 5 are backwards compatible with
  version 3 though. (Sylvain Reynal <sreynal@nerim.net>)
- Improved Info panel layout and fonts.
- Fixed missing library paths when linking some binaries on certain
  platforms with a recent pkg-config (debian unstable/sid for one)
- Fixed buggy handling of UTF8 characters in textfields in WINGs.
  (Stanislav Maslovski <stanislav.maslovski@gmail.com>)
- Fixed segfault in WPrefs when some font description is missing from the 
  configuration file (Stanislav Maslovski <stanislav.maslovski@gmail.com>)
- Removed WINGs' dependency on rgb.txt (from X11) and issues with locating it
  on the filesystem for different systems/distributions.
- Fixed segfault when unhiding an application in certain conditions (seen
  with KDE applications with transient windows)


Changes since version 0.91.0:
.............................

- fixed crash with info panel and alt-tabbing
- updated Japanese translations (Takeo Hashimoto <HashimotoTakeo@mac.com>)
- allow disable of switch panel when SwitchPanelImages=None
- added X Input Methods support in WINGs
- fixed issues with compiling on Solaris with openwin
- reduced minimum required version number for the Xft library to 2.1.0
- fixed some compilation issues with gcc-2.9x
- removed --with-appsdir option and replaced it with --with-gnustepdir. Also,
  default installation path (for non GNUstep users) is now $(prefix)/bin
- fixed bug with infinite loop in some circumstances in fitText() in WINGs
- fixed to allow parallel builds on SMP systems using make -j
- updated Italian translation (Marco Colombo <m.colombo@ed.ac.uk>)
- applied .AppInfo --> Library path rename patch (Alex Perez <aperez@student.santarosa.edu>)
- added code to automatically update the icon paths from the old .AppInfo
  style to the new Library/WindowMaker style in WMWindowAttributes when
  Window Maker starts to make transition transparent for users.
- fixed issue with window being moved by 1 pixel up and left when the window
  move was initiated by the client
- improved hide/unhide animation for applications with multiple windows
  (only animate the active window hiding/unhiding, which makes Window Maker
  faster and more responsive for such applications). This also makes the
  restart operation much faster.
- fixed bug with windows shrinking to very small sizes when Unmaximize was
  used on them, after they were closed in a maximized state.
- fixed bug with restoring maximized state from NetWM atoms.
- fixed issue with GNUstep applications losing focus when all their windows
  are closed and there remains only their menu (Matt Rice <ratmice@yahoo.com>)
- try fixed font for the technical drawing font if helvetica-12 is not
  available to avoid crashing (Timo Juhani Lindfors <timo.lindfors@iki.fi>)
- new algorithm for placing miniwindows after unhiding the application they
  belong to, that works without auto-arranging the icons, while still avoiding
  multiple icons in the same spot by moving the miniwindows to a new slot if
  their old slot was occupied in the meantime.
- double clicking an appicon will also raise the miniwindows that belong to
  that application to the front (along with the normal windows).


Changes since version 0.90.0:
.............................

- added _NET_WM_NAME, _NET_WM_ICON_NAME and _NET_WM_ICON to WINGs
- new WPrefs icon (thanks to Largo)
- replaced VirtualEdgeThickness option, with EnableVirtualDesktop (boolean)
- enhanced alt-tab panel, added theming ability
- fixed issues with broken crash dialog
- removed obsoleted options from wconfig.h
- changed animation delay constants to fix issues with 2.6.x linux kernels
  (patch provided by Eric Piel <Eric.Piel@lifl.fr>)
- fixed several broken po files
- increased libwraster version number to 3.1.0 (added a RCopyArea function)


Changes since version 0.80.2:
.............................

- Some updates to WINGs WMConnection. See WINGs/ChangeLog for details.
- Fixed empty window list menu, if the window list menu was launched through
  the root menu (sent by "Marc-Christian Petersen" <m.c.p@wolk-project.de>)
- Fixed dock's menu mapping position when dock is on the right side.
- Map clip's menu so that it never gets out of screen on the left or the right.
- Patch to add binary mode on opening files (needed for Windows with Cygwin)
  (sent by luke <luke@posh.optushome.com.au>)
- Updated French translations (Antoine Hulin <antoine@origan.fdn.org>)
- Removed Hermes lib dependency in wrlib
- Put back asm/MMX code in wrlib
- Updated Russian locale files ("Andrew W. Nosenko" <awn@bcs.zp.ua>)
- API change in WINGs for WMDraw*String(). Details in WINGs/Changelog
- Removed obsoleted acconfig.h and implemented its functionality using
  AC_DEFINE and AC_DEFINE_UNQUOTED as autoconf 2.5x recommends.
  This will definitely enforce the need to use autoconf 2.5x
- Added Xft2 support to WINGs, for rendering antialiased fonts with 
  transparency. Details in WINGs/ChangeLog.
- Fixed problem with long, preset workspace names (Wanderlei Antonio Cavassin 
  <cavassin@conectiva.com.br>)
- Added kinput2 bug workaround to stock WMWindowAttributes (Seiichi SATO 
  <sato@cvs-net.co.jp>)
- Added Belarusian translation (Ihar Viarheichyk <iverg@mail.ru>)
- Fixed wrlib not to load braindead images with 0 sized width or height
- Removed double no-position-display when cycling position display types
  with Shift key while moving windows.
- Changed the default position display while moving a window to 'Center'.
- Better outline when drawing balloons.
- Fixed wrlib to not accept too large images (fixes buffer overflow)
- Patched FAQ (David Coe <davidc@debian.org>)
- Fixed bug with resizebars appearing out of nothing when reloading configs
- Fixed sloppy focus bug (Pawel S. Veselov <Pawel.Veselov@Sun.COM>)
- Applied Xinerama patch (after fixes) from (Peter Zijlstra
  <a.p.zijlstra@chello.nl>)
- Added switch to enable/disable antialiased fonts in WPrefs's Expert Settings
  panel. (Temporary until the Font Settings panel in WPrefs is finished).
- Added a check that only %d is used in a font specification in WMGLOBAL and at
  most once for each font in a fontset (eliminates a possible security exploit)
- Added fontpanel callback
- Fixed focus handling for windows that set WM_HINTS.take_focus = False.
- Fixed a problem in the stacking code which could lead to segmentation faults
  (Jeff Teunissen <deek@d2dc.net>)
- Fixed a crashing bug in the menu code with modal panels involved.
- Fixed incorrect focusing of application's windows after an unhide (sometimes
  the incorrect window got focus instead of the apps's last focused window)
- Unshade application's shaded windows when Dbl-MiddleClick-ing its appicon.
  (this is to be consistent with deminiaturizing application's miniwindows
  which also happens in this case, since shading is a form of miniaturization)
- Fixed bug with tpixmap from previous xinerama patch (reported by g0sh)
- Fixed edge resistance and move/resize frame drawing for borderless windows
- Fixed wrong display position for the move/resize widgets after xinerama
  patch (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Fixed bug with cursor locked in drag mode after Alt-dragging a window
- Added Catalan translation (Ernest Adrogu� <eadrogue@gmx.net>)
- Fixed a bug with deminiaturizing windows when the application is hidden and
  the miniaturized window is selected from the window list menu
- Fixed a bug with not showing shaded window frames when the application is
  hidden and another window belonging to the app is selected in the window
  list menu
- Autoarrange icons after unhiding an application that has miniaturized
  windows, else they may cover other icons which are now in the positions
  they have occupied before hiding
- Fixed Clip's workspace menu mapping to be consistent with the others
- Fixed bug in wmsetbg that caused scale and maxscale to both do maxscale
  (Alexey Voinov <voins@voins.program.ru>)
- Fixed bug with scrolling menus introduced by the xinerama patch.
- Fixed bug that could cause SIGSEGV by accessing beyond the end of text in
  a WINGs textfield widget.
- Fixed small memory leak in WINGs' font panel code.
- Fixed memory leak in WINGs' file panel code.
- Updated Bulgarian translations (Anton Zinoviev <zinoviev@debian.org>)
- Fixed a bug in WINGs' hashtable which free'd the wrong memory in the
  WMResetHashTable() function (possible source of SIGSEGVs)
- Fixed 2 syntax errors in plmenu.zh_TW.Big5 (Mike FABIAN <mfabian@suse.de>)
- Some .po file fixes (Mike FABIAN <mfabian@suse.de>)
- Fixed the problem with the root menu code changing the locale setting as
  a side effect of loading a localized menu
- Fixed e memory leak in the code that reads a localized root menu
- Added support for generating pkgconfig files for WINGS, wmlib and wrlib.
  ("Marcelo E. Magallon" <mmagallo@debian.org>)
- Support for multiline balloons (Vitaly Ovtchinnikov <ov@rbcmail.ru>)
- Improved wsetfont (Mike FABIAN <mfabian@suse.de>)
- Updated single-click contrib patch (steve lion <steve.lion@verizon.net>
  and vlaad)
- Updated French translations (Antoine Hulin <antoine@origan.fdn.org>)
- Xinerama support for Solaris
- Added global menu support (see NEWS)
- Fixed sloppy focus bug
- Made maximize behave differently with keyboard/mouse for xinerama
  (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- A few leftover xinerama fixes (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Extended the 'strut' to multiple heads 
  (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Icon placement now takes into account the new xinerama extended 'strut'
  (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Icon arrangement that takes the new extended xinerama 'strut' into account
  (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Fixed the 'KDE omnipresent' bug.
- Fixed bug with focusing a deminiaturized window with sloppy focus mode
- Fixed aspect of window list menu (window name was too close to workspace
  indicator)
- Fixed menu panel in WPrefs.app. Explanatory text did not fit into the label
- Implemented a better logic to preserve the window's old geometry when
  maximizing to support succesive maximizations in different directions
  without the need to do an intermediary un-maximize step (eliminates flicker)
- Made keyboard/mouse maximization behavior consinstent relative to each other
- Enhanced wmsetbg's man page with description for -b | --back-color
  (Marcelo E. Magallon <marcelo.magallon@bigfoot.com>)
- Do not use the disabled clip color for the clip's workspace navigation arrows
  when the clip is collapsed (it made them look like disabled)
- Fixed bug with incorrect un-escaping if there is a dot in wm_class.
- Updated Catalan translations (Ernest Adrogue <eadrogue@gmx.net>)
- Updated Spanish translation of WPrefs (Alberto Gimenez <algibe@teleline.es>)
- Fixed synchronization problem between hair cursor and mouse cursor in
  wmagnify with mouse cursor at the screen edge (Jon Diercks <jon@diercks.net>)
- Fixed 2 focus switching related bugs (Allan Peramaki <aperamak@cc.hut.fi>)
- Fixed a bug that made the crash panel to be shown again and again when the
  'Restart Window Maker' option was selected, under some circumstances.
- Added workaround in global WMWindowAttributes, to avoid creating a second
  appicon when a KDE3 application opens a config panel.
- Updated slovak translation (Jan Tomka <judas@linux.sk>)
- Added xdnd v3 support in WINGs (Sylvain Reynal <sreynal@nerim.net>)
- Check whether libXft is at least version 2.1.2 else refuse to compile.
- Fixed bug in icon chooser dialog that could cause a segmentation fault
  in some cases (Pascal Hofstee <caelian@gmail.com>)
- Fixed crash in asm code in wrlib, with new versions of gcc.
- Fixed bug in the x86_PseudoColor_32_to_8() function which incorrectly
  used the r, g, b fields in the conversion.
- Fixed x86 ASM code in wrlib to work on 64 bit architectures.
- Fixed the focus flicker seen with some apps (notably gtk2)
  (Alexey Spiridonov <snarkmaster@gmail.com>)
- Fixed all crashing bugs that were generated by wmaker starting with the
  WMState file missing.
- Added NetWM support (a modified version of the patch originaly written
  by Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Applied patch to enhance the Virtual Desktop behaviour, and to integrate
  it with the NetWM code (Peter Zijlstra <a.p.zijlstra@chello.nl>)
- Applied a few xinerama and placement fixes (Peter Zijlstra 
    <a.p.zijlstra@chello.nl>)
- Fixed memory leak in dock code.
- Fixed and enhanced the text wrapping in WINGs.
- Fixed the layout of some elements in WPrefs.app
- Added workaround for aplications that don't set the required hints on the
  client leader window, but they set them on normal windows (observer with
  KDE 3.3.0 mainly). This will allow these apps to get an appicon again.
  (they should be fixed still)
- Added workaround for applications that do not set a command with
  XSetCommand(), but instead they set the _NET_WM_PID property. This works
  with operating systems that offer a /proc interface similar to what linux
  has. (This also is to fix problems with KDE 3.3.0 apps, but not only them).
- Fixed bug with autostart and exit scripts not being executed if user
  GNUstep path was different from ~/GNUstep (when setting GNUSTEP_USER_ROOT)
- Removed legacy OFFIX_DND support code
- Fixed the signal handler for crashes (ie, removed it) and made wmaker
  restarting be made automatically by a monitoring process.
- Made NetWM support be enabled by default
- Removed old code to store/restore workspace state (now relies on netwm)
- Added a (simple) Font Configuration for fontconfig fonts
- MacOS X style window switching panel (navigate through windows with Alt-Tab
  or arrow keys)
- Added support for NET_WM_NAME/NET_WM_ICON_NAME
- Moved out font name conversion code from getstyle/setstyle/convertfonts and 
  made it support fontsets
- Converted all menu and po files to UTF-8
- Updated de.po (Thomas Otto <3.1415926535897932384626433832@gmx.net>)
- Fixed a crash bug when switching workspaces
- Removed obsoleted scripts from util: wsetfont, wmchlocale, wcopy, wpaste


Changes since version 0.80.1:
.............................

- Fixed a buffer overflow when allocating a RImage struct.


Changes since version 0.80.0:
.............................

- Fixed a bug that crashed wmaker when closing a window if multiple screens
  were managed by wmaker (Valery Kotchiev <aggregator@nospam.dk>)
- Fixed a problem that crashed wmaker when trying to read an unexisting
  WMState.<number> file on multihead system.
- Fixed problem with keyboard shortcuts executed an every screen for
  multihead systems.
- Updated traditional chinese translations 
- Fixed buglet in non-caching rootmenu option 
  ("John H. Robinson, IV" <jhriv@ucsd.edu>)
- Added Malay translation
- Fixed problem with kcalc not having a miniaturize button.
- Added "Hide Others" to the window menu.
- Fixed text in info panel for multibyte (Seiichi SATO <ssato@sh.rim.or.jp>)
- Separated the font caches for normal fonts and fontsets in WINGs (they can
  have the same names and collide in the cache giving unwanted results)
- Fixed Legal Panel not to display rectangles in place of new lines.
- Fixed problem with losing focus when changing to an empty workspace and back.
- Fixed another focus related problem when changing workspaces.
- Fixed problem with saving session when shared appicon is enabled (not
  all instances were saved in the session, only one per shared appicon)
- Added support for the ukrainian language in wsetfont
  (Bohdan Vlasyuk <bohdan@bodq.vstu.vinnica.ua>)
- Fixed a bug that crashed Window Maker when setting the "Emulate AppIcon"
  option for a window using the window Inspector.
- Let XRender transparent window be see-through to desktop
- Added Greek (el) language pixmap (Michalis Kabrianis <Michalis@bigfoot.com>)
- Fixes icons being reduced twice when icon size != 64x64
  Eduardo Pereira Habkost <ehabkost@conectiva.com.br>
- Fixed a bug that crashed wmaker when selecting the "Start alternate window 
  manager" option in the crashing dialog panel.
- Window Maker will now use the WINDOWMAKER_ALT_WM environment variable (if
  it is defined) to overwrite the default hardcoded fallback window manager.
- Fixed marks for menu entries to be grayed as the text for disabled entries.
- Fixed Clip's "Autoraise" option to be marked as disabled when the
  "Keep on Top" option is active.
- Added ability to browse for files/directories in the WPrefs menu editor.
- Added Czech translations of documentation (Jiri Hnidek <Jiri.Hnidek@vslib.cz>)
- Fixed segfault with incomplete WM_CLASS specifications. 
- Fixed a bug about arranging subviews in a WMBox after removing a subview
  and a memleak occuring in the same situation.
- Fixed a bug in wdread
- Fixed bug with windows that have WM_HINTS.take_focus = False. These windows
  will not receive focus at all.
- Fixed a buffer overflow in winmenu.c


Changes since version 0.70.0:
.............................

- Disabled window birth animation by default (while it was ok with normal 
  windows, it was very annoying with menus editing in WPrefs.app)
- Added ability to shade/unshade a window using the mouse wheel.
- Fixed compilation for systems that required -lintl for WINGs
  (Jim Knoble <jmknoble@pobox.com>)
- Removed redundant include/lib paths from the get-*-flags scripts
- Updated slovak .po files (Jan Tomka <judas@linux.sk>)
- Added "Save workspace state" switch button on the exit confirmation panel
  (based on a patch sent by Jan Tomka <judas@linux.sk>)
- Fixed WPrefs crash when clicking on the menu editor to keep the current menu
  (Alexey Voinov <voins@voins.program.ru>)
- Added patch to fix some gnome issues (Les Schaffer <schaffer@optonline.net>)
- SIGTERM is now handled and saves the internal state before exiting (like
  SIGHUP and SIGINT already do). Now a "kill wmaker_pid" will exit cleanly
  saving dock/clip/session information on exit.
- Added an internal strcasecmp() to WINGs (only on systems where's not present)
- Deminiaturizing a window that is also shaded, will perform an unshade too.
  (Note that this only applies to deminiaturizing shaded windows. Unhiding 
  an application will keep the shaded/unshaded state of windows.)
- Removed compile time option for definable cursors and made them available by
  default.
- Mapping a new window that belongs to a running application that is hidden,
  will unhide the application.
- Added || pipe menu for generating non-cached menus
- Removed the collapse appicons thing.
- Added real appicon sharing (apps of the same kind will have a single shared 
  appicon).
- Fixed user and global defaults domain merging to preserve values present in
  global but not in user, in sub-dictionaries.
- Made dock/clip steal appicons of applications that were started from a
  shell/xterm or from the main menu, if there is a docked appicon of that
  class that is not running at the time the app is launched.
- Added animation to show that the appicon was stolen by the dock (the way
  NEXTSTEP did - map an appicon as it normally would have been, then slide it
  to the position the docked appicon is).
- Updated the animation constants for scrolling/sliding/shading to better
  adapt to newer/faster machines. Also used wusleep(10) when the delay was 0
  to get rid of the jerky animation when there was no delay.
- Fixed bug with Unhide mapping windows from other workspaces.
- keyboard shortcuts are active during mouse window drag
- Saving a domain file will first strip all entries that are also present in
  the global domain as well and are exactly the same. This fixes a bug where
  settings from the global domain file were merged in the user domain file
  and further changes in the global domain file for those merged values was
  ignored making a system admin unable to set global defaults for all users
  using the global domains.
- Fixed bug with improper setting of root/titlebar cursor (definable cursors).

Changes since version 0.65.1:
.............................

- fixed crash when saving empty menu item in WPrefs
- Fixed some more bash specific constructs in wsetfont.
    (Marcelo E. Magallon <marcelo.magallon@bigfoot.com>)
- fixed crash with broken apps that set null WM_CLASS
- fixed crash when with gnome panel and multi-screens, some menu
  updates and applied various other patches from 
  (Crutcher Dunnavant <crutcher@redhat.com>)
- po file fixes (Crutcher Dunnavant <crutcher@redhat.com>)
- replaced I18N_MB with I18N in one place in src/wconfig.h.in
- fixed default clip title font in WindowMaker.in
- fixed some locale related problems (Yukihiro Nakai <ynakai@redhat.com>)
- fixed a bug in RCombineAreaWithOpaqueness() (Brad <lists@anomie.yi.org>)
- added spanish INSTALL file (Efrain Maximiliano Palermo <max_drake2001@yahoo.com.ar>)
- updated Finnish pots (Tomi Kajala <tomi@iki.fi>)
- copy/paste launching in Dock
- fixed switch to wrong workspace bug (Masashi Shimbo <shimbo@cis.ibaraki.ac.jp>)
- added snprintf and removed XConvertCase usage for portability
- added wcopy/wpaste scripts from (<luke@research.canon.com.au>)
- added Xinerama support: see details in NEWS
- fixed artifact pattern left in TrueColor dithering code (visible with
  tiled gradients)
- fixed bug in positioning of window list menu when opened by kbd
- internal code clean-up with notifications for window state change and other
  stuff
- removed the libPropList dependancy by adding property list handling
  code to WINGs. This code is not only better integrated with the other
  WINGs data structures, but it's also more robust. Also a backward
  compatibility header file is provided which maps old libPropList
  function names to the new WINGs based proplist names allowing old code
  to be linked to WINGs with minimal changes. For details on how to use
  the compat mode, read the comments on top of WINGs/WINGs/proplist-compat.h
  More details about this can be found in WINGs/ChangeLog and WINGs/NEWS.
  Say bye, bye libPropList =)
- rewrote all Window Maker code to use the new WINGs based proplist functions.
- fixed a few compilation warnings and a problem caused by an uninitialized 
  variable.


Changes since version 0.65.0:
.............................

- removed FocusFollowMouse from wmaker and WPrefs
- fixed problem with alpha images showing a blue tint on big endian machines
- fixed problem with WINGs based apps exiting with a "X_RotateProperties"
  related error when text was selected in a textfiled (including WPrefs.app
  and Window Maker itself).
- fixed bug with maximization of windows with fixed resize increments
- added None geometry display type
- fixed window enumeration bug
- removed GNUisms from wsetfont (Marcelo E. Magallon <marcelo.magallon@bigfoot.com>, Masahide -mac- NODA <mac@clave.gr.jp>)
- added slovakian translations from (tomka@oalevice.sk)
- added WINGs i18n patch from tomka@oalevice.sk
- fixed wmsetbg.c to work in servers capable of multiple depths (overlay)
- added HMaximizeKey (Ruda Moura <ruda@conectiva.com.br>)
- fixed bad SIGPIPE handling setup across forks (Philippe Troin <phil@fifi.org>)
- added workaround for bug in locale handling on font set creation (Seiichi SATO <sato@cvs-net.co.jp>)
- Fixed some non-portable shell constructs used in installed scripts
  (Johnny C. Lam <lamj@stat.cmu.edu>)
- Fixed crash with long titles in the window list menu (buffer overflow)
  (Alban Hertroys <dalroi@wit401310.student.utwente.nl>, reported by
   Robert Marshall <robert@chezmarshall.freeserve.co.uk>)
- Replaced almost all sprintf() calls with snprintf()
- fixed crash when removing menu entry for Window List or Workspace submenu
- added WINDOW_BIRTH_ZOOM2 (�ric Tremblay <delt@razorback.yi.org>)

Changes since version 0.64.0:
.............................
- fix with gnome hints stuff, related to tasklist/bar
- ripped off single appicon stuff
- added better appicon handling of apps of the same type
- applied patch for wkdemenu (Malcolm Cowe <malk@bruhaha.co.uk>)
- added WINDOWS_MENU submenu type for root menu (Bastien Nocera <hadess@hadess.net>)
- added kbd shortcuts for icon chooser
- use Hermes in wrlib
- removed MOUSE_WS_WHEEL #defines
- fixed bug with multibyte text on libc5 systems (Osamu Ajiki <osam-a@astroarts.co.jp>)
- fixed race conditions on signal handlers 
- SIGINT will gently exit, SIGTERM will not be handled
- When Window Maker calls wmsetbg to set the background, it will consider the
  value of the DisableDithering option and pass the right switch to wmsetbg.
- fixed a memleak in the dialog panels.
- made "Keep on Top" in the dock/clip menu a checked menu entry. It's _much_
  easier to work with it this way.
- Fixed problem with GNOME apps that have windows which need to stay on the
  desktop level.
- Fixed incorrect parsing of display and screen number from $DISPLAY.
- Organized the inspector panel a bit better.
- Replaced bags with arrays wherever appropriate. This will improve 
  performance a bit.
- Made the Gnome tasklist skip the windows with the "Skip window list" flag
  enabled. (Bastien Nocera <hadess@hadess.net>)
- Fixed crashing bug when name and class were empty for a docked app.
- Removed MIN() and MAX() macros and replaced them with WMIN() and WMAX() from
  WINGs.
- Added a hint that Window Maker crashed, to allow windows to be placed
  correctly after a crash situation.
- Added a hint that Window Maker crashed, to allow windows to be placed
  in their correct previous positions after a crash situation and also to
  preserve their state before the crash (minimized, shaded, hidden, ...)
- Fixed wrong mapping position of the "Docked Applications Panel" for some
  icons.
- Smoother animation for the smiley =)
- Added retain/release mechanism for RImages. RDestroyImage() has become
  obsolete. More about this can be found in wrlib/Changelog and wrlib/NEWS.
- Small API change in WINGs to allow images with alpha blending set as the
  application icons be shown correctly. More about this in WINGs/Changelog 
  and WINGs/NEWS.
- Made images with alpha blending be shown correctly in the panels and the
  icon chooser.
- The icon image set to be shown in panels ("Logo.WMPanel") will be 
  automatically updated if its entry in WMWindowAttributes changes (without
  a need to restart as until now).
- Fixed a bug in the icon chooser dialog that made the selected icon look
  wrong if it had alpha blending.
- Removed the following 3 options from configuration: SelectWindowsMouseButton,
  WindowListMouseButton and ApplicationMenuMouseButton.
- Added 4 options to the configuration file for binding workspace actions to
  mouse buttons: MouseLeftButtonAction, MouseMiddleButtonAction,
  MouseRightButtonAction and MouseWheelAction. They replace the above 3
  removed options, but use a different semantic. More in NEWS.
- client supplied icons that were saved by Window Maker in the directory
  ~/GNUstep/.AppInfo/WindowMaker/ will be recreated if missing when the
  application starts.
- fixed a small memleak when the client supplied icon was extracted and saved.


Changes since version 0.63.1:
.............................
- fixed messup in get-{wings,wutil,wraster}-flags
- fixed #wmdatadir# substitution in wmaker.inst 
	(Seiichi SATO <sato@cvs-net.co.jp>)
- Removed spurious focus disabling for GNUstep applications - but retain
  code that lets GNUstep apps control their window titlebar.
	(Richard Frith-Macdonald <rfm@gnu.org>)
- Fixed broken panels.
- Renamed se.po to sv.po
- New version of wkdemenu.pl (from Malcolm Cowe <malk@bruhaha.co.uk>)
- new updated Slovak translations (Jan Tomka/judas@hell <tomka@oalevice.sk>)
- integrated the 'no polling' patch from Jim Knoble <jmknoble@jmknoble.cx>.
- new wsetfont script (Anton Zinoviev <zinoviev@debian.org>)
- lots of i18n fixes (Jan Tomka/judas@hell <tomka@oalevice.sk>)
- window levels changed to match GNUstep <rfm@gnu.org> ...  src/GNUstep.h
  src/WindowMaker.h src/window.c wmlib/WMaker.h WINGs/WINGs/WINGs.h


Changes since version 0.63.0:
.............................
- fixed compile prob with SGI compiler
- decreased nice() value in wmsetbg
- applied gnome panel not-covering patch from (Bastien Nocera <hadess@hadess.net>)
- added item copy to WPrefs menu editor
- added locale selection code for menu in wmaker.inst (Eliphas Levy Theodoro <eliphas@conectiva.com.br>)
- fixed bug in built-in xpm support (Alessandro Strada <a.strada@libero.it>)
- removed plugin support
- fixed a crash bug in WPrefs menu editor
- added es and pt potfiles from conectiva/eliphas
- added updated galician potfile (Jesus Bravo Alvarez <jba@pobox.com>)
- added update hungarian potfiles (HORVATH Szabolcs <horvaths@inf.elte.hu>)
- added updated single-click patch from John Morrissey <jwm@horde.net>
- added updated danish translations (Birger Langkjer <birger.langkjer@image.dk>)
- fixed WindozeCycling config in WPrefs
- fixed circulate raise withour WindozeCycling


Changes since version 0.62.1:
.............................
- added blackbox style igradient (interwoven)
- added wmagnify utility
- changed behaviour of control/shift double click on titlebar for maximize
- updated getstyle to account for extendspace options
- fixed weird color bug in jpeg loader 
	(Alban Hertroys <dalroi@wit401310.student.utwente.nl>)
- improved and simplified fonts configuration for multibyte languages
	(Tomohiro KUBOTA <kubota@debian.or.jp>)
- cleaned ParseCommand() and renamed to TokenizeString()
- rewrote menu editor in WPrefs
- added definable workspace border (0..5 pixels). See NEWS.
- fixed circulateraise on non-windoze cycling mode
- fixed bug in RCombineAreaWithOpaqueness (Tim Malone <tmalone3@uswest.net>)
- fixed bug with hangling of WM_COMMAND update in client.c (Andrew M. Langmead <aml@world.std.com>)
- fixed bug with incorrect reading of ppm files (Adam Fedor <fedor@gnu.org>)
- fixed bug with incorrect window placement using automatic placement, while
  there were shaded windows on other workspaces
- fixed some buffer overflow issues in WINGs
- fixed bug with WPrefs.app not selecting the menu appearance options after 
  startup.
- replaced free() with wfree() wherever appropriate
- fixed some memory leaks generated by wstrappend()
- fixed code that was dependant on the order of evaluation in wrlib. This
  fixed a number of problems, like greyscale jpegs that showed up in red
  and possibly the problems with pseudocolor displays.
- made clicks on unfocused windows be effective on focus follow mouse/sloppy


Changes since version 0.62.0:
.............................
- made shortcuts available during alt+tab
- save lowered state of menus
- fixed portability bugs for old X servers
- added check for XInternAtoms in configure and replacement code
- fixed window cycling with single key shortcut
- fixed WPrefs crash on menu editor
- install only needed icons for WPrefs.app
- updated Finnish translations
- fixed user-whining-windoze-cycling bug
- added option for f'n windoze cycling..
- added --create-stdcmap and made std colormap creation off by default
- updated get/setstyle to account for new options
- fixed crash on restart bug
- made GNOME wm hints take precedence over KDE.. KDE hint will only be read
  if GNOME hints dont exist
- updated kwm hint support (maximize hint)
- added memory usage in info panel
- fixed sticky hint handling in GNOME
- fixed saving of maximized state for restart


Changes since version 0.61.1:
.............................

- fixed bug with menu editor in WPrefs placing cut/paste-ed entries in wrong
  positions.
- removed "Keep Attracted Icons" option from Clip's menu. See NEWS.
- fixed bug in Xdnd code to be able to work with QT. (This is QT's bug so
  it will change again in future)
- replaced debugging output stuff with Nana
- fixed problem with session restoring and dock autolaunch (Jacek Naglak
							<nag@promail.pl>)
- put WorkspaceNamePosition in WPrefs
- added a lock to docked icons
- fixed crashing bug in WPrefs.app's Appearance section.
- fixed sorting of names in icon chooser, and file browser.
- fixed name completion problem in file browser.
- added new sound events (from pascal)
- fixed bug when moving/resizing internal windows
- propagation of -noext for submenus (David Reviejo <dreviejo@arrakis.es>)
- fixed problem with mouse sampling rate in SGIs
- optimized frame drawing (Swivel <swivel@gnugeneration.com>)
- removed broken optimized frame drawing patch
- added Select Window button in attribute inspector
- made icon images scale by a constant factor when changing icon size
- added support for standard colormaps in PseudoColor visuals
- changed geometry view for move/resize to a WINGs widget
- removed DisplayFont option
- added NoBorder attribute
- changed semantics of GNUstep window attribute hints
- added get-wings-flags and get-wutil-flags with the same purpose as
  get-wraster-flags, but for compiling and linking with WINGs/WUtil
- fixed bug handling non-string values given to string valued options in 
  defaults.c
- fixed colormap_window crash bug (appears when launching some apps from dock,
  or removing apps from gnome panel etc)
- added DONT_SCALE_ICONS #define
- added --no-autolaunch patch (John Bafford <dshadow@zort.net>)
- made Apply button work on window inspector for windows with no WM_CLASS
- changed sound server code to be more efficient
- fixed crash with broken apps that set mask size != pixmap size in icons
- made wmsetbg accept relative paths for images that are not in PixmapPath
- fixed windoze cycling
- replaced XSync with XFlush in wUnshadeWindow()
- added GNUstep window recognition through WM_CLASS->class == GNUstep
- made window focusing not change titlebar color of GNUstep windows
- disabled passive mouse grabbing in client area of GNUstep window
  when they are unfocused
- added Jim Knoble <jmknoble@pobox.com>'s cursor thing patch
- fixed lock of wmaker when clicking on menu multiple times
- made transients appear near their owner
- fixed crash bug with broken java implementations (Miguel Covarrubias 
							<mcovarr@tigr.org>)
- made Revert on attributes panel apply the reverted changes immediately
  to avoid inconsistent internal state
- color dragging works correctly now
- arbitrary stacking levels
- save window shortcuts in state
- changed license of Marco's icons to GPL
- added --dont-restore cmd line option to not restore previous state
- fixed focus bug when moving wmaker panel windows in focus-follow mouse

Changes since version 0.61.0:
.............................

- fixed Xdnd by cropping filename with ""
- fixed OPEN_MENU
- fixed crash when moving a shaded window with keyboard
- fixed problem with window shortcut assignment from the menu
- fixed problem with fonts in WINGs (Masahide -mac- NODA 
					<mac@flab.fujitsu.co.jp>)
- fixed multihead bugs (Morten B�geskov" <mb@dbc.dk>)
- fixed crashing bug when saving session information.
- fixed crashing bug related to onmipresent icons in Clip
- added _WINDOWMAKER_ICON_TILE and _WINDOWMAKER_ICON_SIZE hint in
  the noticeboard window


Changes since version 0.60.0:
.............................

- fixed bug in window attribute panel
- SGI portability fix (Graham Whitted <gbw@sgrail.com>)
- fixed compilation problem with --enable-singleicon
- fixed compilation problem with WS_INDICATOR
- fixed crash bug with SGI (defaults.c) (Graham Whitted <gbw@sgrail.com>)
- fixed sloppyfocus problem in multihead dpys (Morten B�geskov
						<morten@bogeskov.dk>)
- fixed WorkspaceSpecificBackground bug in wmsetbg
- give preference to windows in window list when switching focus after
  workspace change (Richard Kilgore <rkilgore@ece.utexas.edu>)
- brought back --locale cmd line option
- fixed bug with WorkspaceNameDisplayPosition (Emanuele Caratti <wiz@iol.it>)
- added missing kbd shortcut definitions for window shortcuts
	(Michael Smith <mjsmith@spirit.com.au>)
- fixed floppy button layout in filepanel (Matthew Ashton <mrashton@home.com>)
- fixed bug with documentedited close button (Felipe A. Rodriguez 
						<farz@mindspring.com>)
- fixed some buffer overflows
- fixed some problem with the alpha
- fixed some problems with non gcc compilers.
- fixed problem with showing instance.class in the inspector window.
- fixed crash when displaying workspace name in some positions.
- fixed compilation problem when WS_INDICATOR was defined.
- added edge attraction. See NEWS.
- fixed buggy RSaveXPM() in wraster library. Its output was messed up, and
  caused crashes for icons with more than 1024 colors.
- sinking windows (such as gmc icons) won't be calculated in edge resistance
  or attraction.
- removed drop shadow for text on title bar code. (TITLE_TEXT_SHADOW)
- text on title bar is now possible to be drawn by plugin. See NEWS.
- WPrefs: added support for button4/5
- fixed scrolling of menus outside screen (Vito Caputo 
						<swivel@virtual-webworld.com)
- added dialog window for menu commands that can't be executed
- fixed crash when deiconifying windows when icons are disabled
- better smart placement (Gabor Melis <gabor.melis@essnet.se>)
- replaced old linkedlist code with WMBag
- fixed wmsetbg to use right bg color with transparent background images
- fixed crash with Assertion "bad_root_window" && 0' failed. on startup
- fixed crash when more than 1 dockapp fails to launch on startup
- added a different dock setup config for each screen size
- fixed PPosition handling
- New "Smart placement" mode. 'Smart' is no longer an alias to 'Auto' but
  a different mode of placing windows. 'Auto' keeps the old behavior.
- added the dir where the menu is being read from to the search path
  given to cpp
- doing a multiwindow selection shortcut and hitting the shortcut
  repeatedly will cycle through the selected windows
- fixed crash when overwriting a string constant (default font specs) in WINGs


Changes since version 0.53.0:
.............................

- fixed a bug that caused icon overlaping in Clip, when icon was moved around.
- this time really added libwmfun to distribution.
- made deiconification not automatically focus window in sloppy focus
- fixed crash with DisableMiniwindows and icon pixmap changes
- fixed crash when changing icon of window without WM_CLASS
- added hysteresys for offscreen menu scrollback
- fixed bug with IgnoreFocusClick
- fixed crash with windows with width == 1 (Alban Hertroys 
					<dalroi@wit401310.student.utwente.nl>)
- added SHEXEC command
- fixed resizebarback for SHADOW_RESIZEBAR ( jim knoble jmknoble@pobox.com)
- added balloon help everywhere
- fixed bug with FullMaximize attribute
- GNOME: button events not bound in wmaker are proxyized (to gmc)
				(Paul Warren <pdw@ferret.lmh.ox.ac.uk>)
- fixed bug with restoration of maximized window after restart with
  --enable-kde
- added high-quality filtered rescaling (smoothed rescaling) to wrlib/wmsetbg
- added SmoothWorkspaceBack
- fixed crash bug in Paths section of WPrefs
- optimized image rendering for 15/16 bpp
- user menus' paths were changed. See NEWS.
- added a timeout for the workspace name fading
- HP-UX compiler compatibility workarounds (Sebastien Bauer
						seb_bauer@bigfoot.com)
- fixed crash with attributes panel
- save state of all menus when exiting (Sebastien Bauer
						seb_bauer@bigfoot.com)
- added GNUstep info panel (still needs beautification..)
- made the paths selector in WPrefs.app use the open file panel
- fixed crash bug with hiding apps without dock/clip
- fixed a mem leak in superfluous mode caused by the ghost icon.
- added possibility to set omnipresent icons in Clip. See NEWS.
- fixed bug in WPrefs menu editor
- fixed crash when moving internal window with kbd
- fixed compilation problem on IRIX machines (Neil Muller
						<neil@octane.sun.ac.za>)
- replace xde support drop on dock with xdnd.
- added an (internal use) environment variable for telling WPrefs whats's
  the name of the wmaker binary being ran.
- more elegant text entries in Clip's menu, regarding single/multiple
  selected icons.
- fixed cosmetic bug in geom. dpy window for 8bpp
- removed --enable-kanji and added MultiByteText option
- rewrote font code to use WINGs
- made autoraise only work for the active window
- fixed compilation problem with OpenWindows and other non-X11R6 systems..
- fixed crash bug when iconsize=24
- fixed portability prob with raise() in SunOS
- fixed icon placement bug (Markus Schoder <Markus.Schoder@online.de>)
- added delete and floppy buttons in file panel.


Changes since version 0.52.0:
.............................

- patched wmsetbg to work with dynamically loadable texture renderer code
- added libwmfun to distribution (forgot to do so in 0.52.0)
- added MenuStyle option
- changed configuration updating to use notifications
- fixed window move through workspaces in nonopaquemove
- added message to immediately reread configuration data
- fixed some bug in XKB modelock toggling
- fixed crash bug when hiding apps with appicon disabled
- fixed wrong initial workspace # being shown on attributes panel
- XSMP updates
- update colorpanel
- applied WMSound patch from "Quinn, Anthony" <Anthony.Quinn@usa.xerox.com>
- fixed focus bug with unfocusable window (I swear I had fixed that before...)
- applied windoze cycle patch from  Paul Warren <pdw@ferret.lmh.ox.ac.uk>
- changed initscript and exitscript execution from fork()/exec() to system()
- added ResizebarBack and added appropriate backwards compat. hacks in setstyle
- applied ]d's patch to allow DEMATERIALIZE_ICON over windows
- made clip arrows gradiented
- added a crashing dialog panel to select what to do on crashes.
- fixed the problem with showing a window as focused in the window list menu
  while it was on another workspace.
- show workspace name on screen when switching workspaces
- made setstyle support WorkspaceSpecificBack
- fixed getstyle prob with filenames with spaces (Pierre Phaneuf
						<pp@ludusdesign.com)
- fixed crash with InfoPanel in multihead dpy
- Fixed bug in WPrefs that added a new line at the end of autostart script
  at every save, growing it indefinitely.
- fixed a memory leak in wrlib (Wolfram Gloger <wmglo@dent.med.uni-muenchen.de>)
- fixed crash during forced shutdown of X (Wolfram Gloger
					   <wmglo@dent.med.uni-muenchen.de>)


Changes since version 0.51.2:
.............................

- made the Attributes panel be available for all windows, even
  for completely broken apps (although settings wont be saved for
  completely broken apps)
- fixed compilation problems with compile time #defines
- workaround for crash during startup related to hiding miniaturized windows
  from Matt Armstrong <matt_armstrong@bigfoot.com>
- fixed focus problem with unfocusable windows
- fixed bug in WPrefs that changed EXIT to SHUTDOWN
- fixed menu title messup bug in WPrefs
- added a dot to mark hidden applications (compile time) (id@windowmaker.info)
- enhancements to the modelock patch (id@windowmaker.info)
- show kbd mode for modelock  (id@windowmaker.info)
- enhanced positioning of transient windows
- added dynamically loadable texture renderer code
  from Tobias Gloth <gloth@online.de>
- added DisableMiniwindows option
- kde: miniaturize animation will match the taskbar icon (KWM_WIN_ICON_GEOMETRY)
- miniwindows show the title of the window if there is none set for it
- fixed crash on kpanel restart
- remember window shortcuts after restart
- change edge resistance to account for panels and stuffs
- narrower menus
- fixed auto raise/lower behaviour of clip for docked applications that have
  their own window (applets).
- cleaned up Clip's autocollapsing code, and made it to be similar to the
  auto raise/lower code (much cleaner).
- fixed a race condition in Clip behavior when changing workspaces, if set to
  autocollapsing.


Changes since version 0.51.1:
.............................

- fixed bug with window that can get focus if both shaded and hidden.
- maximize for full screen
- fixed problem with frame drawing in non-opaque 
- fixed installation path prob [jmknoble@pobox.com]
- fixed bug moving window when only one window is on screen
- fixed bug with ignored GNUstep attributes
- fixed WPrefs crash in Mouse Preferences
- fixed crash bug in WINGs/wmaker startup
- added workaround for kde pager crash bug
- made %W in root menu and wmsetbg -w take numbers starting from 1
- fixed crash bugs with kpanel

Changes since version 0.51.0:
.............................

- put . to mark hidden apps
- fixed dont set xset stuff option in WPrefs
- fixed menu title messup in WPrefs
- fixed WPrefs message dialogs for invalid menus
- fixed workspace back setting in all screens
- fixed WorkspaceSpecificBack / wmsetbg
- added WindozeCycle patch (being rewritten)
- cleaned up focus/unfocus state transitions
- made WPrefs more robust
- fixed locale file (po) installation stuff
- fixed focus loss when dragging window across workspaces
- fixed workspace baby boom with nextworkspacekey
- removed ignore_next_unmap kluge
- install defaults data in /usr/local/etc
- added menu for miniwindow
- fixed remove resizebar from shaded window
- rewrote library/header search code in configure
- rewrote window move/edge resistance code
- added window border resistance
- changed EdgeResistance option to only YES/NO
- added workaround for glibc bug in sscanf("", bla, bla)
- hopefully fixed WM_COLORMAP_WINDOWS crash bug
- fixed searching of localized menus
- fixed --help option
- fixed handling of docked apps with . in their instance names
- RSupportedFileFormats() in wrlib will now return a static buffer
- fixed bug in StartHidden
- a little faster startup
- will rearrange icons after moving an icon if autoarrangeicons
- fixed icon overlap bug
- fixed crash with internal dialogs and multi-heads
- added standard colormap support to wrlib (taken from libXmu sources)
- fixed memory leak in attribute panel
- fixed crash with CalendarManager deiconify
- fixed heisencrash when mapping new windows
- fixed totally buggy wmaker.inst ~/.xinitrc checker

Changes since version 0.50.2:
.............................

- added some new icons made by Marco
- kde: fixed stacking order reporting for modules
- gnome: fixed state change request handling
- fixed handling of file names with non-alphanum characters in wmsetbg
- hopefully fixed timestamp problem that caused regeneration of configure
- fixed a bug in the auto raise code
- made SIGHUP exit wmaker and SIGUSR1 restart for GNOME compatibility
- fixed %a() bug (now it really is fixed!)
- fixed docking icons in last icon
- fixed WMInsertPopUpButtonItem()
- fixed bug that caused fonts of themes to be ignored
- fixed bug in path handling in getstyle
- stop icon explosion animation by clicking on root window
- made SAVE_SESSION save the state of the dock
- added command line option aliases that adhere to the GNU standards
- fixed png gamma bug (actually unmade buggy fix)
- fixed bug in property notify handling
- removed KeepTransientsOnTop
- fixed window focus when switching workspaces
- fixed attribute inspector Apply for dont bind keys
- fixed bad colormap bug (I hope)
- added acceleration to keyboard window move
- %W expand to current workspace #
- fixed background pixmap color problem (cpixmap etc)
- applied drop shadow patch
- fixed crash on startup with xconsole and xdm
- fixed portability prob with MkLinux/PPC
- fixed portability prob with Alpha
- added color panel to WINGs
- added support for olwm/OPEN LOOK(tm) hints
- added SaveYourself support
- fixed bug in start maximized
- added _WINDOWMAKER_NOTICEBOARD protocol
- added docklib
- updated utility parameter format to GNU standards
- removed libPropList from distribution and merged with GNOME one

Changes since version 0.50.1:
.............................

- fixed wmsetbg
- fixed parsing of WorkspaceSpecificBack
- fixed initial workspace for new windows
- added the workspace button proxy thingy for GNOME 
- added more GNOME compatibility fixes
- fixed bug in %a() macro in root menu

Changes since version 0.50.0:
.............................

- fixed bug that allowed docking of icons to outside the screen
- added extra code to handle kpager bug
- fixed crash when opening appicon menu
- fixed problem that caused Motif hints to be sometimes ignored
- fixed bug in layer treatment of GNOME hints
- fixed weirdness in initial window workspace
- fixed problem with Sun compilers
- fixed bug with () Workspace{Specific,}Back specs
- added --disable-rpath option (from KDE) by request
- maybe fixed bug with StarOffice
- fixed pipe fd inheritance mess
- fixed bug in kde workspace renaming
- fixed installation problems

Changes since version 0.20.3:
.............................

- window list is ordered by workspace
- preliminary grid move mode
- fixed prob with docked apps with the same name switching places (like wmmon
  and wmmon -s)
- wrapping of workspace switching for 5button mice
- added restart in fallback menu
- fixed buglet in modifier error reporting
- extra options in window command menu
- changed select() used in wevent.c to poll()
- fixed bug in SGI boxes (black dialogs)
- added IconTitleBack, IconTitleColor
- made error checking stricter
- fixed crash when saving application supplied icons that have many colors
- added move threshold to menus
- added textured gradient textures
- added -nofont flag for setstyle
- added -p flag and theme pack support for getstyle
- fixed crash bug when clicking on menu title opened with kbd
- fixed bug that caused incorrect saving of icon configuration (the -name bug)
- scale pixmap texture for workspaceback type will maintain aspect ratio
- fixed memory leak in jpeg loader
- started XStandardColormap support
- added StartMaximized window flag
- fixed bug of mixed up Unfocusable and StartMiniaturized flags
- yet another try to switch to shared libraries
- workspace specific background images
- stack new windows to under focused window if autofocus is off (disabled)
- added kde support
- implemented the "GNOME Window Manager Compliance" stuff
- window move/resize by keyboard
- rewrote window attribute code to make it cleaner
- added --enable-lite configure option
- added support to change prompt in %a() for root menu
- rewrote exit code
- added KeepInsideScreen=YES; for scilab in default WMWindowAttributes
- added an option to the Clip, to allow automatic Raise/Lower when the mouse
  cursor enter/leave the Clip.


Changes since version 0.20.2:
.............................

- hysteresis for menu item selection (delayed selection for selecting
  submenu items)
- window shortcuts
- removed Hide Others from window commands menu
- window commands menu will close when the window for it is closed
- made shade not set the Iconic state
- fixed bug in miniaturizing atribute panel
- made frame rectangles be more visible in PseudoColor (8bpp)
- fixed bug for 64bit machines
- added support for ICCCM 2.0  WM_COLORMAP_NOTIFY message
- fixed bug for apps that put strings with . in WM_CLASS
- added handling for reparented client windows
- fixed bug with window positioning
- fixed cascade window placement to account for dock
- added modelock stuff
- added X include path in gfx header when configure searches for headers
- fixed bug in window positioning by clients
- added run-time test for shared pixmap support on server
- changed order of link flags in Makefiles
- fixed problem with random window placement
- fixed multiple window selection for multiheads
- grayscale and 8bit jpeg support
- fixed client restoration in restart/exit in multiheads
- started session management code
- fixed problem with docked programs that have names with spaces
- updated WPrefs.app for iconificationstyle
- added -static command line option
- put redundant NoWindowOverDock
- fixed overlapping clip icon bug
- extended window level code
- added KeepOnBottom hint
- added iconification style to WPrefs.app
- fixed crash with bad value in defaults file
- changed icon stacking code
- added primitive support for 5 button mouse (for switching workspaces)
- fixed BadAccess and crash on programs that do XGrabButton
- fixed bug with rootmenu Exec not working when stty is called from ~/.tcshrc
- fixed bug with Move menu and sloppy focus
- temporarily removed SHELL support in apps menu

Changes since version 0.20.1:
.............................

- fixed timer bug
- removed NoWindowUnderDock
- error reporting mechanism has changed in wrlib. Instead of a writing
  the message in a string, it will place the error code in RErrorCode
- smoother icon selection
- persistent client supplied icon pixmaps
- fixed yet another crash on emacs exit bug
- fixed portability prob in wrlib shm code
- fixed bug in DISPLAY variable setting in multiheads
- fixed a few more portability problems related to storing struct properties
- fixed damaged balloons on Suns/8bpp (I guess)
- better "one of" type option handling
- added a timeout for some animations
- support for large binary files in wxcopy/wxpaste
- fixed bug of losing focus when resizing/moving windows
- fixed bug in libproplist
- fixed focus with sloppy
- changed permissions of shm segments to 0666. Now, if someone has a shm
  leak, we can know who it is.
- faster titlebar texture update
- faster icon kaboom
- added different undocking animation
- updated wmaker -version to output "Window Maker" instead of WindowMaker
- fixed crash bug with transient windows (gimp etc)
- fixed bug with popen()+wwarning() - problem opening cpp'ed menus
- added test for header files in configure for gfx libraries
- simplified building process, making libPropList be always built
- fixed crash with bad mgradient color entry
- docked appicons that are being edited/killed cant be moved (mutex fix)
- more features in wxcopy/wxpaste
- fixed bug with state file in multiheads
- selection retrieval moved to WINGs
- fixed workspacekey to switch workspaces in the current layer
- fixed workspacekey to not switch to inexisting workspace unless
  AdvanceToNewWorkspace is YES
- fixed bug with disappearing windows if a workspace switch is made on startup
- fixed blocking of window creation/destroy events when opening menu with kbd
- fixed aspect ratio setting bug
- fixed crashing when miniaturized window is closed during animation
- added XDE support
- fixed stupid bug in shape stuff
- raised threshold for removing docked icons
- fixed HideOthers for windows with NoAppIcon=YES
- if Cancel is pressed in dialog box of %a in menu cmd lines, the command
  will be canceled
- slightly better dithering for 8bpp
- apps menu will use $SHELL, instead of /bin/sh to run EXEC menu commands
- cleaned up some code (GetNormalHints(), wManageWindow(),
  wGetWindowSavedState() et al, )


Changes since version 0.20.0:
.............................

- fixed cpixmap to use the specified color for background around the image.
- fixed compiling problem in wrlib.
- fixed bug with bad shortcut names in menus.
- fixed some compiling compatibilities.
- added a new theme, named BlueWaves.


Changes since version 0.19.3:
.............................

- fixed crash when closing windows in autoraise
- fixed a memory leak 
- fixed a crash when closing Lotus Notes
- rewrote colormap code
- incomplete multihead support
- optimized wrlib dithering code
- new superfluous animation
- fixed cpixmap bug
- fixed sound bugs
- fixed miniaturization bug
- added script to be called when wmaker exits
- fixed GNUSTEP_WM_ATTR writing/reading
- added quick and dirty selection pasting in text fields
- fixed animation to be displayed again when unhiding an application.
- made the miniaturize animation a runtime option. See NEWS.
- fixed bug with reassigning keyboard shortcuts after they are changed.
- added edge resistance. See NEWS.
- fixed bug with long names when renaming workspaces.
- fixed clip's balloon to not overlap the clip's buttons.
- fixed bad update of clip's workspace menu after workspace name change.
- fixed bug with cpixmap in wmsetbg.
- fixed a memory allocation problem in wrlib.
- AIX bug compatibility in XmbTextEntents()
- fixed jpeg loading bug

Changes since version 0.19.2:
.............................

- fixed visual problem when mapping internal panels
- better looking bevels for solid textures
- centered pixmap texture (cpixmap)
- added compile-time selectable animations for miniaturization
- fixed bug with moveto workspace, omnipresent and miniaturize
- fixed doubleclick bug
- added GIF file support (through libgif)
- implemented close color allocation in WINGs
- fixed bug with visuals different than default
- finished balloons

Changes since version 0.19.1:
.............................

- clip balloon under the clip
- fixed setting of DISPLAY env var from wmaker.
- fixed bug of passing focus to shaded window in other workspace
- changed ballon font from titlebar font to displayfont
- update menu when menu file path is changed in WMRootMenu
- fixed OPEN_MENU stuff in WPrefs
- fixed bug with mdgradient
- fixed maximize with NoWindowOverIcons
- fixed bug with kbd focus change
- fixed race in autoraise
- fixed bug in menu section of WPrefs
- fixed problem with modifier keys


Changes since version 0.19.0:
.............................

- fixed bug in balloon titles
- fixed stupid bug in workspace renaming from menu
- fixed bug with iconsize != 64
- fixed forgotten menu saving in WPrefs
- fixed various bugs in WPrefs
- fixed kbd menu traversal bug
- fixed bug with multiple depth supporting servers
- fixed disappearing outer border of shaped windows
- kluged bug with shaped window resize
- fixed bug in WPrefs for systems without TIFF
- fixed bug with Info/Legal panel closure
- fixed Clip's look.

Changes since version 0.18.1:
.............................

- added shade indicator for window list
- fixed small problem in menu autoscrolling
- fixed bug when reading a corrupted defaults file
- visual depths different than the default works now
- fixed problem with non-ascii characters in localized dialogs
- workspace rename from clip menu
- fixed memory leak in internal proplist parser
- fixed infinite loop when parsing mgradient with bad color name
- fixed bug with paths containing ~ in iconchooser
- cleaned up double-click code
- balloon help
- fixed bug with launching of ForcedDock apps
- fixed cosmetic bug with miniwindows and titlebar
- fixed bug with applications that steal input focus
- EmulateAppIcon window attribute
- Revert in attribs panel will not apply the changes
- fixed bug with focus being left in old workspace after switching to an empty
workspace.
- finished clip remakeup
- more generic and faster icon placement algorithm
- icon yard
- fixed wxcopy bugs


Changes since version 0.18.0:
.............................

- fixed cosmetic bug in beveling of pixmap/gradient textures
- fixed bug in titlebar mouse bindings
- fixed some bugs in proplist menu
- fixed bug in window list menu indicator
- fixed a very old bug related to unwanted button grabs in non-click-to-focus
- fixed bug when opening settings panel for appicon with invalid icon file
- winspector appicon related bug fix

Changes since version 0.17.5:
.............................

- fixed handling of signals when the X event queue is empty
- fixed blank window titles 
- made current workspace entry be disabled in Move To window menu command, and
  in the Clip's Move To submenu.
- fixed menu width calculation
- fixed bug with buttonpress/release events
- fixed problem with WMRootMenu with a ~ in the path
- fixed bug caused that caused the clip to not function properly,
  unless a workspace switch was made
- added a hack to make everything work even if NumLock or ScrollLock is on
- added a little more verbosity to error messages
- fixed kluged workspace menu in clip
- removed workspace menu mapped through the microbutton in the clip. 
- remade clip button layout to be more usable
- fixed bug with keepontop and apps with Motif hints (x11amp)
- changed menu border drawing
- fixed bug in clip free slot finder code
- fixed infinite reproduction of OPEN_MENU submenus bug
- added support for future extension to dock totally broken apps (wharf-like
  dumb launching)
- changed icon of close button when app doesn't understand WM_DELETE_WINDOW
- removed SwapMenuButton and added 3 finer grained equivalent options
- better docked application settings panel
- fixed positioning problem with attributes panel
- removed WorkspaceChangeDelay and cleaned up related stuff
- removed AClipColor and IClipColor
- added SelectKey back
- removed install -d from po/Makefile
- i18n support in WINGs (dialog panels)
- rewrote menu scrolling code (possibly fixed related crashing bug)
- fixed crash with icons bigger than the tile
- fixed bug in attributes editor to apply changes to dont bind {keys, mouse}
- fixed bug in unhide that unhided all windows in the same workspace
- moved noappicon to Application Specific options.
- fixed revert for StartHidden
- changed style in default WindowMaker domain file
- fixed bug in hash table
- fixed bug with transients for leaders that don't have their leader hint
  set to themselves
- changed all window_flags to have default values of 0 (closable -> no_closable)
- fixed bug with workspace change of hidden miniwindows
- added descriptive icons in window list
- fixed bug of having to keep mouse over window to edit textfields
  of wmaker panels
- extended menu shortcuts to proplist menus
- changed proplist menu format: removed redundant array for submenus
- made arrangement of icons when workspace is switched to not arrange moved
  icons
- fixed bug in focusfollowmouse that made windows under the currently
  focused window that close, to not get the focus
- if the app is a .app, it will try to find it's icon in the .app
  directory and save it in the WMWindowAttributes, so that the dock can use it.
- drag docklets that select for mouse events to with Alt+drag

Changes since version 0.17.4:
.............................

- fixed bug titlebar when closing transient of unfocusable window
- fixed crashing bug with attributes editor when saving

Changes since version 0.17.3:
.............................

- added Info panel
- fixed crashing bug in libproplist
- do not crash anymore if config files are bad
- better handling of libjpeg errors
- changed method to select icons
- fixed bug in dock panel
- fixed bug in Remove Icon in clip
- fixed serious memory leak in wrlib
- fixed bug that allowed addition of more than 1 WORKSPACE_MENU
- rewrote proplist parser by hand. Seems to work with no crashes, but I'm
  sure someone will crash it...
- fixed invisible text in geometry display when unfocused titlebar is black
- fixed bug with rootmenu that caused twin menus to be left mapped
- added DontConfirmKill option to remove confirmation panel for Kill
- fixed bug with hide of app with wmaker menu
- changed all NSsomething internal flags for the GNUstep attributes to 
  WMsomething

Changes since version 0.17.2:
.............................

- fixed bug in attributes panel with Disable Resizebar
- fixed save in attribs panel with windows other than the client leader
- bug in  attribs panel with Revert that made it save attributes with the 
  wrong name
- fixed (by kluging) bugs related to destroying dialog panels in a bad order
- fixed various bug with hide in empty screens
- fixed various potential races in miniaturize/shade code
- added Keep Icon command in clip
- made remove selected icons to remove current icon
- changed clientdata of clip to the clicked icon instead of the clip.
- renamed collect icons, made clip icons have a more uniform behaviour, added
  keep icon command.
- fixed docking of apps that dont have WM_COMMAND and when the user clicks
  Cancel in the command input dialog.
- fixed bugs in moving commandless icons between dock/clip or workspaces
- fixed bug hiding miniaturized windows
- fixed bug when reloading rootmenu with more than one shortcut
- fixed bug that launched shortcut entries without modifier together with
  modified shortcuts
- even algorithm to find free slot in clip

Changes since version 0.17.1:
.............................

- Makefile.am fixes
- removed libtoolized libPropList
- fixed cascade placement

Changes since version 0.17.0:
.............................

- updated Makefile of the po directory
- removed useless strdup() in proplist.l
- fixed problem with systems that dont have PATH_MAX in <limits.h>

Changes since version 0.16.1:
.............................

- removed the Select key binding.
- changed Normal speed type to Medium and added UltraFast.
- Shift-dbl-click on appicon brings the app to current workspace.
- replaced menu based configuration of docked apps with a panel.
- added Unhide Here command for appicon menus
- partially corrected bug in icon selection code in window inspector. Was not
  working correctly for multiwindow apps with appicon.
- added command menu for appicons
- removed global variables from winmenu.c
- fixed some memory leaks and removed redundant code in icon choosing code
- made Kill in dock menu to unconditionally XKillClient() the app. Sending
  WM_DELETE_WINDOW would not close the app if the app had multiple windows
- added confirmation dialogs for Kill in appicon menus
- made ClipMaxIcons to be compile time settable
- renamed NoSound to DisableSound
- changed NoAutowrap to DontLinkWorkspaces
- fixed bug that prevented windows moved to other workspaces break Unhide
- fixed bug that made titlebar buttons disappear when font sizes were changed
  in NewStyle
- changed Hide command binding in miniaturize button from Alt-Click to
  Control-Click
- changed decoration window attributes to affect only decorations and their
  names
- fixed MWM_HINTS support, removed MWMHints from WWindow
- removed Right button constrain window resize to horizontal only. It breaks
  Alt-Right button resizes through the client area of window.
- fixed menu flicker problem when changing textures
- fixed bug miniaturizing shaded transient windows
- added shortcuts for menus
- remade titlebar bevel drawing
- fixed all known cosmetic bugs in titlebars and menu
- better algorithm to find free slot in clip
- user attributes have priority over program attributes
- removed LeftHanded and wLeftBtn/wRightBtn stuff
- added DisableWSMouseActions
- added SwapMenuButton
- renamed all NoSomething option names to DisableSomething, except NoWindow*
- removed ConstrainWindowSize
- fixed focus bug when changing workspaces in sloppy focus
- Changed the look of temporary attracted icons in Clip.
- Better detecting of graphic libraries.
- Made the menu scrolling with mouse button pressed to be smooth and clean.
- fixed a bug that left empty frames if a window was withdrawn on a different
  workspace
- removed iconification animations for windows not in the current workspace
- readded shm support in wrlib
- merged libwwm.a with WINGs
- major cleanup of library function names.
- detect "lapses of memory" that cause forgetting to build libPropList and
  build it automatically.


Changes since version 0.16.0:
.............................

- Fixed bug with applications set to start hidden.
- Fixed buggy getSpeed() that caused crash on some systems.
- Miscellaneous bug fixes.
- The resizebar cornewr handle is correctly rescaled when resizing.
- OPEN_MENU will read again menus from files.
- Right drag in corner handle of resizebar restrict resize to only horizontal.
- Corrected typo with default fonts used in WINGs.
- Implemented superfluous stuff as a runtime option. Is Superfluous = Yes/No;
- Disabling dock and/or clip can be done now from WindowMaker domain too.
- Selecting new style buttons is now done at run time. See NEWS.
- Fixed docked appicons to switch to last workspace the app was on when
  unhiding (like not docked appicons do).
- Moved wNextEvent() and timer events stuff to WINGs.
- Added autoscroll for scrollers in WINGs.
- Optimized WMList and WMBrowser in WINGs.
- Button2 on clip opens workspace menu
- Changed cycling colors of selected icons. 
- Made icon chooser display a better rendering of alpha-channeled icons.
- Sorted list/browser entries.
- Fixed bug in timer code that was causing some timer events to be lost.
- New Pastel theme.
- Attracted icons in Clip will have a shadowed look if they are to be removed
  when closed.

Changes since version 0.15.1:
.............................

- Modified how the wNextEvent() works, so it will go to sleep when there is
  nothing to do. This changed the busy 5ms checking WindowMaker main loop,
  with one that is active only when there are X events or timer events.
- Changed WorkspaceTiedMiniWindows option name to StickyIcons.
- Fixed some bugs with the miniwindows being sticky to workspace.
- WorkspaceBack now accepts the key None. WorkspaceBack = (None); will not set
  any workspace back.
- Changed the fix for restoring window stacking order after restart and
  fixed window stacking order on exit.
- OPEN_MENU command now expands paths with environment variables ($HOME) and
  tildes (~user)
- automatic restart of another window manager on SIGSEGV, SIGFPE, SIGBUS
- removed HorizontalResizeThreshold option. To restrict resize to only
  horizontal use Shift-drag in the corner handle.
- Added option to allow vertical maximizing not to overlap the minimized
  windows. It is NoWindowOverIcons = Yes/No;
- Applications written with XForms library will get an app-icon now.
- Included the MWM hints for GNOME support. There is also a configure option
  --with-gnome=yes/no.
- The dialog to enter the docked icon command is no longer called, if icons
  are collected/attracted and the "Keep Attracted Icons" is not set.
- fixed start workspace in Attributes inspector. Current Workspace is the
  workspace the user is when the app is started.
- clicking on the appicon switches to the workspace where the app was last
  focused before unhiding
- fixed problem with aspect ratio setting (gr_osview etc.)
- changed some extensions in the default config/data files and removed 
  Sound.{xpm,tif} because it seem to be copyrighted.
- added icon selection panel
- changed selection indication of icons. Removed SClipColor option
- simplified animation speed options (IconSlideDelay, IconDelayStep, 
  MenuScrollDelay, MenuScrollStep etc. etc) to IconSlideSpeed etc.
- removed Start miniaturized/hidden items from Dock/Clip and added them
  as attributes
- fixed Save in Attributes Panel. It should apply the changes before saving
- changed format of geometry information in WMState
- added DontSaveSession window attribute
- changed name of NextMenuBehaviour option to WrapMenus
- turned graphics_exposures off for all GCs created
- Fixed the big memory leak problem for oldstyle buttons in title bars.
- Solved problem with undefined ($RM) on Solaris, and maybe *BSD.
- Fixed how icon extension is set in WMWindowAttributes to be portable.
- Fixed buggy behavior when dragging a window from first workspace to next.
- Implemented selecting of miniwindows.
- Split the Clip menu to be smaller.
- Modified how selected app-icons/miniwindows are marked.
- Included patch for single appicon per instance.class pair.
- StartWorkspace was changed to take precedence over the workspace in which
  application was started from Clip.
- Applications launched from dock will no longer start on the workspace they
  were launched, but the one the user is in, when the window is mapping.
- Miscellaneous bug fixes.



Changes since version 0.15.0:
.............................

- Fixed bug that kept an appicon selected after detaching.
- Fixed bug that crashed WindowMaker if starting an application with.
  NoAppIcon = Yes; while AutoArrangeIcons = True;
- Fixed the installed .xinitrc file.
- Fixed some ANSI C incompatibilities.
- Applications with omnipresent flag set will be mapped on the current
  workspace, no matter from which Workspace Dock they were started from.
- mkmenu no longer gets installed, since is no longer needed.
- Fixed a problem for systems which do bad things for free(NULL);
- Attracted icons in Clip will not be saved in WMState if
  "Keep Attracted Icons" is not set.
- Fixed code in defaults.c to use default hard coded values, if a syntax error
  is encountered when parsing the default domain WindowMaker database.
  This avoids a crashing bug if an image for spixmap or tpixmap is not found.
- Fixed some missing parameter in a call to wWarning() in texture.c which could
  have caused hazardous (even crash) behavior if the pixmap image for texture
  was not found.
- Fixed code in session handling, to save only one entry for applications with
  multiple windows opened on screen.
- Implemented option to allow miniwindows to be workspace specific. It is named
  WorkspaceTiedMiniWindows = Yes/No; It is set in WindowMaker domain. Read NEWS
- Fixed bug with incorrect height restoral of window when unshading requested
  from client.
- Fixed problem with solid IconBack.
- Fixed problem with hardcoded /usr/local. The value given to configure with
  --prefix=/some/path is now used.
- Implemented some workaround to avoid crashing of applications that expect
  WM_STATE hint set before the window is mapped.
- Changed how the bevel for the menu title is drawn for solid color titlebars.
  They now look nicer, and more consistent with the rest.
- Implemented a new animation method when blowing the detached icons. See NEWS.
- Fixed some places in code where hardcoded values (8) were used instead of
  TITLEBAR_EXTRA_HEIGHT.
- Implemented a marking for the HorizontalResizeThreshold option. It will mark
  the corresponding number of pixels on the resizebar corner if the option
  is greater than 0.
- Changed WindowPlaceOrigin format from string to array. It should now be:
  WindowPlaceOrigin = (64, 64); Default is (0, 0).
- The geometry window is now constrained to be always visible on screen, if
  the geometry is set to be displayed Floating.
- The geometry window size is decided based on the font size. Also the geometry
  window is correctly updated if the font size is changed while running.
- Deleted unnecessary redrawing code in moveres.c.
- Many fixes to moveres.c.
- Put all the keys from defaults.c in WindowMaker domain database. 
- Fixed a crashing bug when workspace names were as long (or longer) as
  MAX_WORKSPACENAME_WIDTH (16 characters). In this case a right click on a
  window title caused WindowMaker to crash.
- Included support for detecting if system requires to include libxpg4, which
  is needed by some FreeBSD systems, when using --enable-kanji.
- Some fixes to configure.in and some Makefile.am files to allow the use of
  VPATH feature of 'make', which will let the source and build directories to
  be separate.
- Changed the application launching code, so it put fork()-ed processes in
  process groups of their own, to avoid locking of entire session, due to a
  badly configure launching child. Only for systems which have setpgrp().
  This is autodetected by configure, and used if available, else it will revert
  to old behavior.
- Added the AutoCollapse feature to clip. This (when set) will allow the clip
  to stay collapsed, and show when moving the mouse over it. When the mouse
  leaves it, it will collapse back after a delay. Read NEWS.



Changes since version 0.14.1:
.............................

- Fixed icon tiles and icon titles to update correctly after changes in the
  configuration, without restarting.
- Added code to deal with different visuals in wrlib. See NEWS.
- Many things fixed in wrlib.
- Fixed bug that crashed WindowMaker when the background image was no found.
- Fixed crashing bug in wRemoveTimerInstance().
- Changed name of fiend to Clip. It can also be refered like "Workspace dock".
  This means all references should be changed in all configuration files, and
  the command line options.
- Fixed crashing bug when moving icon between dock and full Clip.
- Fixed bug in wrlib (RCreateImage), that could crash WindowMaker if trying
  to create an image with not enough virtual memory.
- Changed code for diagonal rendering in wrlib, to be faster.
- Implemented multi-diagonal gradients.
- Fixed problem when shading a window without titlebar.
- Fixed code in rootmenu.c to substitute ~/ with user's homedir in OPEN_MENU.
- Implemented sorting feature for OPEN_MENU. Now files in directories are
  sorted alphabetically, with directories first.
- Some small fixes to the code in generic/list.c
- Fixed jpeg and png loading in wrlib to be faster.
- Renamed Style directory to Styles.
- Striped the .style extension from the style file names. This is to let them
  better be handled by OPEN_MENU.
- Changed Appereance submenu to include Theme support.
- Fixed bug when updating clip's main icon.
- Improved version of wmsetbg. See NEWS for new options.
- Small gradient testing program in wrlib/testgrad.c
- Fixed problem with zombie wmsetbg.
- Integrated dockit in WindowMaker. dockit now gets installed with WindowMaker.
- Implemented runtime option to allow user to select the origin from where
  windows are placed on screen with auto and cascade placement modes.
  Default is WindowPlaceOrigin = "0, 0"; See NEWS.
- New behavior of OPEN_MENU. See NEWS.
- Fixed applications autolaunched from Clip, to be mapped on the same workspace
  as the Clip they were autolaunched from.
- A default WMState is now installed with WindowMaker, containing only the top
  most dock icon configured to run dockit.
- Install will automatically detect if you have TIFF, PNG or XPM support
  compiled in WindowMaker (in this order), and update WMWindowAttributes
  accordingly with icon file extensions.
- Directory structure under .../GNUstep/Library/WindowMaker changed to easily
  support themes.
- Syntax of WMState was slightly modified. See NEWS.
- Fixed WindowMaker when using -nodock and/or -noclip command line options
  to preserve the state of old dock and/or clip in WMState.
- Fixed some mem leaks.
- Fixed crashing bug in window.c.
- Fixed bug that allowed a shaded window on other workspace to get focus.
- New options in dock/clip menu. They allow one to start the app either
  miniaturized or hidden. See NEWS.
- Applications launched from dock/clip now will be mapped on the workspace
  they were started from, even if meanwhile user change workspaces.
- Implemented SAVE_SESSION, and CLEAR_SESSION commands for the root menu.
  They are intended to save (or clear) a shapshot a the current session state.
  Read NEWS for details.
- Added SaveSessionOnExit = Yes/No; option in WindowMaker, to allow autosaving
  the state of the workspace on exit, and its restoral on next session.
  Defaults to No. See also NEWS.
- Converted menu scrolling parameters to run time. They are (with default):
  MenuScrollDelay = 10; and MenuScrollStep = 5;
- getstyle now accepts -t to get theme options too. Without -t getstyle will
  only get options for style (without WorkspaceBack and IconBack).
- Added option in clip menu to allow moving of an icon to another workspace.
- Fixed clip to remember the drop command over sessions.
- Added option to clip menu to attract application icons from bottom of screen
  when they are launched, and attach them to the clip. Also there is a flag to
  allow the attracted icons to be kept in clip or destroyed when the
  application is closed. See NEWS.
- Added option to dock/clip menu to allow one to set the icon image.
- Fixed bug that not updated the default icon pixmap after the icon background
  changed.
- Added posibility to (un)select icons in clip with Shift Left click, or
  using the clip menu. Read NEWS.
- New option for color to mark selected icons. SClipColor = color;
- Added option to clip to remove selected icons. Read NEWS.
- Move between clips now applies to all selected icons, or if none selected,
  to the one the mouse was pressed on. See NEWS.
- Fixed OPEN_MENU to accept names with spaces in them when used for opening
  directories. "foo bar" files or subdirectories are now correctly proccessed.
- Fixed crashing bug when hiding/showing all windows with inspector panel open.
- Fixed bug that raised unfocusable windows, (if RaiseDelay>0 and Sloppy or
  Auto focus mode was used) when the mouse pointer got over them. Unfocusable
  windows can still be raised, if selected from the window switch menu, or
  with click on title-bar. Meta click on titlebar will lower them.
- Fixes in moveres.c to allow a smoother draw of frames while moving and
  resizing windows.
- Fixed a problem when resizing with Meta+RightClick.
- Fixed a bug that freezed WindowMaker when dragging a window from one
  workspace to other, with OpaqueMove = No;
- WindowMaker now uses the values set for MoveToNewWorkspace and
  CycleWorkspaces when dragging windows from one workspace to other, making
  this more consistent with the behaviour of Clip and Next/PrevWorkspaceKeys.
- Fixed problem with the geometry window not showing up, showing in the
  wrong place or with the wrong numbers in some cases.
- Put all transparent drawing code into a single function, to ensure
  consistency.
- Fixed really ugly crashing bug, when editing workspace names with
  Control-LeftClick on the workspace menu name, for workspaces above 10.
- WindowMaker now reads domains from /usr/local/share/WindowMaker/Defaults
  and merge them with the user domain files. This way new options, or global
  settings are available for old users, without reinstalling these files for
  every user. See NEWS for details.
- Basic icons needed to run WindowMaker are now part of the main package.
  They are icons for dock, clip, defaultAppIcon, sound server and for xterm.
  All the rest needed for apps that can be started from menu, and have entries
  in WMWindowAttributes, are in WindowMaker-data.tar.gz which can be found on
  http://windowmaker.info/ or ftp://ftp.windowmaker.info/pub/contrib/icons
- Changed the SlideWindow() function to better adapt to slow machines. Also
  the animation constants are now run time. They are IconSlideDelay = 0;
  IconSlideStep = 5; and IconSlideSlowDown = 50; See NEWS for a more in depth
  description of how it works, and what all these options mean.
- Changed behavior of AutoArrangeIcons to avoid unnecessarily shuffling of
  icons.
- Changing icons in WMWindowAttributes domain, now automatically reflect on
  screen, without the need of restarting WindowMaker.
- Added sound support in WindowMaker. Sound can now be enabled at compile
  time using --enable-sound option to configure. Also there is a runtime
  option named NoSound = Yes/No; See NEWS for details, as sound support is not
  yet fully functional.
- Some animation constants are now runtime configurable. Please read NEWS file
  for a complete list of all the new entries in WindowMaker domain database.
- Added option to clip menu to collect all icons on the screen that are not
  already docked.





Changes since version 0.14.0:
.............................

- Fixed stacking problem with main fiend icon.
- Fixed bug that made fiend's rewind button to not work on IRIX and PPC.
- Removed "Default" button in panel 4 of the attribute editor and replaced
  with "Browse", to avoid confusion about it. But please note that Browse
  does not work yet.
- Solved a bug in attribute editor that incorrectly create the appicon for
  an application. This could made WindowMaker to crash in certain conditions.
- Fixed bug that gived focus to shaded&hidden windows.
- Added keys to Raise/Lower the fiend. Read NEWS.
- Added posibility to move app-icons between dock and fiend.
- Fixed bug in winmenu.c, that caused incorrect menu item disabling in window
  menu, making the attribute editor inaccessible in certain cases.
- Fiend enhancements. Read NEWS.
- Added options for advancing to new workspace, and cycling through existing
  workspaces. Read NEWS.
- Made the delay between changing workspaces with the fiend a runtime option.
- Fixed bug that caused crash in certain condition when using Sloppy focus.
- Fixed getstyle to include new options in WindowMaker configuration file.
- Changed the default color for active fiend buttons and updated it in
  WindowMaker configuration file. You should update this, since the old active
  color was too close to the inactive color.
- Made the fiend middle button have Active/Inactive color, corresponding
  to its normal/collapsed state.
- Fixed a small mem-leak when destroying a workspace.
- Fixed a bug in superfluous.c related to swapping dock position.
- Fixed resize frame to show the window size numbers. Also fixed the numbers
  shown in that frame to reflect the real window size. Nicer arrows too.
- Added posibility to send only a synthetic ConfigureNotify event, at the end
  of window moving, instead of every movement, to increase performance.
- Fixed a bug in docking code, to allow strings with spaces in command name be
  properly quoted.
- Changed the included asclock.tgz to better adapt to 8 bit displays.
- Fixed window title updating after changes made with the attribute editor,
  when not using NEWSTYLE.
- Made spixmap and tpixmap to work. See NEWS.
- Theme support now available. See NEWS.
- Fixed bug when loading missing domains that caused WindowMaker to crash.
- Fixed typo in domain loading to count for global files if user files are
  not available.
- Fixed bug in Attribute Editor, that crashed WindowMaker when restarting
  or exiting, while an Attribute Editor panel is open.
- Put clip.tif, clip.png, clip.xpm, clip2.tif, clip2.xpm, Cone.xpm and
  Penguin.xpm in WindowMaker-data_tar.gz. These are icons intended for fiend.
  It can be found on ftp://ftp.windowmaker.info/pub/wmaker/contrib/icons



Changes since version 0.13.1:
.............................

- put back libPropList tarball in archive. This will not count for people
  with already installed libPropList, since configure will first look for
  the installed version. Read the INSTALL file for details.
- made a clean-up to let WindowMaker compile with DOCK undefined.
- working fiend clone. Read the NEWS file for details.
- fixed bug that caused crash when using FocusNext or FocusPrevious keys
  with no opened window.
- some small bug fixes.
- Added handler for SIGHUP. <kill -1 wmaker_pid> will cause wmaker to restart.

Changes since version 0.13.0:
.............................

- Enhanced Attribute Editor. It will allow you to set options that apply
  to all windows. Also some new features. Read NEWS file.
- Fixed bug in Attribute Editor that caused crash when icon was not found.
- Fixed bug that crashed WindowMaker when some transient windows closed
  and the Attribute Editor remained open.
- Fixed sloppy focus to correctly transfer the focus to the root window
  when there is no window open, or no window under the pointer.
- Fixed sloppy focus to correctly focus the window under pointer after a
  restart or workspace change.
- Fixed shift dbl-click on titlebar to not select the window.
- libPropList is no more part of distribution. You need to have it installed
  or else you need to download it and compile. See INSTALL file.
- Added Manome Tomonori's patch to fix kanji supprot. This added a new
  option to configure: --with-x-locale. See INSTALL and FAQ for more info.
- Fix for clean compile under Irix.
- Fixed autoarrange icons to do autoarrange after the dbl-click on app-icon.
  This way the appicon will not slip to the bottom left corner at the first
  touch, but let you first unhide the window.
- Fixed icon box position when dock on the left side. Now dock will not cover
  the app-icons.
- Fixed typo in application.c that inverted instance and class, thus making
  instance.class options saved in WMWindowAttributes unavailable.
- Added option SelectKey in WindowMaker config file, that lets one bind a
  key to select/unselect the focused window. Also the same option added
  to the window menu. SelectKey = "some_key_bind";
- Changed stream->_fileno to fileno(stream) in isEof() in misc.c for
  portability.
- Fixed window to not place themselves under dock if dock on the left side
  and auto/cascade mode is used.
- Fixed auto/cascade window placement to not place a new window over a
  shadowed window.
- Fixed bug in wdefaults.c that do not correctly initialized all bits
  in WWindowAttributes structure to 1.

Changes since version 0.12.3:
.............................

- Attribute editor is working.
- Now menus positions are remembered between sesions if they are sticky
  when WindowMaker exits/restarts.
- Fixed menu behaviour when using lousy Windoze behaviour, not to select
  the item under mouse pointer if the launching click is shorter than
  the default double-click time.
- fixed window menu (Move to), to correctly update after a workspace delete.
- fixed stacking order after restart.
- fixed FocusPrevious/Next keybindings to skip windows with skip_window_list
  enabled.
- added horizontal restricted resizing, if modifier key (Shift) is used to
  drag the corner handle of resizebar.
- minor fixes in WINGs related to the return of some function and string
  update for NULL strings. Also a new function for getting the state of a
  button.
- fixed some bugs that crashed WindowMaker because of NULL pointers.
- fixed a crasing bug in the window stacking code.
- fixed Hide item in window menu to be disabled for windows that do not have
  an application icon, or have set "NoAppIcon = YES".
- fixed problems with hiding applications without application icon.
- put back the patches that lost between 0.12.0 and 0.12.3
- changed autoarrange icons from a compile-time to a runtime option.
  Use AutoArrangeIcons = YES/NO; in 'WindowMaker' options file. Default is NO.
- added compile time option for shading the resizebar. Default is no shade,
  which is default Openstep/NextStep4.0 look.
- added pipe menus. '"Name" OPEN_MENU | script_that_constructs_menu'
  See the NEWS file.
- added configurable horizontal resize threshold.

Changes since version 0.12.2:
.............................

- fixed typos and a bug that could cause a crash on machines where
  sizeof(int) was different from sizeof(pointer).
- this is mainly intended for clarifying the confusion about patches that
  was done in the last releases.

Changes since version 0.12.1:
.............................

- fixed stupid, stupid typographical error that caused menus to segfault when
  NexMenuBehaviour / ScrollableMenus were set to YES (which is/was default)
- changed configure so you can specify the location of graphics libraries and
  their header files (useful for building on different architectures)
- fixed window focus problem

Changes since version 0.12.0:
.............................

- now maintained by Matthew Hawkins <matt@mail.goldweb.com.au> while our 
  esteemed friend Alfredo is away.  Have a great holiday in Japan, mate!
- fixed __DuMmY install problems
- made NextMenuBehaviour and ScrollableMenus run-time configuration options
  instead of compile-time options

Changes since version 0.11.1:
.............................

- added Launch command in dock menu
- fixed manual window placement
- fixed problem during installation in po/ directory
- changed Command format for dock state 
- added OffiX DND support for the dock
- added Move To submenu in window commands menu
- right click on root window does not deselect windows (to allow workspace
 	switch through menu)
- various 8bpp Colormap related glitches fixed
- fixed keyboard bindings when all windows are closed
- OPEN_MENU in unreadable directory fix
- changed PixmapPath format from : separated paths to array of paths
- multi color horizontal and vertical gradient
- fixed crash in unhide application with transient windows
- OPEN_MENU with optional command

Changes since version 0.11.0:
.............................

- fixed bug with menus that caused wmaker to crash 
- brought program parameter dialog box back
- fixed autoplacement
- changed window matching precedence for WMWindowAttributes (complete, just
instance, just class, global)
- event compression while moving windows for slow videos and ultra-high
mouse sampling rates
- fixed private colormap change in 8bpp
- fixed titlebar redraw on unshade
- renamed atom _GNUSTEP_WM_MINIATURIZE_WINDOW to  _WINDOWMAKER_WM_MINIATURIZE_WINDOW
- fixed a bug with focusing windows in AutoFocus=NO;

Changes since version 0.10.2:
.............................

- fixed autoraise
- fixed menu weirdness
- many features brought back
- fixed maximize bug
- added a widget set and new dialog panels
- fixed titlebar update after font change
- renamed back _WINDOWMAKER_COMMAND to _WINDOWMAKER_WM_FUNCTION 
- fixed bug with miniaturization of bad behaved apps (vtcl)

Changes since version 0.10.1:
.............................

- fixed bug with "invisible" menus
- added AutoFocus option
- support for pixmap files for dock tile
- fixed focusmode
- tile pixmap for icons

Changes since version 0.10.0:
.............................

- fixed bug with input focus in sloppy focus mode
- implemented pixmap mask creation in wrlib
- root window pixmap option
- added ppm support in wrlib
- fixed portability stuff in libPropList
- merged wmsound and bug fix patches
- fixed dock icon border width
- readded focusable option
- autostart apps on startup
- added jpeg support in wrlib
- fixed bug with menus that did not end with a newline
- RaiseLower now acts on the window under the pointer, as in olwm
- fixed docked icon move
- option for left handed ppl (swap left button with right button)
- generalized titlebar and window frame stuff for windows and menus
- changed event handling
- single piece titlebar gradients
- option and escape expansion for dock commands
- save workspace state
- initial workspace window option
- corrected order of window names for dock state file (was class.instance,
	is instance.class now)

Changes since version 0.9.0:
............................

- option to make maximize and window placement account for the Dock
- fixed modifier binding
- new menu configuration: OPEN_MENU. Get menu data from file, directory or
pipe
- removed rename_ws menu command
- fixed IgnoreFocusClick
- more apps can be docked (ghostview et. al)
- fixed diagonal/horizontal resize detection to be like in NS
- simplified titlebar button code: removed possibility to add more buttons
- fixed window gravity handling (xclock -geometry 100x100-0-0) 
- removed shadeable window attribute, added DontMoveOff
- window resize with Meta-Click3 on window
- fixed bug that caused keyboard locks if a invalid key was used in a shortcut

Changes since version 0.6.3:
............................

- moved to automake
- changed preference directory from gnustep to GNUstep
- added tiff support
- changed preferences to be dynamically modifiable
- several memory leaks fixed
- changed meta-dblclick in dock button to start app to control-dblclick
- fixed bug with unhide app and window list menu
- miniaturized windows are now hidden when hiding an app
- fixed bug in random window placement
- renamed _GNUSTEP_WM_FUNCTION to _WINDOWMAKER_COMMAND
- close stdin from forked processes, so that they don't block wmaker
- fixed crash when closing a selected window
- fixed timer event stuff to be more robust
- rewrote dialog boxes with Athena
- removed focusable window option
- savews now puts -geometry as the first argument of the command line
- new superfluous stuff: better ghost image/shadow for dock
- changed handling of menus that fall outside of screen to be like in NS
- icon caching
- resize with button2 don't raise window
- option to change menu highlight color
- lower miniwindow when miniaturize
- option for setting icon size
- keyboard traversal of menus
- all dock state information saved across sessions
- must hold Alt to undock running app
- added focused window indicator in window list
- CirculateRaise option
- ModifierKey option
- fixed duplicated menu bug

Changes since version 0.6.2:
............................

- fixed problem with window command menu (click3 on titlebar)
- fixed appmenus that were not unmapped when focus switched from the app
- fixed bug with exit dialog when NEWSTYLE is defined
- miniaturized menus are not mapped when activating an app

Changes since version 0.6.1:
............................

- dynamic update of WM_COMMAND hint
- fixed crash bug with dock and application icons
- fixed bug with application defined menus
- selecting a window through the window list, brings windows that fall
outside the visible area back
- fixed bug with multiple window moving
- various platform specific bug fixes
- removed grab icon application icons

Changes since version 0.6.0:
............................

- --enable-shape is the default now
- fixed group leader change for windows that are already mapped
- NEWSTYLE button images have the same color as the title text
- fixed noappicon bugs related to dock
- fixed starticonic hint (-iconic)
- broke menu code so that it will not work as OpenStep says. ie: submenus
	are not mapped below the mainmenu. If you want it to be like before,
	undefine SINGLE_MENULEVEL in src/wconfig.h
- switch to next window (alt+tab) raises the window
- fixed window title handling for titles that don't fit on the window
- drag select for window command menu
- gamma correction for 8bpp
- fixed bug in full docks
- workspace switching by window drag
- added patches for smart and random placement
- added dgradient fix patch
- workspace state restoration after restart
- added PNG support to wrlib
- changed RLoadImage() support in wrlib
- set DISPLAY environment variable to what was passed with -display option
- added animations preference option
- fixed winitrc
- restore main menu, workspace menu and window list menu after restart
- changed gethostname() with getenv("HOSTNAME") || getenv("HOST") to setup cpp
- fixed bug with program defined titlebar button image in NEWSTYLE
- added kluge for buggy MetroX servers (look at wconfig.h)
- ignore CapsLock when handling windows
- ability to drag windows between workspaces
- ability to drag icons with a icon window
- fixed bug with arrange icons for appicons without any window mapped
- display window's workspace in window list menu
- if a sticked menu is opened again, a new instance of the menu is created

Changes since version 0.5.1:
............................

- fixed bug that crashed wmaker on HPs
- fixed bug that crashed wmaker with the window list
- fixed bug with window focus after window miniturization
- fixed bug that made wmaker crash when it didn't figure a docked app
has quit. (probably the same problem with XFMail and others)
- documented ColormapFollowsMouse option
- workspace renaming through current selection
- autolaunch indicator
- dbl-click3 will not start app anymore
- better handling of long text
- limited windowlist menu width
- fixed arrange icons
- changed geometry display to account for base size if it's not in 
the technical drawing style
- meta-dbl-click on appicon does hide others 
- changed RaiseOnFocus option with RaiseDelay
- dbl-click on root window or open submenu entry brings the root menu 
to the cursor.
- removed AllowMenuLowering option and made menu ontopness work like on dock
- changed meta-click on dock with meta-dbl-click, to change ontopness 
- moved gradient and image code to a library. 
- added support for icons with alpha channel
- simplified dithering setup
- many clean ups 
- not-so-good looking gradients for 8bpp
- changed application menu stuff 
- started wmaker client library. Try out test/test.c


Changes since version 0.5.0:
............................

- startup stuff has changed!!! Instead of placing ~/.workspace_state in
your .xinitrc, you must now call ~/gnustep/Library/WindowMaker/winitrc
from there. Don't forget to update your menu files!!! Read the INSTALL file.

- persistent root background colors (read the above item)
- Spanish, Korean, Czech, Swedish and Dutch locales
- menu commands can use the current selection as parameter
	(read the menu config file)
- fixed bug in dock icons with 3 dots on some platforms
- opaque window move
- skipwindowlist option
- better miniaturize animation
- new silly animation(s) if --enable-superfluous is configured
- button3 on miniaturize button hides the app
- fixed bug on multi-window move
- keyboard bindings ignores capslock state (but not NumLock, ScrollLock etc.)
- fixed focus in unhide under sloppy focus mode

Changes since version 0.4.3:
............................

- dock remembers ontop state
- OnTopTransients works correctly now
- removed startWithdrawn option
- added option to put text over icons (iconText)
- fixed slippery window move
- fixed another bug with NEWSTYLE
- fixed problem with large app_options files
- more i18n stuff. japanese, german and portuguese locale support.

Changes since version 0.4.2:
............................

- fixed black icon bug
- fixed icon specification for dock
- fixed docking on left side dock
- fixed bug in window command menu
- fixed bug in narrow windows with NEWSTYLE enabled
- fixed Hide Others crash 
- I18N fixes
- hopefully stable again

Changes since version 0.4.1:
............................

- fixed some crash on startup bugs
- fixed bug that made excessive use of colors in PseudoColor
- (re)binding of application icons to Dock icons on (re)start
- startWithdrawn window attribute
- finished window list menu (button2)
- implemented GSClientResizebar, GSMenuWindow, GSIconWindow,
GSFullKeyboardEvents
- implemented WINDOWMAKER_COMMAND ClientMessage handler
- OffiX DND support in icons (for Trash)
- portability fix for SunOS 4.x
- fixed hide for windows with .noAppIcon: true
- remember if window was hidden on restart
- remember workspace on restart
- do not auto-launch apps that are already running
- asclock (and other docked apps) do not die on restart
- forced application docking for undockable apps. See utils/dockapp
- raiseOnFocus option for focus-follow-mouse mode
- window command menu
- fixed NEWSTYLE titlebars and converted menu titlebar button too

Changes since version 0.4.0:
............................

- fixed bug in I18N support
- fixed bug that caused crash when patched xv was ran
- cosmetic fix for transparent icon images
- tell about apps that couldn't be launched
- auto-launch in dock
- patch for asclock to work on dock
- raise/lower dock
- fixed bug in workspace change when there are no windows
- allow screen side change for dock

Changes since version 0.3.2:
............................

- application icons (not mini-windows) like I think how it is on NEXTSTEP(tm)
- fixed "slippery" icon movement
- added a Dock (not for GNUstep, as it will have it's own)

Changes since version 0.3.1:
............................

- fixed bug that caused window frames to be left after window closure
- submenus are opened to the left/right if it is too close to the right/left 
edge (not perfect, but better than before)
- remember window state (shade) on restart
- fixed resize bug
- FreeBSD portability fixes
- fixed bug in workspace menu with more than 9 workspaces
- removed _GNUSTEP_WM_RESIZE_WINDOW, _GNUSTEP_WM_RESIZED_WINDOW protocols
- fixed bug that caused crash when closing miniaturized apps
- fixed little bug in resize
- changed default shortcuts to be closer to NEXTSTEP(tm) (raise/lower window)

Changes since version 0.3.0:
............................

- added diagonal gradients
- ignoreHideOthers window flag
- optimized/fixed window raising and lowering
- fixed menu handling: don't need to click on the menu after 
it's opened to select items, just drag the pointer
- _GNUSTEP_WM_RESIZE_WINDOW, _GNUSTEP_WM_RESIZED_WINDOW protocols
- application specified titlebar button pixmaps
- transient owners get a different titlebar color when the focus
is in the transient (e.g, in NeXTese: mainWindow is highlighted correctly when
the keyWindow is a panel)
- when transient is closed, it's owner always get the focus
- fixed XGrabButton/BadAccess bug
- fixed window_count error (this time I'm 90% sure)
- fixed focusNextWindow through Alt-Tab bug with non-focusable windows
- fixed resize in windows without a titlebar
- fixed bug with PAspect XSizeHint


Changes since version 0.2.2:
............................

- fixed problem that made multiple applications be launched
with accidental dbl-clicks on the root menu.
- _GNUSTEP_WM_MINIATURIZE_WINDOW protocol
- added hideOtherApplications command (meta-dbl-click3 on titlebar)
- new SHOW_ALL (windows) menu command
- new HIDE_OTHERS (windows) menu command
- changed icon/window title to show only end part of text if it doesn't fit
- remade application group code (more stable)
- undid stacking code change from 0.2.0
- fixed bug that caused hangs (not sure)
- fixed bug that caused window_count error and associated crashes 
- remade application defined menus
- vertical gradient
- I18N support 
- fixed multiple window selection bug with windows in other workspaces
- changed workspace numbering
- fixed problem with series of X errors when a window is destroyed
- fixed cosmetic bug in gradient bevels
- added UseSaveUnders option (problem with Netscape redrawing)

Changes since version 0.2.1:
............................

- fixed segfault on startup
- changed source tree

Changes since version 0.2.0:
............................

- fixed various miscelaneous bugs
- fixed icon pixmap update code
- fixed bugs related to focus-follows-mouse mode (workspace switching,
keyboard focus after unshading etc)
- changed some options in preferences
- changed window stacking order code
- fixed icon handling
- added option to display the root menu on startup
- shaded windows are unshaded on restart, instead of getting iconified
- fixed {ResizeDisplay,MoveDisplay}=corner
- fixed problem with icon windows during restart
- works OK from XDM

Changes since version 0.1.3:
............................

- fixed color freeing bug
- fixed bug that allowed a window to keep the input focus when
you focus a shaded window
- fixed bug that allowed on top window to be lowered
- disappearing xconsole and other initial-state==IconicState windows fixed
- menus open always inside screen area
- open submenus are moved with their parents 
- keyboard support
- faster menu drawing
- hide for applications that use window_group hint fixed (LyX et al)
- dynamic font setup (just a test)


Changes since version 0.1.2:
............................

- worked around problems when freeing colors under some buggy X servers
- vertical gradients
- floatingmenu option

Changes since version 0.1.1:
............................

- fixed list.c to compile in non-debug mode
- sticked root menus cannot be unmapped clicking button3 (workspace
unreachable problem)


Changes since version 0.1.0:
............................

- texture structure changed
- application menu prototype (not finished)
- arrange icons command
- menu window levels  (menus are kept on top of other windows)
- crash-on-alt-move-in-borderless-windows fixed
- lot's of other bugs killed
- delete last workspace command
- titlebar text justification
- start iconic hint is honored now
- font setting in preferences
- color setting in preferences
- window dragging only occurs after 4 pixels of movement
- restart command

Changes since version 0.0.4:
............................

- changed configuration file syntax (just a little bit)
- removed box class
- finished multiple window move
- changed window list order from focus order to stacking order
- implemented OpenStep window levels and OnTop windows
- added refresh command to menu
- added shutdown command to menu
- make default menu when menu config can't be parsed
- finally added window focusing when clicking on client window area
- added visual clue to menu item invocation
- shaped window support
- in-memory size got bigger than AfterStep
- various client window state transition bug fixes
- icon placement
- added multiple workspaces (no Pager yet)
- added option for submenu alignment in relation to their parents
- rewrote preference parser
- added focus-follows-mouse and sloppy-focus
- added cpp preprocessing
- zombie process bug fixed
- interactive and dumb (cascade) window placement
- floating transient windows 
- disable mapped submenu entry on parent
- added colormap handling stolen from fvwm (temporary)


Changes since version 0.0.3:
............................

- hide application implemented (just for apps that have the window_group 
field of WMHints set or the WM_CLIENT_LEADER property set, 
apparently most Xt based apps)
- fixed a crashing bug caused by icons 
- internal change on button pixmap structure and other places
- handling of property changes on mapped windows
- fixed bug in event handling (MapRequest)
- added support for systems without libXpm
- added configure script, although it's still almost useless.
- remade icon painting
- icon background pixmap
- internal icon pixmap dithering

